/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Skeleton implementation for Bison GLR parsers in C

   Copyright (C) 2002-2015, 2018-2021 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C GLR parser skeleton written by Paul Hilfinger.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "glr.c"

/* Pure parsers.  */
#define YYPURE 0




/* Substitute the variable and function names.  */
#define yyparse SQLyyparse
#define yylex   SQLyylex
#define yyerror SQLyyerror
#define yydebug SQLyydebug
#define yylval  SQLyylval
#define yychar  SQLyychar
#define yynerrs SQLyynerrs

/* First part of user prologue.  */

/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#include <vector>
#include <string.h>

#include <connectivity/sqlnode.hxx>
#include <connectivity/sqlparse.hxx>
#include <connectivity/sqlbison_exports.hxx>
#include <connectivity/sqlscan.hxx>
#include <connectivity/internalnode.hxx>
#include <com/sun/star/lang/Locale.hpp>
#include <com/sun/star/sdbc/DataType.hpp>
#include <com/sun/star/util/Date.hpp>
#include <com/sun/star/util/DateTime.hpp>
#include <com/sun/star/util/Time.hpp>
#include <com/sun/star/util/XNumberFormatter.hpp>
#include <com/sun/star/util/XNumberFormatsSupplier.hpp>
#include <com/sun/star/util/XNumberFormats.hpp>
#include <com/sun/star/util/NumberFormat.hpp>
#include <com/sun/star/util/XNumberFormatTypes.hpp>
#include <com/sun/star/beans/XPropertySet.hpp>
#include <com/sun/star/i18n/KParseType.hpp>
#include <com/sun/star/i18n/KParseTokens.hpp>

#include <osl/diagnose.h>
#include "connectivity/dbconversion.hxx"
#include <rtl/ustrbuf.hxx>
#include <sal/log.hxx>

#if defined _MSC_VER
#pragma warning(push)
#pragma warning(disable: 4324) // structure was padded due to alignment specifier
#pragma warning(disable: 4065) // switch statement contains 'default' but no 'case' labels
#pragma warning(disable: 4702) // unreachable code
#endif

#ifdef __GNUC__
# pragma GCC diagnostic ignored "-Wwrite-strings"
# pragma GCC diagnostic ignored "-Wunused-function"
#endif

inline connectivity::OSQLInternalNode* newNode(const char* pNewValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID = 0);

inline connectivity::OSQLInternalNode* newNode(const OString& _newValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID = 0);

inline connectivity::OSQLInternalNode* newNode(const OUString& _newValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID = 0);


// yyi is the internal number of the rule that is currently being reduced
// This can be mapped to external rule number via the yyrmap.
#if defined YYBISON && YYBISON >= 30800
#define SQL_NEW_RULE 			newNode("", SQLNodeType::Rule, yyr1[yyrule])
#define SQL_NEW_LISTRULE 		newNode("", SQLNodeType::ListRule, yyr1[yyrule])
#define SQL_NEW_COMMALISTRULE   newNode("", SQLNodeType::CommaListRule, yyr1[yyrule])
#else
#define SQL_NEW_RULE 			newNode("", SQLNodeType::Rule, yyr1[yyn])
#define SQL_NEW_LISTRULE 		newNode("", SQLNodeType::ListRule, yyr1[yyn])
#define SQL_NEW_COMMALISTRULE   newNode("", SQLNodeType::CommaListRule, yyr1[yyn])
#endif


extern connectivity::OSQLParser* xxx_pGLOBAL_SQLPARSER;

#define YYERROR_VERBOSE

#define SQLyyerror(s)						\
{											\
	xxx_pGLOBAL_SQLPARSER->error(s);		\
}

using namespace connectivity;
#define SQLyylex xxx_pGLOBAL_SQLPARSER->SQLlex


# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "sqlbison.hxx"

/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_3_ = 3,                         /* '('  */
  YYSYMBOL_4_ = 4,                         /* ')'  */
  YYSYMBOL_5_ = 5,                         /* ','  */
  YYSYMBOL_6_ = 6,                         /* ':'  */
  YYSYMBOL_7_ = 7,                         /* ';'  */
  YYSYMBOL_8_ = 8,                         /* '?'  */
  YYSYMBOL_9_ = 9,                         /* '['  */
  YYSYMBOL_10_ = 10,                       /* ']'  */
  YYSYMBOL_11_ = 11,                       /* '{'  */
  YYSYMBOL_12_ = 12,                       /* '}'  */
  YYSYMBOL_13_ = 13,                       /* '.'  */
  YYSYMBOL_14_K_ = 14,                     /* 'K'  */
  YYSYMBOL_15_M_ = 15,                     /* 'M'  */
  YYSYMBOL_16_G_ = 16,                     /* 'G'  */
  YYSYMBOL_17_T_ = 17,                     /* 'T'  */
  YYSYMBOL_18_P_ = 18,                     /* 'P'  */
  YYSYMBOL_SQL_TOKEN_STRING = 19,          /* SQL_TOKEN_STRING  */
  YYSYMBOL_SQL_TOKEN_ACCESS_DATE = 20,     /* SQL_TOKEN_ACCESS_DATE  */
  YYSYMBOL_SQL_TOKEN_INT = 21,             /* SQL_TOKEN_INT  */
  YYSYMBOL_SQL_TOKEN_REAL_NUM = 22,        /* SQL_TOKEN_REAL_NUM  */
  YYSYMBOL_SQL_TOKEN_INTNUM = 23,          /* SQL_TOKEN_INTNUM  */
  YYSYMBOL_SQL_TOKEN_APPROXNUM = 24,       /* SQL_TOKEN_APPROXNUM  */
  YYSYMBOL_SQL_TOKEN_NOT = 25,             /* SQL_TOKEN_NOT  */
  YYSYMBOL_SQL_TOKEN_NAME = 26,            /* SQL_TOKEN_NAME  */
  YYSYMBOL_SQL_TOKEN_UMINUS = 27,          /* SQL_TOKEN_UMINUS  */
  YYSYMBOL_SQL_TOKEN_ALL = 28,             /* SQL_TOKEN_ALL  */
  YYSYMBOL_SQL_TOKEN_ALTER = 29,           /* SQL_TOKEN_ALTER  */
  YYSYMBOL_SQL_TOKEN_AMMSC = 30,           /* SQL_TOKEN_AMMSC  */
  YYSYMBOL_SQL_TOKEN_ANY = 31,             /* SQL_TOKEN_ANY  */
  YYSYMBOL_SQL_TOKEN_AS = 32,              /* SQL_TOKEN_AS  */
  YYSYMBOL_SQL_TOKEN_ASC = 33,             /* SQL_TOKEN_ASC  */
  YYSYMBOL_SQL_TOKEN_AT = 34,              /* SQL_TOKEN_AT  */
  YYSYMBOL_SQL_TOKEN_AUTHORIZATION = 35,   /* SQL_TOKEN_AUTHORIZATION  */
  YYSYMBOL_SQL_TOKEN_AVG = 36,             /* SQL_TOKEN_AVG  */
  YYSYMBOL_SQL_TOKEN_BETWEEN = 37,         /* SQL_TOKEN_BETWEEN  */
  YYSYMBOL_SQL_TOKEN_BIT = 38,             /* SQL_TOKEN_BIT  */
  YYSYMBOL_SQL_TOKEN_BOTH = 39,            /* SQL_TOKEN_BOTH  */
  YYSYMBOL_SQL_TOKEN_BY = 40,              /* SQL_TOKEN_BY  */
  YYSYMBOL_SQL_TOKEN_CAST = 41,            /* SQL_TOKEN_CAST  */
  YYSYMBOL_SQL_TOKEN_CHARACTER = 42,       /* SQL_TOKEN_CHARACTER  */
  YYSYMBOL_SQL_TOKEN_CHECK = 43,           /* SQL_TOKEN_CHECK  */
  YYSYMBOL_SQL_TOKEN_COLLATE = 44,         /* SQL_TOKEN_COLLATE  */
  YYSYMBOL_SQL_TOKEN_COMMIT = 45,          /* SQL_TOKEN_COMMIT  */
  YYSYMBOL_SQL_TOKEN_CONTINUE = 46,        /* SQL_TOKEN_CONTINUE  */
  YYSYMBOL_SQL_TOKEN_CONVERT = 47,         /* SQL_TOKEN_CONVERT  */
  YYSYMBOL_SQL_TOKEN_COUNT = 48,           /* SQL_TOKEN_COUNT  */
  YYSYMBOL_SQL_TOKEN_CREATE = 49,          /* SQL_TOKEN_CREATE  */
  YYSYMBOL_SQL_TOKEN_CROSS = 50,           /* SQL_TOKEN_CROSS  */
  YYSYMBOL_SQL_TOKEN_CURRENT = 51,         /* SQL_TOKEN_CURRENT  */
  YYSYMBOL_SQL_TOKEN_CURSOR = 52,          /* SQL_TOKEN_CURSOR  */
  YYSYMBOL_SQL_TOKEN_DATE = 53,            /* SQL_TOKEN_DATE  */
  YYSYMBOL_SQL_TOKEN_DATEVALUE = 54,       /* SQL_TOKEN_DATEVALUE  */
  YYSYMBOL_SQL_TOKEN_DAY = 55,             /* SQL_TOKEN_DAY  */
  YYSYMBOL_SQL_TOKEN_DEC = 56,             /* SQL_TOKEN_DEC  */
  YYSYMBOL_SQL_TOKEN_DECIMAL = 57,         /* SQL_TOKEN_DECIMAL  */
  YYSYMBOL_SQL_TOKEN_DECLARE = 58,         /* SQL_TOKEN_DECLARE  */
  YYSYMBOL_SQL_TOKEN_DEFAULT = 59,         /* SQL_TOKEN_DEFAULT  */
  YYSYMBOL_SQL_TOKEN_DELETE = 60,          /* SQL_TOKEN_DELETE  */
  YYSYMBOL_SQL_TOKEN_DESC = 61,            /* SQL_TOKEN_DESC  */
  YYSYMBOL_SQL_TOKEN_DISTINCT = 62,        /* SQL_TOKEN_DISTINCT  */
  YYSYMBOL_SQL_TOKEN_DOUBLE = 63,          /* SQL_TOKEN_DOUBLE  */
  YYSYMBOL_SQL_TOKEN_DROP = 64,            /* SQL_TOKEN_DROP  */
  YYSYMBOL_SQL_TOKEN_ESCAPE = 65,          /* SQL_TOKEN_ESCAPE  */
  YYSYMBOL_SQL_TOKEN_EXCEPT = 66,          /* SQL_TOKEN_EXCEPT  */
  YYSYMBOL_SQL_TOKEN_EXISTS = 67,          /* SQL_TOKEN_EXISTS  */
  YYSYMBOL_SQL_TOKEN_FALSE = 68,           /* SQL_TOKEN_FALSE  */
  YYSYMBOL_SQL_TOKEN_FETCH = 69,           /* SQL_TOKEN_FETCH  */
  YYSYMBOL_SQL_TOKEN_FLOAT = 70,           /* SQL_TOKEN_FLOAT  */
  YYSYMBOL_SQL_TOKEN_FOR = 71,             /* SQL_TOKEN_FOR  */
  YYSYMBOL_SQL_TOKEN_FOREIGN = 72,         /* SQL_TOKEN_FOREIGN  */
  YYSYMBOL_SQL_TOKEN_FOUND = 73,           /* SQL_TOKEN_FOUND  */
  YYSYMBOL_SQL_TOKEN_FROM = 74,            /* SQL_TOKEN_FROM  */
  YYSYMBOL_SQL_TOKEN_FULL = 75,            /* SQL_TOKEN_FULL  */
  YYSYMBOL_SQL_TOKEN_GRANT = 76,           /* SQL_TOKEN_GRANT  */
  YYSYMBOL_SQL_TOKEN_GROUP = 77,           /* SQL_TOKEN_GROUP  */
  YYSYMBOL_SQL_TOKEN_HAVING = 78,          /* SQL_TOKEN_HAVING  */
  YYSYMBOL_SQL_TOKEN_IN = 79,              /* SQL_TOKEN_IN  */
  YYSYMBOL_SQL_TOKEN_INDICATOR = 80,       /* SQL_TOKEN_INDICATOR  */
  YYSYMBOL_SQL_TOKEN_INNER = 81,           /* SQL_TOKEN_INNER  */
  YYSYMBOL_SQL_TOKEN_INTEGER = 82,         /* SQL_TOKEN_INTEGER  */
  YYSYMBOL_SQL_TOKEN_INTO = 83,            /* SQL_TOKEN_INTO  */
  YYSYMBOL_SQL_TOKEN_IS = 84,              /* SQL_TOKEN_IS  */
  YYSYMBOL_SQL_TOKEN_INTERSECT = 85,       /* SQL_TOKEN_INTERSECT  */
  YYSYMBOL_SQL_TOKEN_JOIN = 86,            /* SQL_TOKEN_JOIN  */
  YYSYMBOL_SQL_TOKEN_KEY = 87,             /* SQL_TOKEN_KEY  */
  YYSYMBOL_SQL_TOKEN_LEADING = 88,         /* SQL_TOKEN_LEADING  */
  YYSYMBOL_SQL_TOKEN_LIKE = 89,            /* SQL_TOKEN_LIKE  */
  YYSYMBOL_SQL_TOKEN_LOCAL = 90,           /* SQL_TOKEN_LOCAL  */
  YYSYMBOL_SQL_TOKEN_LOWER = 91,           /* SQL_TOKEN_LOWER  */
  YYSYMBOL_SQL_TOKEN_MAX = 92,             /* SQL_TOKEN_MAX  */
  YYSYMBOL_SQL_TOKEN_MIN = 93,             /* SQL_TOKEN_MIN  */
  YYSYMBOL_SQL_TOKEN_NATURAL = 94,         /* SQL_TOKEN_NATURAL  */
  YYSYMBOL_SQL_TOKEN_NCHAR = 95,           /* SQL_TOKEN_NCHAR  */
  YYSYMBOL_SQL_TOKEN_NULL = 96,            /* SQL_TOKEN_NULL  */
  YYSYMBOL_SQL_TOKEN_NUMERIC = 97,         /* SQL_TOKEN_NUMERIC  */
  YYSYMBOL_SQL_TOKEN_OCTET_LENGTH = 98,    /* SQL_TOKEN_OCTET_LENGTH  */
  YYSYMBOL_SQL_TOKEN_OF = 99,              /* SQL_TOKEN_OF  */
  YYSYMBOL_SQL_TOKEN_ON = 100,             /* SQL_TOKEN_ON  */
  YYSYMBOL_SQL_TOKEN_OPTION = 101,         /* SQL_TOKEN_OPTION  */
  YYSYMBOL_SQL_TOKEN_ORDER = 102,          /* SQL_TOKEN_ORDER  */
  YYSYMBOL_SQL_TOKEN_OUTER = 103,          /* SQL_TOKEN_OUTER  */
  YYSYMBOL_SQL_TOKEN_PRECISION = 104,      /* SQL_TOKEN_PRECISION  */
  YYSYMBOL_SQL_TOKEN_PRIMARY = 105,        /* SQL_TOKEN_PRIMARY  */
  YYSYMBOL_SQL_TOKEN_PRIVILEGES = 106,     /* SQL_TOKEN_PRIVILEGES  */
  YYSYMBOL_SQL_TOKEN_PROCEDURE = 107,      /* SQL_TOKEN_PROCEDURE  */
  YYSYMBOL_SQL_TOKEN_PUBLIC = 108,         /* SQL_TOKEN_PUBLIC  */
  YYSYMBOL_SQL_TOKEN_REAL = 109,           /* SQL_TOKEN_REAL  */
  YYSYMBOL_SQL_TOKEN_REFERENCES = 110,     /* SQL_TOKEN_REFERENCES  */
  YYSYMBOL_SQL_TOKEN_ROLLBACK = 111,       /* SQL_TOKEN_ROLLBACK  */
  YYSYMBOL_SQL_TOKEN_SCHEMA = 112,         /* SQL_TOKEN_SCHEMA  */
  YYSYMBOL_SQL_TOKEN_SELECT = 113,         /* SQL_TOKEN_SELECT  */
  YYSYMBOL_SQL_TOKEN_SET = 114,            /* SQL_TOKEN_SET  */
  YYSYMBOL_SQL_TOKEN_SIZE = 115,           /* SQL_TOKEN_SIZE  */
  YYSYMBOL_SQL_TOKEN_SMALLINT = 116,       /* SQL_TOKEN_SMALLINT  */
  YYSYMBOL_SQL_TOKEN_SOME = 117,           /* SQL_TOKEN_SOME  */
  YYSYMBOL_SQL_TOKEN_SQLCODE = 118,        /* SQL_TOKEN_SQLCODE  */
  YYSYMBOL_SQL_TOKEN_SQLERROR = 119,       /* SQL_TOKEN_SQLERROR  */
  YYSYMBOL_SQL_TOKEN_SUM = 120,            /* SQL_TOKEN_SUM  */
  YYSYMBOL_SQL_TOKEN_TABLE = 121,          /* SQL_TOKEN_TABLE  */
  YYSYMBOL_SQL_TOKEN_TIME = 122,           /* SQL_TOKEN_TIME  */
  YYSYMBOL_SQL_TOKEN_TIMESTAMP = 123,      /* SQL_TOKEN_TIMESTAMP  */
  YYSYMBOL_SQL_TOKEN_TIMEZONE_HOUR = 124,  /* SQL_TOKEN_TIMEZONE_HOUR  */
  YYSYMBOL_SQL_TOKEN_TIMEZONE_MINUTE = 125, /* SQL_TOKEN_TIMEZONE_MINUTE  */
  YYSYMBOL_SQL_TOKEN_TO = 126,             /* SQL_TOKEN_TO  */
  YYSYMBOL_SQL_TOKEN_TRAILING = 127,       /* SQL_TOKEN_TRAILING  */
  YYSYMBOL_SQL_TOKEN_TRANSLATE = 128,      /* SQL_TOKEN_TRANSLATE  */
  YYSYMBOL_SQL_TOKEN_TRIM = 129,           /* SQL_TOKEN_TRIM  */
  YYSYMBOL_SQL_TOKEN_TRUE = 130,           /* SQL_TOKEN_TRUE  */
  YYSYMBOL_SQL_TOKEN_UNION = 131,          /* SQL_TOKEN_UNION  */
  YYSYMBOL_SQL_TOKEN_UNIQUE = 132,         /* SQL_TOKEN_UNIQUE  */
  YYSYMBOL_SQL_TOKEN_UNKNOWN = 133,        /* SQL_TOKEN_UNKNOWN  */
  YYSYMBOL_SQL_TOKEN_UPDATE = 134,         /* SQL_TOKEN_UPDATE  */
  YYSYMBOL_SQL_TOKEN_UPPER = 135,          /* SQL_TOKEN_UPPER  */
  YYSYMBOL_SQL_TOKEN_USAGE = 136,          /* SQL_TOKEN_USAGE  */
  YYSYMBOL_SQL_TOKEN_USER = 137,           /* SQL_TOKEN_USER  */
  YYSYMBOL_SQL_TOKEN_USING = 138,          /* SQL_TOKEN_USING  */
  YYSYMBOL_SQL_TOKEN_VALUES = 139,         /* SQL_TOKEN_VALUES  */
  YYSYMBOL_SQL_TOKEN_VIEW = 140,           /* SQL_TOKEN_VIEW  */
  YYSYMBOL_SQL_TOKEN_WHERE = 141,          /* SQL_TOKEN_WHERE  */
  YYSYMBOL_SQL_TOKEN_WITH = 142,           /* SQL_TOKEN_WITH  */
  YYSYMBOL_SQL_TOKEN_WORK = 143,           /* SQL_TOKEN_WORK  */
  YYSYMBOL_SQL_TOKEN_ZONE = 144,           /* SQL_TOKEN_ZONE  */
  YYSYMBOL_SQL_TOKEN_CALL = 145,           /* SQL_TOKEN_CALL  */
  YYSYMBOL_SQL_TOKEN_D = 146,              /* SQL_TOKEN_D  */
  YYSYMBOL_SQL_TOKEN_FN = 147,             /* SQL_TOKEN_FN  */
  YYSYMBOL_SQL_TOKEN_T = 148,              /* SQL_TOKEN_T  */
  YYSYMBOL_SQL_TOKEN_TS = 149,             /* SQL_TOKEN_TS  */
  YYSYMBOL_SQL_TOKEN_OJ = 150,             /* SQL_TOKEN_OJ  */
  YYSYMBOL_SQL_TOKEN_ASCII = 151,          /* SQL_TOKEN_ASCII  */
  YYSYMBOL_SQL_TOKEN_BIT_LENGTH = 152,     /* SQL_TOKEN_BIT_LENGTH  */
  YYSYMBOL_SQL_TOKEN_CHAR = 153,           /* SQL_TOKEN_CHAR  */
  YYSYMBOL_SQL_TOKEN_CHAR_LENGTH = 154,    /* SQL_TOKEN_CHAR_LENGTH  */
  YYSYMBOL_SQL_TOKEN_SQL_TOKEN_INTNUM = 155, /* SQL_TOKEN_SQL_TOKEN_INTNUM  */
  YYSYMBOL_SQL_TOKEN_CONCAT = 156,         /* SQL_TOKEN_CONCAT  */
  YYSYMBOL_SQL_TOKEN_DIFFERENCE = 157,     /* SQL_TOKEN_DIFFERENCE  */
  YYSYMBOL_SQL_TOKEN_INSERT = 158,         /* SQL_TOKEN_INSERT  */
  YYSYMBOL_SQL_TOKEN_LCASE = 159,          /* SQL_TOKEN_LCASE  */
  YYSYMBOL_SQL_TOKEN_LEFT = 160,           /* SQL_TOKEN_LEFT  */
  YYSYMBOL_SQL_TOKEN_LENGTH = 161,         /* SQL_TOKEN_LENGTH  */
  YYSYMBOL_SQL_TOKEN_LOCATE = 162,         /* SQL_TOKEN_LOCATE  */
  YYSYMBOL_SQL_TOKEN_LOCATE_2 = 163,       /* SQL_TOKEN_LOCATE_2  */
  YYSYMBOL_SQL_TOKEN_LTRIM = 164,          /* SQL_TOKEN_LTRIM  */
  YYSYMBOL_SQL_TOKEN_POSITION = 165,       /* SQL_TOKEN_POSITION  */
  YYSYMBOL_SQL_TOKEN_REPEAT = 166,         /* SQL_TOKEN_REPEAT  */
  YYSYMBOL_SQL_TOKEN_REPLACE = 167,        /* SQL_TOKEN_REPLACE  */
  YYSYMBOL_SQL_TOKEN_RIGHT = 168,          /* SQL_TOKEN_RIGHT  */
  YYSYMBOL_SQL_TOKEN_RTRIM = 169,          /* SQL_TOKEN_RTRIM  */
  YYSYMBOL_SQL_TOKEN_SOUNDEX = 170,        /* SQL_TOKEN_SOUNDEX  */
  YYSYMBOL_SQL_TOKEN_SPACE = 171,          /* SQL_TOKEN_SPACE  */
  YYSYMBOL_SQL_TOKEN_SUBSTRING = 172,      /* SQL_TOKEN_SUBSTRING  */
  YYSYMBOL_SQL_TOKEN_UCASE = 173,          /* SQL_TOKEN_UCASE  */
  YYSYMBOL_SQL_TOKEN_CURRENT_DATE = 174,   /* SQL_TOKEN_CURRENT_DATE  */
  YYSYMBOL_SQL_TOKEN_CURRENT_TIME = 175,   /* SQL_TOKEN_CURRENT_TIME  */
  YYSYMBOL_SQL_TOKEN_CURRENT_TIMESTAMP = 176, /* SQL_TOKEN_CURRENT_TIMESTAMP  */
  YYSYMBOL_SQL_TOKEN_CURDATE = 177,        /* SQL_TOKEN_CURDATE  */
  YYSYMBOL_SQL_TOKEN_CURTIME = 178,        /* SQL_TOKEN_CURTIME  */
  YYSYMBOL_SQL_TOKEN_DAYNAME = 179,        /* SQL_TOKEN_DAYNAME  */
  YYSYMBOL_SQL_TOKEN_DAYOFMONTH = 180,     /* SQL_TOKEN_DAYOFMONTH  */
  YYSYMBOL_SQL_TOKEN_DAYOFWEEK = 181,      /* SQL_TOKEN_DAYOFWEEK  */
  YYSYMBOL_SQL_TOKEN_DAYOFYEAR = 182,      /* SQL_TOKEN_DAYOFYEAR  */
  YYSYMBOL_SQL_TOKEN_EXTRACT = 183,        /* SQL_TOKEN_EXTRACT  */
  YYSYMBOL_SQL_TOKEN_HOUR = 184,           /* SQL_TOKEN_HOUR  */
  YYSYMBOL_SQL_TOKEN_MILLISECOND = 185,    /* SQL_TOKEN_MILLISECOND  */
  YYSYMBOL_SQL_TOKEN_MINUTE = 186,         /* SQL_TOKEN_MINUTE  */
  YYSYMBOL_SQL_TOKEN_MONTH = 187,          /* SQL_TOKEN_MONTH  */
  YYSYMBOL_SQL_TOKEN_MONTHNAME = 188,      /* SQL_TOKEN_MONTHNAME  */
  YYSYMBOL_SQL_TOKEN_NOW = 189,            /* SQL_TOKEN_NOW  */
  YYSYMBOL_SQL_TOKEN_QUARTER = 190,        /* SQL_TOKEN_QUARTER  */
  YYSYMBOL_SQL_TOKEN_DATEDIFF = 191,       /* SQL_TOKEN_DATEDIFF  */
  YYSYMBOL_SQL_TOKEN_SECOND = 192,         /* SQL_TOKEN_SECOND  */
  YYSYMBOL_SQL_TOKEN_TIMESTAMPADD = 193,   /* SQL_TOKEN_TIMESTAMPADD  */
  YYSYMBOL_SQL_TOKEN_TIMESTAMPDIFF = 194,  /* SQL_TOKEN_TIMESTAMPDIFF  */
  YYSYMBOL_SQL_TOKEN_TIMEVALUE = 195,      /* SQL_TOKEN_TIMEVALUE  */
  YYSYMBOL_SQL_TOKEN_WEEK = 196,           /* SQL_TOKEN_WEEK  */
  YYSYMBOL_SQL_TOKEN_WEEKDAY = 197,        /* SQL_TOKEN_WEEKDAY  */
  YYSYMBOL_SQL_TOKEN_YEAR = 198,           /* SQL_TOKEN_YEAR  */
  YYSYMBOL_SQL_TOKEN_YEARDAY = 199,        /* SQL_TOKEN_YEARDAY  */
  YYSYMBOL_SQL_TOKEN_DATEADD = 200,        /* SQL_TOKEN_DATEADD  */
  YYSYMBOL_SQL_TOKEN_ABS = 201,            /* SQL_TOKEN_ABS  */
  YYSYMBOL_SQL_TOKEN_ACOS = 202,           /* SQL_TOKEN_ACOS  */
  YYSYMBOL_SQL_TOKEN_ASIN = 203,           /* SQL_TOKEN_ASIN  */
  YYSYMBOL_SQL_TOKEN_ATAN = 204,           /* SQL_TOKEN_ATAN  */
  YYSYMBOL_SQL_TOKEN_ATAN2 = 205,          /* SQL_TOKEN_ATAN2  */
  YYSYMBOL_SQL_TOKEN_CEILING = 206,        /* SQL_TOKEN_CEILING  */
  YYSYMBOL_SQL_TOKEN_COS = 207,            /* SQL_TOKEN_COS  */
  YYSYMBOL_SQL_TOKEN_COT = 208,            /* SQL_TOKEN_COT  */
  YYSYMBOL_SQL_TOKEN_DEGREES = 209,        /* SQL_TOKEN_DEGREES  */
  YYSYMBOL_SQL_TOKEN_EXP = 210,            /* SQL_TOKEN_EXP  */
  YYSYMBOL_SQL_TOKEN_FLOOR = 211,          /* SQL_TOKEN_FLOOR  */
  YYSYMBOL_SQL_TOKEN_LOGF = 212,           /* SQL_TOKEN_LOGF  */
  YYSYMBOL_SQL_TOKEN_LOG = 213,            /* SQL_TOKEN_LOG  */
  YYSYMBOL_SQL_TOKEN_LN = 214,             /* SQL_TOKEN_LN  */
  YYSYMBOL_SQL_TOKEN_LOG10 = 215,          /* SQL_TOKEN_LOG10  */
  YYSYMBOL_SQL_TOKEN_MOD = 216,            /* SQL_TOKEN_MOD  */
  YYSYMBOL_SQL_TOKEN_PI = 217,             /* SQL_TOKEN_PI  */
  YYSYMBOL_SQL_TOKEN_POWER = 218,          /* SQL_TOKEN_POWER  */
  YYSYMBOL_SQL_TOKEN_RADIANS = 219,        /* SQL_TOKEN_RADIANS  */
  YYSYMBOL_SQL_TOKEN_RAND = 220,           /* SQL_TOKEN_RAND  */
  YYSYMBOL_SQL_TOKEN_ROUNDMAGIC = 221,     /* SQL_TOKEN_ROUNDMAGIC  */
  YYSYMBOL_SQL_TOKEN_ROUND = 222,          /* SQL_TOKEN_ROUND  */
  YYSYMBOL_SQL_TOKEN_SIGN = 223,           /* SQL_TOKEN_SIGN  */
  YYSYMBOL_SQL_TOKEN_SIN = 224,            /* SQL_TOKEN_SIN  */
  YYSYMBOL_SQL_TOKEN_SQRT = 225,           /* SQL_TOKEN_SQRT  */
  YYSYMBOL_SQL_TOKEN_TAN = 226,            /* SQL_TOKEN_TAN  */
  YYSYMBOL_SQL_TOKEN_TRUNCATE = 227,       /* SQL_TOKEN_TRUNCATE  */
  YYSYMBOL_SQL_TOKEN_EVERY = 228,          /* SQL_TOKEN_EVERY  */
  YYSYMBOL_SQL_TOKEN_INTERSECTION = 229,   /* SQL_TOKEN_INTERSECTION  */
  YYSYMBOL_SQL_TOKEN_FUSION = 230,         /* SQL_TOKEN_FUSION  */
  YYSYMBOL_SQL_TOKEN_COLLECT = 231,        /* SQL_TOKEN_COLLECT  */
  YYSYMBOL_SQL_TOKEN_VAR_POP = 232,        /* SQL_TOKEN_VAR_POP  */
  YYSYMBOL_SQL_TOKEN_VAR_SAMP = 233,       /* SQL_TOKEN_VAR_SAMP  */
  YYSYMBOL_SQL_TOKEN_STDDEV_SAMP = 234,    /* SQL_TOKEN_STDDEV_SAMP  */
  YYSYMBOL_SQL_TOKEN_STDDEV_POP = 235,     /* SQL_TOKEN_STDDEV_POP  */
  YYSYMBOL_SQL_TOKEN_RANK = 236,           /* SQL_TOKEN_RANK  */
  YYSYMBOL_SQL_TOKEN_DENSE_RANK = 237,     /* SQL_TOKEN_DENSE_RANK  */
  YYSYMBOL_SQL_TOKEN_PERCENT_RANK = 238,   /* SQL_TOKEN_PERCENT_RANK  */
  YYSYMBOL_SQL_TOKEN_CUME_DIST = 239,      /* SQL_TOKEN_CUME_DIST  */
  YYSYMBOL_SQL_TOKEN_PERCENTILE_CONT = 240, /* SQL_TOKEN_PERCENTILE_CONT  */
  YYSYMBOL_SQL_TOKEN_PERCENTILE_DISC = 241, /* SQL_TOKEN_PERCENTILE_DISC  */
  YYSYMBOL_SQL_TOKEN_WITHIN = 242,         /* SQL_TOKEN_WITHIN  */
  YYSYMBOL_SQL_TOKEN_ARRAY_AGG = 243,      /* SQL_TOKEN_ARRAY_AGG  */
  YYSYMBOL_SQL_TOKEN_CASE = 244,           /* SQL_TOKEN_CASE  */
  YYSYMBOL_SQL_TOKEN_THEN = 245,           /* SQL_TOKEN_THEN  */
  YYSYMBOL_SQL_TOKEN_END = 246,            /* SQL_TOKEN_END  */
  YYSYMBOL_SQL_TOKEN_NULLIF = 247,         /* SQL_TOKEN_NULLIF  */
  YYSYMBOL_SQL_TOKEN_COALESCE = 248,       /* SQL_TOKEN_COALESCE  */
  YYSYMBOL_SQL_TOKEN_WHEN = 249,           /* SQL_TOKEN_WHEN  */
  YYSYMBOL_SQL_TOKEN_ELSE = 250,           /* SQL_TOKEN_ELSE  */
  YYSYMBOL_SQL_TOKEN_BEFORE = 251,         /* SQL_TOKEN_BEFORE  */
  YYSYMBOL_SQL_TOKEN_AFTER = 252,          /* SQL_TOKEN_AFTER  */
  YYSYMBOL_SQL_TOKEN_INSTEAD = 253,        /* SQL_TOKEN_INSTEAD  */
  YYSYMBOL_SQL_TOKEN_EACH = 254,           /* SQL_TOKEN_EACH  */
  YYSYMBOL_SQL_TOKEN_REFERENCING = 255,    /* SQL_TOKEN_REFERENCING  */
  YYSYMBOL_SQL_TOKEN_BEGIN = 256,          /* SQL_TOKEN_BEGIN  */
  YYSYMBOL_SQL_TOKEN_ATOMIC = 257,         /* SQL_TOKEN_ATOMIC  */
  YYSYMBOL_SQL_TOKEN_TRIGGER = 258,        /* SQL_TOKEN_TRIGGER  */
  YYSYMBOL_SQL_TOKEN_ROW = 259,            /* SQL_TOKEN_ROW  */
  YYSYMBOL_SQL_TOKEN_STATEMENT = 260,      /* SQL_TOKEN_STATEMENT  */
  YYSYMBOL_SQL_TOKEN_NEW = 261,            /* SQL_TOKEN_NEW  */
  YYSYMBOL_SQL_TOKEN_OLD = 262,            /* SQL_TOKEN_OLD  */
  YYSYMBOL_SQL_TOKEN_VALUE = 263,          /* SQL_TOKEN_VALUE  */
  YYSYMBOL_SQL_TOKEN_CURRENT_CATALOG = 264, /* SQL_TOKEN_CURRENT_CATALOG  */
  YYSYMBOL_SQL_TOKEN_CURRENT_DEFAULT_TRANSFORM_GROUP = 265, /* SQL_TOKEN_CURRENT_DEFAULT_TRANSFORM_GROUP  */
  YYSYMBOL_SQL_TOKEN_CURRENT_PATH = 266,   /* SQL_TOKEN_CURRENT_PATH  */
  YYSYMBOL_SQL_TOKEN_CURRENT_ROLE = 267,   /* SQL_TOKEN_CURRENT_ROLE  */
  YYSYMBOL_SQL_TOKEN_CURRENT_SCHEMA = 268, /* SQL_TOKEN_CURRENT_SCHEMA  */
  YYSYMBOL_SQL_TOKEN_CURRENT_USER = 269,   /* SQL_TOKEN_CURRENT_USER  */
  YYSYMBOL_SQL_TOKEN_SESSION_USER = 270,   /* SQL_TOKEN_SESSION_USER  */
  YYSYMBOL_SQL_TOKEN_SYSTEM_USER = 271,    /* SQL_TOKEN_SYSTEM_USER  */
  YYSYMBOL_SQL_TOKEN_VARCHAR = 272,        /* SQL_TOKEN_VARCHAR  */
  YYSYMBOL_SQL_TOKEN_VARBINARY = 273,      /* SQL_TOKEN_VARBINARY  */
  YYSYMBOL_SQL_TOKEN_VARYING = 274,        /* SQL_TOKEN_VARYING  */
  YYSYMBOL_SQL_TOKEN_OBJECT = 275,         /* SQL_TOKEN_OBJECT  */
  YYSYMBOL_SQL_TOKEN_NCLOB = 276,          /* SQL_TOKEN_NCLOB  */
  YYSYMBOL_SQL_TOKEN_NATIONAL = 277,       /* SQL_TOKEN_NATIONAL  */
  YYSYMBOL_SQL_TOKEN_LARGE = 278,          /* SQL_TOKEN_LARGE  */
  YYSYMBOL_SQL_TOKEN_CLOB = 279,           /* SQL_TOKEN_CLOB  */
  YYSYMBOL_SQL_TOKEN_BLOB = 280,           /* SQL_TOKEN_BLOB  */
  YYSYMBOL_SQL_TOKEN_BIGINT = 281,         /* SQL_TOKEN_BIGINT  */
  YYSYMBOL_SQL_TOKEN_BINARY = 282,         /* SQL_TOKEN_BINARY  */
  YYSYMBOL_SQL_TOKEN_WITHOUT = 283,        /* SQL_TOKEN_WITHOUT  */
  YYSYMBOL_SQL_TOKEN_BOOLEAN = 284,        /* SQL_TOKEN_BOOLEAN  */
  YYSYMBOL_SQL_TOKEN_INTERVAL = 285,       /* SQL_TOKEN_INTERVAL  */
  YYSYMBOL_SQL_TOKEN_OVER = 286,           /* SQL_TOKEN_OVER  */
  YYSYMBOL_SQL_TOKEN_ROW_NUMBER = 287,     /* SQL_TOKEN_ROW_NUMBER  */
  YYSYMBOL_SQL_TOKEN_NTILE = 288,          /* SQL_TOKEN_NTILE  */
  YYSYMBOL_SQL_TOKEN_LEAD = 289,           /* SQL_TOKEN_LEAD  */
  YYSYMBOL_SQL_TOKEN_LAG = 290,            /* SQL_TOKEN_LAG  */
  YYSYMBOL_SQL_TOKEN_RESPECT = 291,        /* SQL_TOKEN_RESPECT  */
  YYSYMBOL_SQL_TOKEN_IGNORE = 292,         /* SQL_TOKEN_IGNORE  */
  YYSYMBOL_SQL_TOKEN_NULLS = 293,          /* SQL_TOKEN_NULLS  */
  YYSYMBOL_SQL_TOKEN_FIRST_VALUE = 294,    /* SQL_TOKEN_FIRST_VALUE  */
  YYSYMBOL_SQL_TOKEN_LAST_VALUE = 295,     /* SQL_TOKEN_LAST_VALUE  */
  YYSYMBOL_SQL_TOKEN_NTH_VALUE = 296,      /* SQL_TOKEN_NTH_VALUE  */
  YYSYMBOL_SQL_TOKEN_FIRST = 297,          /* SQL_TOKEN_FIRST  */
  YYSYMBOL_SQL_TOKEN_LAST = 298,           /* SQL_TOKEN_LAST  */
  YYSYMBOL_SQL_TOKEN_EXCLUDE = 299,        /* SQL_TOKEN_EXCLUDE  */
  YYSYMBOL_SQL_TOKEN_OTHERS = 300,         /* SQL_TOKEN_OTHERS  */
  YYSYMBOL_SQL_TOKEN_TIES = 301,           /* SQL_TOKEN_TIES  */
  YYSYMBOL_SQL_TOKEN_FOLLOWING = 302,      /* SQL_TOKEN_FOLLOWING  */
  YYSYMBOL_SQL_TOKEN_UNBOUNDED = 303,      /* SQL_TOKEN_UNBOUNDED  */
  YYSYMBOL_SQL_TOKEN_PRECEDING = 304,      /* SQL_TOKEN_PRECEDING  */
  YYSYMBOL_SQL_TOKEN_RANGE = 305,          /* SQL_TOKEN_RANGE  */
  YYSYMBOL_SQL_TOKEN_ROWS = 306,           /* SQL_TOKEN_ROWS  */
  YYSYMBOL_SQL_TOKEN_PARTITION = 307,      /* SQL_TOKEN_PARTITION  */
  YYSYMBOL_SQL_TOKEN_WINDOW = 308,         /* SQL_TOKEN_WINDOW  */
  YYSYMBOL_SQL_TOKEN_NO = 309,             /* SQL_TOKEN_NO  */
  YYSYMBOL_SQL_TOKEN_LIMIT = 310,          /* SQL_TOKEN_LIMIT  */
  YYSYMBOL_SQL_TOKEN_OFFSET = 311,         /* SQL_TOKEN_OFFSET  */
  YYSYMBOL_SQL_TOKEN_NEXT = 312,           /* SQL_TOKEN_NEXT  */
  YYSYMBOL_SQL_TOKEN_ONLY = 313,           /* SQL_TOKEN_ONLY  */
  YYSYMBOL_SQL_TOKEN_OR = 314,             /* SQL_TOKEN_OR  */
  YYSYMBOL_SQL_TOKEN_AND = 315,            /* SQL_TOKEN_AND  */
  YYSYMBOL_SQL_LESSEQ = 316,               /* SQL_LESSEQ  */
  YYSYMBOL_SQL_GREATEQ = 317,              /* SQL_GREATEQ  */
  YYSYMBOL_SQL_NOTEQUAL = 318,             /* SQL_NOTEQUAL  */
  YYSYMBOL_SQL_LESS = 319,                 /* SQL_LESS  */
  YYSYMBOL_SQL_GREAT = 320,                /* SQL_GREAT  */
  YYSYMBOL_SQL_EQUAL = 321,                /* SQL_EQUAL  */
  YYSYMBOL_322_ = 322,                     /* '+'  */
  YYSYMBOL_323_ = 323,                     /* '-'  */
  YYSYMBOL_SQL_CONCAT = 324,               /* SQL_CONCAT  */
  YYSYMBOL_325_ = 325,                     /* '*'  */
  YYSYMBOL_326_ = 326,                     /* '/'  */
  YYSYMBOL_327_ = 327,                     /* '='  */
  YYSYMBOL_SQL_TOKEN_INVALIDSYMBOL = 328,  /* SQL_TOKEN_INVALIDSYMBOL  */
  YYSYMBOL_YYACCEPT = 329,                 /* $accept  */
  YYSYMBOL_sql_single_statement = 330,     /* sql_single_statement  */
  YYSYMBOL_sql = 331,                      /* sql  */
  YYSYMBOL_schema_element = 332,           /* schema_element  */
  YYSYMBOL_base_table_def = 333,           /* base_table_def  */
  YYSYMBOL_base_table_element_commalist = 334, /* base_table_element_commalist  */
  YYSYMBOL_base_table_element = 335,       /* base_table_element  */
  YYSYMBOL_column_def = 336,               /* column_def  */
  YYSYMBOL_column_def_opt_list = 337,      /* column_def_opt_list  */
  YYSYMBOL_nil_fkt = 338,                  /* nil_fkt  */
  YYSYMBOL_unique_spec = 339,              /* unique_spec  */
  YYSYMBOL_column_def_opt = 340,           /* column_def_opt  */
  YYSYMBOL_table_constraint_def = 341,     /* table_constraint_def  */
  YYSYMBOL_op_column_commalist = 342,      /* op_column_commalist  */
  YYSYMBOL_column_commalist = 343,         /* column_commalist  */
  YYSYMBOL_view_def = 344,                 /* view_def  */
  YYSYMBOL_opt_with_check_option = 345,    /* opt_with_check_option  */
  YYSYMBOL_opt_column_commalist = 346,     /* opt_column_commalist  */
  YYSYMBOL_privilege_def = 347,            /* privilege_def  */
  YYSYMBOL_opt_with_grant_option = 348,    /* opt_with_grant_option  */
  YYSYMBOL_privileges = 349,               /* privileges  */
  YYSYMBOL_operation_commalist = 350,      /* operation_commalist  */
  YYSYMBOL_operation = 351,                /* operation  */
  YYSYMBOL_grantee_commalist = 352,        /* grantee_commalist  */
  YYSYMBOL_grantee = 353,                  /* grantee  */
  YYSYMBOL_opt_order_by_clause = 354,      /* opt_order_by_clause  */
  YYSYMBOL_ordering_spec_commalist = 355,  /* ordering_spec_commalist  */
  YYSYMBOL_ordering_spec = 356,            /* ordering_spec  */
  YYSYMBOL_opt_asc_desc = 357,             /* opt_asc_desc  */
  YYSYMBOL_sql_not = 358,                  /* sql_not  */
  YYSYMBOL_manipulative_statement = 359,   /* manipulative_statement  */
  YYSYMBOL_union_statement = 360,          /* union_statement  */
  YYSYMBOL_commit_statement = 361,         /* commit_statement  */
  YYSYMBOL_delete_statement_searched = 362, /* delete_statement_searched  */
  YYSYMBOL_fetch_statement = 363,          /* fetch_statement  */
  YYSYMBOL_insert_statement = 364,         /* insert_statement  */
  YYSYMBOL_values_or_query_spec = 365,     /* values_or_query_spec  */
  YYSYMBOL_table_value_const_list = 366,   /* table_value_const_list  */
  YYSYMBOL_row_value_constructor = 367,    /* row_value_constructor  */
  YYSYMBOL_row_value_constructor_elem = 368, /* row_value_constructor_elem  */
  YYSYMBOL_rollback_statement = 369,       /* rollback_statement  */
  YYSYMBOL_select_statement_into = 370,    /* select_statement_into  */
  YYSYMBOL_opt_all_distinct = 371,         /* opt_all_distinct  */
  YYSYMBOL_assignment_commalist = 372,     /* assignment_commalist  */
  YYSYMBOL_assignment = 373,               /* assignment  */
  YYSYMBOL_update_source = 374,            /* update_source  */
  YYSYMBOL_update_statement_searched = 375, /* update_statement_searched  */
  YYSYMBOL_target_commalist = 376,         /* target_commalist  */
  YYSYMBOL_target = 377,                   /* target  */
  YYSYMBOL_opt_where_clause = 378,         /* opt_where_clause  */
  YYSYMBOL_query_term = 379,               /* query_term  */
  YYSYMBOL_select_statement = 380,         /* select_statement  */
  YYSYMBOL_selection = 381,                /* selection  */
  YYSYMBOL_opt_result_offset_clause = 382, /* opt_result_offset_clause  */
  YYSYMBOL_result_offset_clause = 383,     /* result_offset_clause  */
  YYSYMBOL_opt_fetch_first_row_count = 384, /* opt_fetch_first_row_count  */
  YYSYMBOL_first_or_next = 385,            /* first_or_next  */
  YYSYMBOL_row_or_rows = 386,              /* row_or_rows  */
  YYSYMBOL_opt_fetch_first_clause = 387,   /* opt_fetch_first_clause  */
  YYSYMBOL_fetch_first_clause = 388,       /* fetch_first_clause  */
  YYSYMBOL_offset_row_count = 389,         /* offset_row_count  */
  YYSYMBOL_fetch_first_row_count = 390,    /* fetch_first_row_count  */
  YYSYMBOL_opt_limit_offset_clause = 391,  /* opt_limit_offset_clause  */
  YYSYMBOL_opt_offset = 392,               /* opt_offset  */
  YYSYMBOL_limit_offset_clause = 393,      /* limit_offset_clause  */
  YYSYMBOL_table_exp = 394,                /* table_exp  */
  YYSYMBOL_from_clause = 395,              /* from_clause  */
  YYSYMBOL_table_ref_commalist = 396,      /* table_ref_commalist  */
  YYSYMBOL_opt_as = 397,                   /* opt_as  */
  YYSYMBOL_opt_row = 398,                  /* opt_row  */
  YYSYMBOL_table_primary_as_range_column = 399, /* table_primary_as_range_column  */
  YYSYMBOL_table_ref = 400,                /* table_ref  */
  YYSYMBOL_where_clause = 401,             /* where_clause  */
  YYSYMBOL_opt_group_by_clause = 402,      /* opt_group_by_clause  */
  YYSYMBOL_column_ref_commalist = 403,     /* column_ref_commalist  */
  YYSYMBOL_opt_having_clause = 404,        /* opt_having_clause  */
  YYSYMBOL_boolean_primary = 405,          /* boolean_primary  */
  YYSYMBOL_parenthesized_boolean_value_expression = 406, /* parenthesized_boolean_value_expression  */
  YYSYMBOL_boolean_factor = 407,           /* boolean_factor  */
  YYSYMBOL_boolean_term = 408,             /* boolean_term  */
  YYSYMBOL_search_condition = 409,         /* search_condition  */
  YYSYMBOL_predicate = 410,                /* predicate  */
  YYSYMBOL_comparison_predicate_part_2 = 411, /* comparison_predicate_part_2  */
  YYSYMBOL_comparison_predicate = 412,     /* comparison_predicate  */
  YYSYMBOL_comparison = 413,               /* comparison  */
  YYSYMBOL_between_predicate_part_2 = 414, /* between_predicate_part_2  */
  YYSYMBOL_between_predicate = 415,        /* between_predicate  */
  YYSYMBOL_character_like_predicate_part_2 = 416, /* character_like_predicate_part_2  */
  YYSYMBOL_other_like_predicate_part_2 = 417, /* other_like_predicate_part_2  */
  YYSYMBOL_like_predicate = 418,           /* like_predicate  */
  YYSYMBOL_opt_escape = 419,               /* opt_escape  */
  YYSYMBOL_null_predicate_part_2 = 420,    /* null_predicate_part_2  */
  YYSYMBOL_test_for_null = 421,            /* test_for_null  */
  YYSYMBOL_in_predicate_value = 422,       /* in_predicate_value  */
  YYSYMBOL_in_predicate_part_2 = 423,      /* in_predicate_part_2  */
  YYSYMBOL_in_predicate = 424,             /* in_predicate  */
  YYSYMBOL_quantified_comparison_predicate_part_2 = 425, /* quantified_comparison_predicate_part_2  */
  YYSYMBOL_all_or_any_predicate = 426,     /* all_or_any_predicate  */
  YYSYMBOL_any_all_some = 427,             /* any_all_some  */
  YYSYMBOL_existence_test = 428,           /* existence_test  */
  YYSYMBOL_unique_test = 429,              /* unique_test  */
  YYSYMBOL_subquery = 430,                 /* subquery  */
  YYSYMBOL_scalar_exp_commalist = 431,     /* scalar_exp_commalist  */
  YYSYMBOL_select_sublist = 432,           /* select_sublist  */
  YYSYMBOL_parameter_ref = 433,            /* parameter_ref  */
  YYSYMBOL_literal = 434,                  /* literal  */
  YYSYMBOL_as_clause = 435,                /* as_clause  */
  YYSYMBOL_position_exp = 436,             /* position_exp  */
  YYSYMBOL_num_value_fct = 437,            /* num_value_fct  */
  YYSYMBOL_char_length_exp = 438,          /* char_length_exp  */
  YYSYMBOL_octet_length_exp = 439,         /* octet_length_exp  */
  YYSYMBOL_bit_length_exp = 440,           /* bit_length_exp  */
  YYSYMBOL_length_exp = 441,               /* length_exp  */
  YYSYMBOL_datetime_field = 442,           /* datetime_field  */
  YYSYMBOL_extract_field = 443,            /* extract_field  */
  YYSYMBOL_time_zone_field = 444,          /* time_zone_field  */
  YYSYMBOL_extract_exp = 445,              /* extract_exp  */
  YYSYMBOL_unsigned_value_spec = 446,      /* unsigned_value_spec  */
  YYSYMBOL_general_value_spec = 447,       /* general_value_spec  */
  YYSYMBOL_set_fct_spec = 448,             /* set_fct_spec  */
  YYSYMBOL_function_name0 = 449,           /* function_name0  */
  YYSYMBOL_function_name1 = 450,           /* function_name1  */
  YYSYMBOL_function_name2 = 451,           /* function_name2  */
  YYSYMBOL_function_name12 = 452,          /* function_name12  */
  YYSYMBOL_function_name23 = 453,          /* function_name23  */
  YYSYMBOL_function_name3 = 454,           /* function_name3  */
  YYSYMBOL_function_name = 455,            /* function_name  */
  YYSYMBOL_string_function_1Argument = 456, /* string_function_1Argument  */
  YYSYMBOL_string_function_2Argument = 457, /* string_function_2Argument  */
  YYSYMBOL_string_function_3Argument = 458, /* string_function_3Argument  */
  YYSYMBOL_string_function_4Argument = 459, /* string_function_4Argument  */
  YYSYMBOL_string_function = 460,          /* string_function  */
  YYSYMBOL_date_function_0Argument = 461,  /* date_function_0Argument  */
  YYSYMBOL_date_function_1Argument = 462,  /* date_function_1Argument  */
  YYSYMBOL_date_function = 463,            /* date_function  */
  YYSYMBOL_numeric_function_0Argument = 464, /* numeric_function_0Argument  */
  YYSYMBOL_numeric_function_1Argument = 465, /* numeric_function_1Argument  */
  YYSYMBOL_numeric_function_2Argument = 466, /* numeric_function_2Argument  */
  YYSYMBOL_numeric_function = 467,         /* numeric_function  */
  YYSYMBOL_window_function = 468,          /* window_function  */
  YYSYMBOL_window_function_type = 469,     /* window_function_type  */
  YYSYMBOL_ntile_function = 470,           /* ntile_function  */
  YYSYMBOL_dynamic_parameter_specification = 471, /* dynamic_parameter_specification  */
  YYSYMBOL_simple_value_specification = 472, /* simple_value_specification  */
  YYSYMBOL_number_of_tiles = 473,          /* number_of_tiles  */
  YYSYMBOL_opt_lead_or_lag_function = 474, /* opt_lead_or_lag_function  */
  YYSYMBOL_opt_null_treatment = 475,       /* opt_null_treatment  */
  YYSYMBOL_lead_or_lag_function = 476,     /* lead_or_lag_function  */
  YYSYMBOL_lead_or_lag = 477,              /* lead_or_lag  */
  YYSYMBOL_lead_or_lag_extent = 478,       /* lead_or_lag_extent  */
  YYSYMBOL_offset = 479,                   /* offset  */
  YYSYMBOL_default_expression = 480,       /* default_expression  */
  YYSYMBOL_null_treatment = 481,           /* null_treatment  */
  YYSYMBOL_first_or_last_value_function = 482, /* first_or_last_value_function  */
  YYSYMBOL_first_or_last_value = 483,      /* first_or_last_value  */
  YYSYMBOL_opt_from_first_or_last = 484,   /* opt_from_first_or_last  */
  YYSYMBOL_nth_value_function = 485,       /* nth_value_function  */
  YYSYMBOL_nth_row = 486,                  /* nth_row  */
  YYSYMBOL_from_first_or_last = 487,       /* from_first_or_last  */
  YYSYMBOL_window_name = 488,              /* window_name  */
  YYSYMBOL_window_name_or_specification = 489, /* window_name_or_specification  */
  YYSYMBOL_in_line_window_specification = 490, /* in_line_window_specification  */
  YYSYMBOL_opt_window_clause = 491,        /* opt_window_clause  */
  YYSYMBOL_window_clause = 492,            /* window_clause  */
  YYSYMBOL_window_definition_list = 493,   /* window_definition_list  */
  YYSYMBOL_window_definition = 494,        /* window_definition  */
  YYSYMBOL_new_window_name = 495,          /* new_window_name  */
  YYSYMBOL_window_specification = 496,     /* window_specification  */
  YYSYMBOL_opt_existing_window_name = 497, /* opt_existing_window_name  */
  YYSYMBOL_opt_window_partition_clause = 498, /* opt_window_partition_clause  */
  YYSYMBOL_opt_window_frame_clause = 499,  /* opt_window_frame_clause  */
  YYSYMBOL_existing_window_name = 500,     /* existing_window_name  */
  YYSYMBOL_window_partition_clause = 501,  /* window_partition_clause  */
  YYSYMBOL_window_partition_column_reference_list = 502, /* window_partition_column_reference_list  */
  YYSYMBOL_window_partition_column_reference = 503, /* window_partition_column_reference  */
  YYSYMBOL_opt_window_frame_exclusion = 504, /* opt_window_frame_exclusion  */
  YYSYMBOL_window_frame_clause = 505,      /* window_frame_clause  */
  YYSYMBOL_window_frame_units = 506,       /* window_frame_units  */
  YYSYMBOL_window_frame_extent = 507,      /* window_frame_extent  */
  YYSYMBOL_window_frame_start = 508,       /* window_frame_start  */
  YYSYMBOL_window_frame_preceding = 509,   /* window_frame_preceding  */
  YYSYMBOL_window_frame_between = 510,     /* window_frame_between  */
  YYSYMBOL_window_frame_bound_1 = 511,     /* window_frame_bound_1  */
  YYSYMBOL_window_frame_bound_2 = 512,     /* window_frame_bound_2  */
  YYSYMBOL_window_frame_bound = 513,       /* window_frame_bound  */
  YYSYMBOL_window_frame_following = 514,   /* window_frame_following  */
  YYSYMBOL_window_frame_exclusion = 515,   /* window_frame_exclusion  */
  YYSYMBOL_op_parameter = 516,             /* op_parameter  */
  YYSYMBOL_odbc_call_spec = 517,           /* odbc_call_spec  */
  YYSYMBOL_op_odbc_call_parameter = 518,   /* op_odbc_call_parameter  */
  YYSYMBOL_odbc_parameter_commalist = 519, /* odbc_parameter_commalist  */
  YYSYMBOL_odbc_parameter = 520,           /* odbc_parameter  */
  YYSYMBOL_odbc_fct_spec = 521,            /* odbc_fct_spec  */
  YYSYMBOL_odbc_fct_type = 522,            /* odbc_fct_type  */
  YYSYMBOL_general_set_fct = 523,          /* general_set_fct  */
  YYSYMBOL_set_fct_type = 524,             /* set_fct_type  */
  YYSYMBOL_ordered_set_function = 525,     /* ordered_set_function  */
  YYSYMBOL_hypothetical_set_function = 526, /* hypothetical_set_function  */
  YYSYMBOL_within_group_specification = 527, /* within_group_specification  */
  YYSYMBOL_hypothetical_set_function_value_expression_list = 528, /* hypothetical_set_function_value_expression_list  */
  YYSYMBOL_inverse_distribution_function = 529, /* inverse_distribution_function  */
  YYSYMBOL_inverse_distribution_function_argument = 530, /* inverse_distribution_function_argument  */
  YYSYMBOL_inverse_distribution_function_type = 531, /* inverse_distribution_function_type  */
  YYSYMBOL_array_aggregate_function = 532, /* array_aggregate_function  */
  YYSYMBOL_rank_function_type = 533,       /* rank_function_type  */
  YYSYMBOL_outer_join_type = 534,          /* outer_join_type  */
  YYSYMBOL_join_condition = 535,           /* join_condition  */
  YYSYMBOL_join_spec = 536,                /* join_spec  */
  YYSYMBOL_join_type = 537,                /* join_type  */
  YYSYMBOL_cross_union = 538,              /* cross_union  */
  YYSYMBOL_qualified_join = 539,           /* qualified_join  */
  YYSYMBOL_joined_table = 540,             /* joined_table  */
  YYSYMBOL_named_columns_join = 541,       /* named_columns_join  */
  YYSYMBOL_simple_table = 542,             /* simple_table  */
  YYSYMBOL_non_join_query_primary = 543,   /* non_join_query_primary  */
  YYSYMBOL_non_join_query_term = 544,      /* non_join_query_term  */
  YYSYMBOL_query_primary = 545,            /* query_primary  */
  YYSYMBOL_non_join_query_exp = 546,       /* non_join_query_exp  */
  YYSYMBOL_all = 547,                      /* all  */
  YYSYMBOL_query_exp = 548,                /* query_exp  */
  YYSYMBOL_scalar_subquery = 549,          /* scalar_subquery  */
  YYSYMBOL_cast_operand = 550,             /* cast_operand  */
  YYSYMBOL_cast_target = 551,              /* cast_target  */
  YYSYMBOL_cast_spec = 552,                /* cast_spec  */
  YYSYMBOL_value_exp_primary = 553,        /* value_exp_primary  */
  YYSYMBOL_num_primary = 554,              /* num_primary  */
  YYSYMBOL_factor = 555,                   /* factor  */
  YYSYMBOL_term = 556,                     /* term  */
  YYSYMBOL_num_value_exp = 557,            /* num_value_exp  */
  YYSYMBOL_datetime_primary = 558,         /* datetime_primary  */
  YYSYMBOL_datetime_value_fct = 559,       /* datetime_value_fct  */
  YYSYMBOL_time_zone = 560,                /* time_zone  */
  YYSYMBOL_time_zone_specifier = 561,      /* time_zone_specifier  */
  YYSYMBOL_datetime_factor = 562,          /* datetime_factor  */
  YYSYMBOL_datetime_term = 563,            /* datetime_term  */
  YYSYMBOL_datetime_value_exp = 564,       /* datetime_value_exp  */
  YYSYMBOL_non_second_datetime_field = 565, /* non_second_datetime_field  */
  YYSYMBOL_datetime_unit = 566,            /* datetime_unit  */
  YYSYMBOL_start_field = 567,              /* start_field  */
  YYSYMBOL_end_field = 568,                /* end_field  */
  YYSYMBOL_single_datetime_field = 569,    /* single_datetime_field  */
  YYSYMBOL_interval_qualifier = 570,       /* interval_qualifier  */
  YYSYMBOL_function_arg_commalist2 = 571,  /* function_arg_commalist2  */
  YYSYMBOL_function_arg_commalist3 = 572,  /* function_arg_commalist3  */
  YYSYMBOL_function_arg_commalist4 = 573,  /* function_arg_commalist4  */
  YYSYMBOL_value_exp_commalist = 574,      /* value_exp_commalist  */
  YYSYMBOL_function_arg = 575,             /* function_arg  */
  YYSYMBOL_function_args_commalist = 576,  /* function_args_commalist  */
  YYSYMBOL_value_exp = 577,                /* value_exp  */
  YYSYMBOL_string_value_exp = 578,         /* string_value_exp  */
  YYSYMBOL_char_value_exp = 579,           /* char_value_exp  */
  YYSYMBOL_concatenation = 580,            /* concatenation  */
  YYSYMBOL_char_primary = 581,             /* char_primary  */
  YYSYMBOL_collate_clause = 582,           /* collate_clause  */
  YYSYMBOL_char_factor = 583,              /* char_factor  */
  YYSYMBOL_string_value_fct = 584,         /* string_value_fct  */
  YYSYMBOL_bit_value_fct = 585,            /* bit_value_fct  */
  YYSYMBOL_bit_substring_fct = 586,        /* bit_substring_fct  */
  YYSYMBOL_bit_value_exp = 587,            /* bit_value_exp  */
  YYSYMBOL_bit_factor = 588,               /* bit_factor  */
  YYSYMBOL_bit_primary = 589,              /* bit_primary  */
  YYSYMBOL_char_value_fct = 590,           /* char_value_fct  */
  YYSYMBOL_for_length = 591,               /* for_length  */
  YYSYMBOL_char_substring_fct = 592,       /* char_substring_fct  */
  YYSYMBOL_form_conversion = 593,          /* form_conversion  */
  YYSYMBOL_char_translation = 594,         /* char_translation  */
  YYSYMBOL_trim_fct = 595,                 /* trim_fct  */
  YYSYMBOL_trim_operands = 596,            /* trim_operands  */
  YYSYMBOL_trim_spec = 597,                /* trim_spec  */
  YYSYMBOL_derived_column = 598,           /* derived_column  */
  YYSYMBOL_table_node = 599,               /* table_node  */
  YYSYMBOL_catalog_name = 600,             /* catalog_name  */
  YYSYMBOL_schema_name = 601,              /* schema_name  */
  YYSYMBOL_table_name = 602,               /* table_name  */
  YYSYMBOL_column_ref = 603,               /* column_ref  */
  YYSYMBOL_column_val = 604,               /* column_val  */
  YYSYMBOL_data_type = 605,                /* data_type  */
  YYSYMBOL_opt_char_set_spec = 606,        /* opt_char_set_spec  */
  YYSYMBOL_opt_collate_clause = 607,       /* opt_collate_clause  */
  YYSYMBOL_predefined_type = 608,          /* predefined_type  */
  YYSYMBOL_character_string_type = 609,    /* character_string_type  */
  YYSYMBOL_opt_paren_precision = 610,      /* opt_paren_precision  */
  YYSYMBOL_paren_char_length = 611,        /* paren_char_length  */
  YYSYMBOL_opt_paren_char_large_length = 612, /* opt_paren_char_large_length  */
  YYSYMBOL_paren_character_large_object_length = 613, /* paren_character_large_object_length  */
  YYSYMBOL_large_object_length = 614,      /* large_object_length  */
  YYSYMBOL_opt_multiplier = 615,           /* opt_multiplier  */
  YYSYMBOL_character_large_object_type = 616, /* character_large_object_type  */
  YYSYMBOL_national_character_string_type = 617, /* national_character_string_type  */
  YYSYMBOL_national_character_large_object_type = 618, /* national_character_large_object_type  */
  YYSYMBOL_binary_string_type = 619,       /* binary_string_type  */
  YYSYMBOL_binary_large_object_string_type = 620, /* binary_large_object_string_type  */
  YYSYMBOL_numeric_type = 621,             /* numeric_type  */
  YYSYMBOL_opt_paren_precision_scale = 622, /* opt_paren_precision_scale  */
  YYSYMBOL_exact_numeric_type = 623,       /* exact_numeric_type  */
  YYSYMBOL_approximate_numeric_type = 624, /* approximate_numeric_type  */
  YYSYMBOL_boolean_type = 625,             /* boolean_type  */
  YYSYMBOL_datetime_type = 626,            /* datetime_type  */
  YYSYMBOL_opt_with_or_without_time_zone = 627, /* opt_with_or_without_time_zone  */
  YYSYMBOL_interval_type = 628,            /* interval_type  */
  YYSYMBOL_column = 629,                   /* column  */
  YYSYMBOL_case_expression = 630,          /* case_expression  */
  YYSYMBOL_case_abbreviation = 631,        /* case_abbreviation  */
  YYSYMBOL_case_specification = 632,       /* case_specification  */
  YYSYMBOL_simple_case = 633,              /* simple_case  */
  YYSYMBOL_searched_case = 634,            /* searched_case  */
  YYSYMBOL_simple_when_clause_list = 635,  /* simple_when_clause_list  */
  YYSYMBOL_simple_when_clause = 636,       /* simple_when_clause  */
  YYSYMBOL_when_operand_list = 637,        /* when_operand_list  */
  YYSYMBOL_when_operand = 638,             /* when_operand  */
  YYSYMBOL_searched_when_clause_list = 639, /* searched_when_clause_list  */
  YYSYMBOL_searched_when_clause = 640,     /* searched_when_clause  */
  YYSYMBOL_else_clause = 641,              /* else_clause  */
  YYSYMBOL_result = 642,                   /* result  */
  YYSYMBOL_result_expression = 643,        /* result_expression  */
  YYSYMBOL_case_operand = 644,             /* case_operand  */
  YYSYMBOL_cursor = 645,                   /* cursor  */
  YYSYMBOL_parameter = 646,                /* parameter  */
  YYSYMBOL_range_variable = 647,           /* range_variable  */
  YYSYMBOL_user = 648,                     /* user  */
  YYSYMBOL_trigger_definition = 649,       /* trigger_definition  */
  YYSYMBOL_op_referencing = 650,           /* op_referencing  */
  YYSYMBOL_trigger_action_time = 651,      /* trigger_action_time  */
  YYSYMBOL_trigger_event = 652,            /* trigger_event  */
  YYSYMBOL_op_trigger_columnlist = 653,    /* op_trigger_columnlist  */
  YYSYMBOL_trigger_column_list = 654,      /* trigger_column_list  */
  YYSYMBOL_triggered_action = 655,         /* triggered_action  */
  YYSYMBOL_op_triggered_action_for = 656,  /* op_triggered_action_for  */
  YYSYMBOL_trigger_for = 657,              /* trigger_for  */
  YYSYMBOL_triggered_when_clause = 658,    /* triggered_when_clause  */
  YYSYMBOL_triggered_SQL_statement = 659,  /* triggered_SQL_statement  */
  YYSYMBOL_SQL_procedure_statement_list = 660, /* SQL_procedure_statement_list  */
  YYSYMBOL_SQL_procedure_statement = 661,  /* SQL_procedure_statement  */
  YYSYMBOL_transition_table_or_variable_list = 662, /* transition_table_or_variable_list  */
  YYSYMBOL_transition_table_or_variable = 663, /* transition_table_or_variable  */
  YYSYMBOL_old_transition_table_name = 664, /* old_transition_table_name  */
  YYSYMBOL_new_transition_table_name = 665, /* new_transition_table_name  */
  YYSYMBOL_transition_table_name = 666,    /* transition_table_name  */
  YYSYMBOL_old_transition_variable_name = 667, /* old_transition_variable_name  */
  YYSYMBOL_new_transition_variable_name = 668, /* new_transition_variable_name  */
  YYSYMBOL_trigger_name = 669              /* trigger_name  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;


/* Default (constant) value used for initialization for null
   right-hand sides.  Unlike the standard yacc.c template, here we set
   the default value of $$ to a zeroed-out value.  Since the default
   value is undefined, this behavior is technically correct.  */
static YYSTYPE yyval_default;



#include <stddef.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif
#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YYFREE
# define YYFREE free
#endif
#ifndef YYMALLOC
# define YYMALLOC malloc
#endif
#ifndef YYREALLOC
# define YYREALLOC realloc
#endif

#ifdef __cplusplus
  typedef bool yybool;
# define yytrue true
# define yyfalse false
#else
  /* When we move to stdbool, get rid of the various casts to yybool.  */
  typedef signed char yybool;
# define yytrue 1
# define yyfalse 0
#endif

#ifndef YYSETJMP
# include <setjmp.h>
# define YYJMP_BUF jmp_buf
# define YYSETJMP(Env) setjmp (Env)
/* Pacify Clang and ICC.  */
# define YYLONGJMP(Env, Val)                    \
 do {                                           \
   longjmp (Env, Val);                          \
   YY_ASSERT (0);                               \
 } while (yyfalse)
#endif

#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* The _Noreturn keyword of C11.  */
#ifndef _Noreturn
# if (defined __cplusplus \
      && ((201103 <= __cplusplus && !(__GNUC__ == 4 && __GNUC_MINOR__ == 7)) \
          || (defined _MSC_VER && 1900 <= _MSC_VER)))
#  define _Noreturn [[noreturn]]
# elif ((!defined __cplusplus || defined __clang__) \
        && (201112 <= (defined __STDC_VERSION__ ? __STDC_VERSION__ : 0) \
            || (!defined __STRICT_ANSI__ \
                && (4 < __GNUC__ + (7 <= __GNUC_MINOR__) \
                    || (defined __apple_build_version__ \
                        ? 6000000 <= __apple_build_version__ \
                        : 3 < __clang_major__ + (5 <= __clang_minor__))))))
   /* _Noreturn works as-is.  */
# elif (2 < __GNUC__ + (8 <= __GNUC_MINOR__) || defined __clang__ \
        || 0x5110 <= __SUNPRO_C)
#  define _Noreturn __attribute__ ((__noreturn__))
# elif 1200 <= (defined _MSC_VER ? _MSC_VER : 0)
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  371
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   8904

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  329
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  341
/* YYNRULES -- Number of rules.  */
#define YYNRULES  797
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1316
/* YYMAXRHS -- Maximum number of symbols on right-hand side of rule.  */
#define YYMAXRHS 10
/* YYMAXLEFT -- Maximum number of symbols to the left of a handle
   accessed by $0, $-1, etc., in any rule.  */
#define YYMAXLEFT 0

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   562

/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       3,     4,   325,   322,     5,   323,    13,   326,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     6,     7,
       2,   327,     2,     8,     2,     2,     2,     2,     2,     2,
       2,    16,     2,     2,     2,    14,     2,    15,     2,     2,
      18,     2,     2,     2,    17,     2,     2,     2,     2,     2,
       2,     9,     2,    10,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    11,     2,    12,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   324,   328
};

#if YYDEBUG
/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   272,   272,   274,   282,   283,   341,   342,   343,   344,
     348,   359,   362,   368,   369,   373,   382,   383,   389,   392,
     393,   401,   405,   406,   410,   414,   418,   424,   425,   431,
     435,   445,   451,   460,   472,   480,   481,   489,   492,   498,
     510,   511,   519,   520,   528,   541,   542,   550,   554,   558,
     561,   567,   568,   572,   573,   577,   581,   586,   589,   595,
     596,   602,   603,   611,   614,   625,   630,   637,   638,   639,
     656,   657,   663,   665,   666,   667,   668,   669,   671,   672,
     673,   683,   684,   694,   713,   722,   731,   740,   750,   753,
     768,   779,   780,   785,   794,   805,   806,   807,   826,   829,
     835,   842,   843,   846,   856,   859,   865,   869,   870,   876,
     884,   895,   900,   903,   904,   907,   916,   917,   920,   921,
     924,   925,   928,   929,   932,   943,   946,   950,   951,   954,
     955,   963,   972,   988,   996,   999,  1005,  1006,  1009,  1010,
    1013,  1014,  1023,  1029,  1036,  1037,  1045,  1054,  1061,  1062,
    1070,  1073,  1076,  1079,  1085,  1086,  1094,  1095,  1102,  1149,
    1158,  1159,  1167,  1168,  1177,  1178,  1187,  1188,  1189,  1190,
    1191,  1192,  1193,  1194,  1197,  1204,  1211,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,  1250,  1258,  1296,  1302,  1305,  1315,
    1325,  1331,  1337,  1359,  1384,  1385,  1389,  1400,  1407,  1416,
    1422,  1438,  1442,  1450,  1459,  1465,  1481,  1490,  1496,  1513,
    1514,  1515,  1519,  1525,  1531,  1540,  1545,  1560,  1565,  1597,
    1598,  1599,  1600,  1601,  1603,  1615,  1627,  1639,  1655,  1656,
    1662,  1665,  1675,  1685,  1686,  1687,  1690,  1698,  1709,  1719,
    1729,  1734,  1739,  1746,  1751,  1758,  1759,  1760,  1763,  1768,
    1775,  1787,  1788,  1791,  1792,  1793,  1794,  1795,  1796,  1797,
    1798,  1799,  1800,  1801,  1802,  1803,  1804,  1807,  1808,  1815,
    1822,  1829,  1837,  1845,  1853,  1861,  1869,  1882,  1897,  1898,
    1901,  1902,  1903,  1906,  1907,  1910,  1911,  1912,  1913,  1916,
    1917,  1920,  1923,  1924,  1925,  1926,  1929,  1930,  1931,  1932,
    1933,  1934,  1935,  1936,  1937,  1941,  1942,  1943,  1946,  1949,
    1953,  1954,  1955,  1956,  1957,  1960,  1961,  1962,  1965,  1966,
    1967,  1968,  1969,  1970,  1971,  1972,  1973,  1974,  1975,  1976,
    1977,  1978,  1982,  1983,  1984,  1987,  1990,  1991,  1992,  1993,
    1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,
    2004,  2005,  2006,  2007,  2010,  2011,  2012,  2015,  2016,  2020,
    2029,  2036,  2043,  2044,  2045,  2046,  2047,  2050,  2060,  2063,
    2066,  2067,  2070,  2071,  2077,  2087,  2088,  2092,  2104,  2105,
    2108,  2111,  2114,  2117,  2118,  2121,  2132,  2133,  2136,  2137,
    2140,  2154,  2155,  2158,  2164,  2172,  2175,  2176,  2179,  2182,
    2183,  2186,  2194,  2197,  2202,  2211,  2214,  2231,  2232,  2235,
    2236,  2239,  2240,  2243,  2246,  2255,  2258,  2263,  2271,  2272,
    2275,  2284,  2285,  2288,  2289,  2292,  2298,  2299,  2307,  2315,
    2325,  2328,  2331,  2332,  2338,  2341,  2349,  2356,  2362,  2368,
    2377,  2378,  2386,  2397,  2398,  2408,  2411,  2418,  2419,  2420,
    2424,  2430,  2439,  2440,  2441,  2445,  2454,  2462,  2471,  2472,
    2475,  2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,  2487,  2488,  2492,  2493,  2496,  2505,  2519,  2522,
    2533,  2537,  2547,  2550,  2551,  2555,  2567,  2568,  2569,  2570,
    2573,  2578,  2583,  2590,  2598,  2599,  2602,  2603,  2608,  2609,
    2617,  2629,  2638,  2647,  2650,  2653,  2663,  2664,  2668,  2669,
    2678,  2679,  2689,  2692,  2693,  2701,  2711,  2712,  2715,  2718,
    2721,  2724,  2725,  2728,  2740,  2741,  2742,  2743,  2744,  2745,
    2746,  2753,  2757,  2758,  2761,  2762,  2768,  2777,  2778,  2785,
    2795,  2796,  2803,  2817,  2824,  2829,  2834,  2841,  2849,  2863,
    2868,  2876,  2902,  2963,  2964,  2965,  2966,  2967,  2968,  2969,
    2970,  2971,  2975,  2976,  2977,  2978,  2979,  2980,  2981,  2982,
    2986,  2994,  2995,  3004,  3010,  3019,  3026,  3030,  3036,  3045,
    3055,  3058,  3062,  3074,  3075,  3082,  3090,  3099,  3102,  3106,
    3116,  3126,  3127,  3128,  3135,  3143,  3144,  3147,  3154,  3164,
    3165,  3168,  3176,  3177,  3185,  3186,  3189,  3196,  3209,  3233,
    3240,  3253,  3254,  3259,  3264,  3271,  3272,  3280,  3291,  3301,
    3311,  3323,  3335,  3345,  3353,  3360,  3367,  3373,  3377,  3378,
    3379,  3383,  3392,  3393,  3394,  3397,  3404,  3413,  3423,  3429,
    3438,  3444,  3451,  3461,  3485,  3488,  3495,  3498,  3499,  3508,
    3509,  3512,  3519,  3525,  3526,  3527,  3528,  3529,  3532,  3538,
    3544,  3551,  3558,  3564,  3567,  3568,  3571,  3580,  3581,  3584,
    3594,  3602,  3603,  3608,  3613,  3618,  3623,  3630,  3638,  3646,
    3654,  3661,  3668,  3674,  3682,  3690,  3697,  3700,  3709,  3717,
    3725,  3731,  3738,  3744,  3747,  3755,  3763,  3764,  3767,  3768,
    3775,  3786,  3792,  3798,  3804,  3805,  3806,  3807,  3810,  3818,
    3819,  3820,  3821,  3829,  3832,  3833,  3840,  3849,  3850,  3857,
    3866,  3876,  3877,  3883,  3889,  3897,  3898,  3901,  3909,  3917,
    3927,  3928,  3931,  3942,  3952,  3957,  3964,  3974,  3977,  3982,
    3983,  3984,  3985,  3986,  3987,  3990,  3995,  4002,  4012,  4013,
    4021,  4024,  4027,  4030,  4043,  4047,  4050,  4065,  4066,  4073,
    4078,  4092,  4095,  4110,  4113,  4121,  4122,  4123,  4131,  4132,
    4133,  4141,  4144,  4152,  4155,  4164,  4167,  4176,  4177,  4180,
    4183,  4191,  4192,  4203,  4208,  4215,  4219,  4224,  4232,  4240,
    4248,  4256,  4266,  4269,  4272,  4275,  4278,  4281
};
#endif

#define YYPACT_NINF (-1162)
#define YYTABLE_NINF (-745)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    2422,  1459,    96, -1162,   110,   422, -1162, -1162, -1162, -1162,
   -1162, -1162,  2743,   146, -1162, -1162,   127,    15,   180,   213,
      -6, -1162, -1162, -1162,   147,   248, -1162,   249,   613,   186,
   -1162, -1162, -1162, -1162,   284,   193,   114, -1162, -1162,   301,
     323, -1162,   248,   325, -1162, -1162, -1162,   438, -1162,   466,
     491, -1162, -1162,   365, -1162, -1162, -1162, -1162, -1162, -1162,
     509, -1162, -1162, -1162, -1162, -1162, -1162,   545, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,   550, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162,   554,  4936,   564,   569, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162,   580,   585, -1162,
   -1162, -1162, -1162,   600, -1162, -1162, -1162, -1162, -1162, -1162,
    8181,  8181,   474,   514, -1162, -1162, -1162, -1162,    67, -1162,
     430, -1162, -1162, -1162, -1162,   144,   126, -1162, -1162, -1162,
   -1162, -1162, -1162,   296,   326, -1162, -1162,  5241, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162,   525, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162,   612,   639,   641,   643,   650,   660,   669,
   -1162, -1162, -1162,   675, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162,   396, -1162, -1162,   684, -1162,   686, -1162,
     405,   700, -1162, -1162, -1162,   702, -1162,   710, -1162, -1162,
   -1162, -1162, -1162,   107,   175,   681, -1162, -1162, -1162, -1162,
     393, -1162,   416, -1162,   683, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162,  1459,   727,   739, -1162,   661,   471,    42,
   -1162, -1162,   667, -1162,   160,    13, -1162,   769,   449, -1162,
    8661, -1162, -1162,   610,   780,   789,   766,  3064,   379, -1162,
   -1162, -1162,   770,     8,  7593, -1162,  7593,    24,   325,   325,
     779,   325,   163, -1162, -1162,   738,   713, -1162,   807, -1162,
     807, -1162,   807,   735,   836, -1162,    52,  7593, -1162, -1162,
   -1162,  1164,  7593,  4642, -1162,   227,   740, -1162, -1162, -1162,
    7593,  7593,  7593,   325,  7593,  7593,  4348,  7593,  5535,  3385,
   -1162,   208, -1162,   597,  7593,  7593,   846,   628,  7593, -1162,
   -1162, -1162, -1162,  6123,   849,  7593,   829,  5241, -1162, -1162,
   -1162, -1162, -1162, -1162,  3385,  3385, -1162,   856,   869, -1162,
   -1162,   248, -1162, -1162, -1162, -1162,   877,  7593,  7593,  6417,
    6417,  7593,  5829,  7593,   117,  7593,  7593,   114,  7887,  6711,
    7887,  7887,  7887,  7887,   802, -1162,  7593,   108,   325, -1162,
     889,  6123, -1162,   829, -1162, -1162,   829,   829, -1162, -1162,
   -1162, -1162, -1162, -1162,   891,   325, -1162, -1162, -1162,  3064,
     114, -1162,    89,   882,   883, -1162, -1162, -1162, -1162, -1162,
   -1162,   867,   393,   893,   762,   897,  7593,   899,   807, -1162,
      19,   763,   163,   576, -1162,   109, -1162, -1162, -1162,   325,
     693,   838, -1162, -1162,    16, -1162,   149,   905, -1162,    99,
   -1162,   393,   777, -1162,  7593, -1162, -1162,    -5,   913,  7005,
     894,   895,   109,    20,    21,    22,   921,   511,   -24,   527,
      -2,   852, -1162, -1162,   853, -1162, -1162,   854, -1162,   858,
     864,   936,   868, -1162,   871, -1162, -1162,   872, -1162, -1162,
     393,   -21,  5535,    63,  -132,  7593, -1162,   695,  3385,   697,
   -1162,   597,   558,   393,   590,    64, -1162,   525, -1162, -1162,
     946, -1162,    75,   636,  5535, -1162, -1162,   113,    17, -1162,
     840, -1162, -1162,   296, -1162, -1162,   948,   161, -1162, -1162,
     950,   951,   952,   953, -1162,   954,   955,   957,   959,   960,
     961, -1162,   670,   732,   964,   965, -1162,   758,   967,   968,
     929, -1162, -1162, -1162, -1162, -1162,   971,   393,    69,  7593,
     973,   276, -1162,   104,   414, -1162, -1162,   107,   107, -1162,
   -1162, -1162, -1162, -1162, -1162,   503, -1162,   163,   163,   163,
    7593,   966,  1164,   958,    34,   821,   821,   325, -1162,   974,
     102,   940, -1162, -1162,   880,    45,  3385, -1162, -1162,    71,
     975, -1162, -1162, -1162, -1162,   653, -1162,   855, -1162, -1162,
   -1162,   183,   576, -1162,   763,  7593,   109, -1162, -1162,   325,
     393,  7593, -1162,  7593,     5,   970, -1162,   970, -1162, -1162,
      97, -1162,   664, -1162, -1162, -1162,   163, -1162,  7593,  7593,
    7593, -1162,  7593,  7593,  7593,   947,   982,  7593,   393, -1162,
   -1162,    87, -1162,  5241,    65,    66,    78,    86,    98, -1162,
     746, -1162, -1162, -1162, -1162, -1162,   628,  6123,   784,   926,
    7593, -1162, -1162, -1162, -1162,  7593,   186,  7593,  7593, -1162,
    7593,  7593, -1162,  7593,  7593, -1162, -1162,  7593, -1162, -1162,
    7593, -1162,   687, -1162,   972,   989,   408,   992,   755,   755,
    7593, -1162,  6123, -1162, -1162,   661, -1162,   661,   628, -1162,
     924,   995,  1000, -1162, -1162,   192, -1162,  1011,  1011,   912,
    1014, -1162,   194,  1011, -1162, -1162,  1015,  1015,   209,  1015,
    1015,  1017,    77,  1017,  1017, -1162,   210, -1162,   394,  1018,
   -1162, -1162, -1162,   979, -1162,   683, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162,  1028,  1029, -1162,  1031,   949,
     956, -1162,   704, -1162, -1162,  1032, -1162,   866,   840, -1162,
   -1162,   938, -1162,   942,   326,   576, -1162,   109,    81,   532,
     890,  1039,   436,   464, -1162, -1162, -1162,   464,   116,   969,
   -1162, -1162,  1041,   393,   393,  7593,  1021,   109, -1162,  7299,
      71,   393,   393,    70,    -7,   137,    72,  3706, -1162, -1162,
    -134,  4027,  7593, -1162, -1162, -1162,  1044, -1162, -1162,  1030,
     726,   582,   990,   185,   393, -1162,  1046, -1162, -1162,  1048,
    1049,  1016,   962, -1162, -1162,  1050,   408,   764,   765, -1162,
   -1162, -1162,   983, -1162, -1162,   795, -1162,   525,   728, -1162,
   -1162,   103,   103,  1036,  1015,   786, -1162, -1162,  1042, -1162,
   -1162, -1162,  1043,  1015,   787, -1162, -1162,   -44,   -44,  1015,
     793, -1162, -1162, -1162,  1047, -1162, -1162,   215,    35, -1162,
   -1162,  1015,   794, -1162, -1162, -1162, -1162, -1162,  1011, -1162,
   -1162,  1015,   945, -1162, -1162, -1162,   963,   683, -1162, -1162,
   -1162, -1162,  3385,  1069, -1162, -1162,   102,   109, -1162,   931,
     109, -1162,  1021, -1162, -1162, -1162, -1162,   101, -1162, -1162,
     532,   470,  1070,   183,   183,   993, -1162, -1162,   479, -1162,
   -1162,   977,   996, -1162,  1052,  1072,  1055, -1162, -1162,  1045,
     998, -1162,   393, -1162, -1162, -1162, -1162,   393, -1162,  7593,
    1079,  1080, -1162,  1081, -1162,   135,   100,   434, -1162,  6123,
   -1162, -1162, -1162, -1162, -1162, -1162,  1022,  1076,  7593,  7593,
    7593,  7593,   112,   445,  7593, -1162, -1162, -1162,  1086,   755,
   -1162,   628, -1162, -1162,  1087, -1162,  1017,   773,  1088, -1162,
    1017,   985,   986, -1162, -1162, -1162,  1017,   652,  1091,  1015,
     824, -1162,  1015, -1162, -1162,  1017, -1162,   978,   421,  1083,
   -1162,    90,   109, -1162,   803,   750,  1067, -1162,  1106, -1162,
     857,    81,  1037, -1162, -1162,  1102,   436,   183,  1033, -1162,
     183, -1162,   109, -1162,  1072,  8430,  3385,   808,   393, -1162,
   -1162,  3706, -1162, -1162, -1162, -1162,  7593, -1162,   515,   408,
   -1162, -1162,   393, -1162, -1162,  1110,   292,  1112, -1162,   683,
   -1162, -1162,  1114, -1162,   760, -1162,   393,   962, -1162, -1162,
   -1162, -1162, -1162,  1097, -1162, -1162,   980,   981, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162,  1017, -1162, -1162,
    1015, -1162, -1162, -1162, -1162,   813, -1162,  1026,  1120,   518,
     325, -1162, -1162,  1025,   562,  1056, -1162,  1027, -1162,   626,
     183,   745,   826, -1162,  1124, -1162, -1162,   326,   929,   962,
   -1162, -1162, -1162, -1162, -1162,  7593,   112, -1162, -1162,   736,
     873,   827,   830,   831, -1162, -1162, -1162,  1129,  1131, -1162,
   -1162, -1162, -1162,  1034, -1162,  3385, -1162, -1162, -1162,   525,
   -1162,  1133, -1162,   -34,   -12,   562, -1162,   886, -1162,   888,
   -1162,   654,  3385,  1138, -1162, -1162, -1162, -1162,  8430, -1162,
    1144, -1162,  1121,   842, -1162, -1162,   308,   322, -1162,   841,
   -1162, -1162, -1162, -1162, -1162,    33, -1162, -1162, -1162, -1162,
     325,    92,   109,  1122, -1162,  1122,  1122,  1122, -1162,   574,
    1152,  1780,   326,   109, -1162, -1162,   929,  1154,  1135,   848,
   -1162, -1162, -1162,   736,   901, -1162, -1162,   861,  1159, -1162,
     833,  1137,  1139,  1137,  1142, -1162, -1162, -1162,  3385, -1162,
     907, -1162, -1162, -1162,   839, -1162, -1162,   860,   847,  1100,
   -1162, -1162, -1162, -1162, -1162,   109, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162,    93,  2422, -1162,  1151,
   -1162,  -141,   525,   -77, -1162, -1162,   844, -1162,  1170, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162,   847, -1162,  2101,  -141,
   -1162,   525, -1162, -1162,   865, -1162
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
      70,    70,     0,   755,     0,   440,   599,   223,   219,   220,
     221,   222,    70,   721,   465,   460,     0,     0,     0,     0,
       0,   331,   329,    92,     0,     0,   256,     0,     0,    70,
     299,   461,   462,   255,     0,     0,    95,   466,   463,     0,
       0,   257,     0,     0,   304,   254,   297,     0,   310,   723,
       0,   311,   312,   309,   298,   306,   296,   289,   313,   300,
     722,   305,   308,   307,   301,   314,   302,     0,   303,   544,
     545,   546,   315,   316,   322,   319,   318,   320,   724,   325,
     326,   321,   323,   317,   324,   290,   327,   332,   333,   330,
     286,   328,   334,   336,   337,   338,   339,   354,   340,   341,
     342,   343,   349,   344,   287,   288,   351,   350,   355,   335,
     356,   352,   357,   353,   285,   345,   346,   347,   348,   358,
     464,   473,   472,   471,   470,   469,   468,   467,   486,   487,
     488,   489,   483,   484,     0,     0,     0,     0,   258,   259,
     260,   261,   262,   263,   264,   265,   266,     0,     0,   378,
     379,   386,   387,     0,   181,   182,   178,   177,   180,   179,
       0,     0,     0,     2,     5,     6,     7,     8,     0,     4,
      79,    72,    73,    74,    75,    70,   158,    76,    77,    78,
      81,   160,   162,   164,   760,   156,   166,     0,   187,   167,
     192,   193,   173,   200,   171,   205,   172,   208,   168,   169,
     170,   519,   252,   233,   533,   240,   241,   242,   235,   234,
     524,   251,   526,     0,     0,     0,     0,     0,     0,     0,
     280,   283,   291,     0,   292,   278,   281,   293,   279,   282,
     284,   294,   529,     0,   363,   364,     0,   365,     0,   366,
     267,     0,   458,   474,   475,     0,   459,     0,   527,   531,
     532,   534,   537,   540,   591,   549,   543,   551,   552,   593,
      91,   592,   594,   596,   602,   595,   600,   605,   606,   604,
     611,   612,   613,   614,   525,   639,   528,   725,   726,   730,
     731,   253,     9,    70,     0,     0,   507,     0,    81,     0,
     508,   510,   513,   518,     0,    91,   754,     0,     0,   452,
       0,   453,   454,     0,     0,     0,     0,    70,     0,    71,
     309,   161,     0,     0,     0,    83,     0,    95,     0,     0,
       0,     0,     0,   212,   753,     0,     0,    53,    42,    51,
      42,    56,    42,     0,    48,    49,   184,     0,    93,    96,
      97,     0,     0,     0,   213,   638,     0,   634,   633,   632,
       0,     0,     0,     0,     0,   610,     0,     0,     0,    70,
     752,   748,   745,     0,     0,     0,     0,     0,     0,   536,
     535,     1,     3,     0,     0,     0,   516,     0,   186,   190,
     191,   199,   204,   207,    70,    70,   210,   209,   211,   176,
      90,     0,   224,   225,   226,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    95,     0,     0,
       0,     0,     0,     0,     0,   550,     0,     0,     0,   603,
     518,     0,   761,   516,   157,   214,   516,   516,   530,   756,
     441,   295,   451,   267,     0,     0,    80,   268,   450,    70,
      95,   506,     0,     0,   721,   723,   722,   724,   645,   640,
     644,     0,   520,     0,   592,     0,     0,     0,    42,   797,
       0,   107,     0,     0,    47,     0,    55,    54,    52,     0,
       0,     0,   197,   198,     0,   111,     0,   112,   215,   228,
     217,     0,   592,   628,     0,   629,   630,   627,     0,     0,
       0,     0,     0,     0,     0,     0,    42,     0,   580,     0,
     580,     0,   608,   609,   329,   248,   249,   325,   561,   326,
     321,   244,   286,   557,   328,   554,   246,     0,   245,   243,
     247,    61,     0,     0,     0,     0,   746,     0,    70,   748,
     734,     0,     0,   580,     0,   580,   361,   369,   371,   370,
       0,   368,     0,     0,     0,   203,   201,   194,   194,   517,
       0,   175,   163,   165,   206,   270,     0,   751,   583,   750,
       0,     0,   329,   325,   569,   326,   321,   327,   286,   328,
       0,   587,     0,     0,     0,     0,   269,     0,     0,     0,
     407,   395,   396,   359,   397,   398,   372,   380,     0,     0,
       0,   482,   360,     0,   480,   538,   539,   541,   542,   548,
     547,   598,   597,   601,   509,     0,    88,     0,     0,     0,
       0,   443,     0,     0,     0,     0,     0,     0,   456,     0,
       0,     0,   765,   766,     0,     0,    70,    84,   108,     0,
      85,   104,   106,   218,   721,     0,    38,     0,    50,   183,
     238,     0,     0,   110,   107,     0,     0,   631,   230,     0,
     626,     0,   622,     0,     0,     0,   636,   638,   635,   637,
     107,    98,     0,   239,   236,   237,     0,   232,     0,     0,
       0,   618,     0,     0,     0,     0,     0,     0,   751,   749,
     733,    90,   740,     0,   187,   192,   200,   205,     0,   737,
       0,   735,   727,   729,   728,   367,     0,     0,     0,     0,
       0,   189,   188,    82,   271,     0,    70,     0,     0,   272,
       0,     0,   276,     0,     0,   277,   273,     0,   275,   274,
       0,   413,   409,   408,     0,     0,   375,     0,   478,   478,
       0,    87,     0,   512,   511,   515,   109,   514,   447,   442,
       0,     0,   721,   641,   706,   664,   714,   698,   698,   711,
     709,   705,   664,   698,   710,   704,   664,   664,   664,     0,
       0,   667,     0,   667,   667,   707,   664,   713,     0,     0,
     521,   522,   646,   647,   663,   649,   686,   653,   693,   654,
     696,   697,   655,   656,   657,     0,     0,   457,     0,     0,
       0,    19,     0,    11,    13,     0,    14,     0,     0,   767,
     769,   771,   768,     0,   147,     0,    43,     0,     0,     0,
       0,   133,   134,   757,   503,   504,   144,   140,     0,   148,
     216,   229,     0,   625,   624,     0,     0,     0,   103,     0,
      86,   581,   582,     0,   615,   592,     0,    70,   485,   747,
     174,    70,     0,   732,   392,   391,     0,   185,   202,     0,
     195,   586,   184,     0,   584,   577,     0,   588,   589,     0,
       0,     0,    61,   410,   381,   373,   375,     0,     0,   385,
     376,   455,     0,   481,   476,     0,    89,   448,     0,   445,
     449,     0,     0,     0,     0,     0,   658,   665,     0,   703,
     702,   712,     0,     0,     0,   682,   701,   717,   717,     0,
       0,   659,   662,   692,     0,   689,   668,   664,   664,   679,
     695,     0,     0,   690,   558,   559,   560,   555,   698,   556,
     553,   664,     0,   576,   720,   523,     0,   649,   650,   652,
     620,   619,    70,     0,    20,    10,     0,     0,    16,    40,
       0,   770,     0,   105,    37,   759,    59,    45,    57,    60,
       0,   496,   144,     0,     0,     0,   492,   497,   496,   490,
     491,   498,     0,   137,     0,    35,     0,   142,    94,     0,
     154,   621,   623,   638,    99,   102,   100,   101,   231,     0,
       0,     0,   250,    62,    63,    67,    67,     0,   739,     0,
     741,   743,   744,   742,   738,   736,   388,     0,     0,     0,
       0,     0,     0,   411,     0,   377,   383,   384,     0,   478,
     444,   447,   643,   642,     0,   660,   667,     0,     0,   685,
     667,     0,     0,   715,   716,   661,   667,   671,     0,     0,
       0,   680,     0,   681,   691,   667,   574,   573,     0,     0,
     651,     0,     0,    12,     0,    15,     0,    39,   773,   772,
     763,     0,     0,    44,   146,   144,   135,     0,     0,   499,
       0,   758,     0,   143,    35,     0,    70,   399,   616,   617,
     607,    70,    68,    69,    66,    65,     0,   174,     0,   375,
     389,   196,   585,   590,   578,     0,   721,   414,   416,   649,
     422,   421,     0,   412,     0,   374,   382,    61,   477,   446,
     666,   677,   699,     0,   708,   688,     0,     0,   678,   672,
     673,   674,   675,   676,   670,   669,   683,   667,   684,   694,
     664,   571,   575,   648,    34,     0,    31,     0,    27,     0,
       0,    22,    17,     0,     0,   775,    58,     0,   145,   500,
       0,   496,     0,   141,   149,   151,   150,   155,     0,    61,
     400,    64,   393,   394,   390,     0,     0,   417,   406,     0,
       0,     0,     0,   418,   423,   426,   424,     0,     0,   718,
     719,   687,   572,     0,    21,    70,    24,    25,    26,    23,
      18,    29,    41,   138,   138,   764,   786,     0,   762,   779,
      46,   501,    70,     0,   494,   502,   495,    36,     0,   405,
     401,   403,     0,   127,   579,   415,     0,     0,   432,     0,
     430,   434,   427,   425,   428,     0,   420,   419,   479,   700,
       0,     0,     0,   136,   139,   136,   136,   136,   787,     0,
       0,    70,   493,     0,   153,   152,     0,     0,     0,   113,
     128,   433,   435,     0,     0,   437,   438,     0,    32,    28,
       0,     0,     0,     0,     0,   777,   778,   776,    70,   780,
       0,   785,   774,   781,     0,   402,   404,   129,     0,   122,
     114,   429,   431,   436,   439,     0,    30,   794,   791,   793,
     796,   789,   790,   792,   795,   788,     0,    70,   505,     0,
     131,     0,   125,     0,   132,   123,     0,   159,     0,   783,
     130,   120,   121,   115,   118,   119,   116,    33,    70,     0,
     117,   126,   782,   784,     0,   124
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1162, -1162,    47, -1162, -1162, -1162,   243, -1162, -1162, -1162,
     136, -1162, -1162,   118,  -875, -1162, -1162,  -231, -1162, -1162,
   -1162, -1162,   719, -1162,   140,  -835, -1162,   121,   211,   -16,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,  -173,  -131,
   -1162, -1162,  -185, -1162,   367, -1162, -1162,   556,   391,  -521,
     253,     0,   587, -1162, -1162, -1162, -1162,  -108, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162,   384, -1162, -1162,  -801,    23,
   -1162,  -626, -1162, -1162, -1162, -1162,  1191, -1162,   820,   823,
       1,  -778, -1162, -1162,  -139,  -146, -1162,  -145,  1035, -1162,
     658,  -144, -1162, -1162,  -143, -1162,  1038, -1162, -1162, -1162,
   -1162,   -19, -1162,   570, -1162,  -357, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162,  -982, -1162,  -292,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162,   513,   520, -1162, -1162,  -791, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,  -326,
   -1162, -1162, -1162, -1162, -1162,   -22, -1162,   -20, -1162, -1162,
   -1162, -1162, -1162, -1162,    68, -1162, -1162, -1162, -1162,   128,
   -1162, -1162, -1162, -1162,   -23, -1162, -1162, -1162, -1162, -1162,
   -1162,   212, -1162, -1162,  -291, -1162, -1162, -1162,  -694, -1162,
   -1162, -1162, -1162, -1162,  -289, -1162, -1162, -1162,   263, -1162,
   -1162,  -709, -1162, -1162,   618,   256, -1162,  -264,  -273,  -377,
   -1162,   910,   611, -1162,   859,   715,   469,   473,   822, -1162,
     106, -1162, -1162, -1162, -1162, -1162,  -714, -1162, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162,  -315,  -340,   233,    11,  -309,
   -1162, -1162, -1162,   976,   811, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162,   401, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
     -40, -1162,   398,  -469,  -925,  -561,   432, -1162,  -839, -1162,
   -1162,  -715,  -268,  -719, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1162,  -658, -1162, -1162, -1162, -1162,   335, -1162,
    -308, -1162, -1162, -1162, -1162, -1162, -1162,   706, -1162,   397,
     876,  -272,   712,  -507, -1162, -1162, -1162,  -346, -1162, -1162,
   -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162, -1162,
   -1162, -1162, -1161, -1162,    57, -1162, -1162,   -10, -1162, -1162,
   -1162
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,   162,  1261,   164,   165,   792,   793,   794,  1045,  1178,
     795,  1132,   796,  1063,   635,   166,  1047,   466,   167,  1053,
     333,   334,   335,   947,   948,   676,   983,   984,  1074,   168,
     169,   170,   171,   172,   173,   174,   286,   605,   175,   176,
     177,   178,   341,   660,   661,   976,   179,   630,   631,   627,
     287,   441,   476,  1269,  1270,  1309,  1306,  1303,  1294,  1295,
    1291,  1310,  1239,  1290,  1240,   643,   644,   811,   964,  1225,
     967,   951,   628,   970,  1144,  1067,   181,  1259,   182,   183,
     184,   185,   682,   186,   187,   188,   189,   190,   191,   192,
     701,   193,   194,   545,   195,   196,   197,   198,   391,   199,
     200,   201,   477,   478,   632,   202,   647,   203,   204,   205,
     206,   207,   208,   516,   517,   518,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   538,   539,   540,   725,   869,   235,   236,   586,
     865,  1095,   870,   237,   238,  1079,   239,   846,  1080,  1199,
     583,   584,  1149,  1150,  1200,  1201,  1202,   585,   722,   862,
    1092,   723,   863,  1087,  1088,  1216,  1093,  1094,  1163,  1208,
    1165,  1166,  1209,  1271,  1210,  1211,  1217,   303,   304,   739,
     878,   879,   305,   306,   240,   241,   242,   243,   873,   593,
     244,   590,   245,   246,   247,   961,  1194,  1195,   962,   814,
     815,   816,  1196,   290,   291,   292,   734,   293,   550,   294,
     248,   451,   769,   249,   250,   251,   252,   253,   254,   255,
     256,   415,   600,   257,   258,   259,   519,   570,   922,  1122,
     923,   924,   560,   574,   578,   594,   571,   572,   260,   261,
     262,   263,   264,   928,   265,   266,   267,   268,   501,   502,
     503,   269,   980,   270,   271,   272,   273,   488,   489,   480,
     817,   347,   348,   349,   274,   449,   771,   927,   929,   772,
     773,   886,   887,   905,   906,  1028,  1114,   774,   775,   776,
     777,   778,   779,   889,   780,   781,   782,   783,  1023,   784,
     275,   276,   277,   278,   279,   280,   529,   530,   688,   689,
     361,   362,   527,   558,   559,   363,   325,   281,   965,   949,
     282,  1135,   625,   803,   941,  1049,  1188,  1189,  1257,  1231,
    1262,  1298,  1263,  1185,  1186,  1282,  1278,  1279,  1285,  1281,
     460
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     180,   288,   289,   346,   360,   450,   323,   454,   432,   433,
     537,   434,   295,   336,   389,   812,   966,   428,   679,   420,
     640,   541,   659,   344,   663,   664,   665,  1003,   699,   378,
     379,   381,   382,   482,   444,   874,   377,   895,   883,   497,
     499,   897,   898,   901,   909,   910,   424,   163,   285,   532,
     534,   913,   339,   743,   921,   670,   390,   556,   561,   986,
     742,   575,  1044,   579,   979,  1048,   548,   428,   694,   651,
    -741,  -743,   672,   726,   978,  1005,   982,  1089,   582,   825,
     696,   675,   700,  -744,  1244,   629,   340,  1223,  1040,   526,
     890,  -742,  -739,   424,  1124,   896,  1249,  1297,  1021,   467,
     952,   468,   827,   841,   373,   800,  1051,   945,   729,  1226,
    1245,  -174,  1162,   677,   471,   318,   619,   633,  1301,   907,
     580,   805,   296,   819,   699,   634,  1299,     6,   634,   634,
     314,   646,   456,  1072,   319,   634,   297,   426,  1086,   828,
    1146,  -615,   339,   581,   730,   788,   374,  1313,   472,  -295,
     607,   -90,   312,   608,   609,    18,   375,   636,   315,   313,
     -90,  1073,   445,   -90,   425,  1302,   462,  1125,  1072,   309,
     839,   648,   -90,   446,   789,   420,   340,  1207,   700,   801,
    -176,  -176,   385,   316,   662,   473,   809,  1142,   445,   946,
     641,   447,  1031,  1033,   810,   883,  1073,   883,   420,   446,
     543,   705,   427,   802,   551,   -90,  1037,   790,   979,   345,
     -90,   309,   883,   883,   -90,   -90,   317,   447,   883,   -90,
    1304,   321,   589,   641,   -90,  1224,   426,   621,    29,   698,
     908,  1089,   642,   490,   791,  1305,    39,    40,   626,  1022,
     491,   952,   390,  1052,  1055,   706,   390,  1224,   606,   727,
    1157,   322,   320,   445,   721,   612,   445,   445,   420,   526,
    1036,  1207,  1167,   445,   446,   666,   445,   446,   446,   706,
     622,   623,   624,  1235,   446,   324,   440,   446,   457,   458,
      67,   461,   447,   288,   289,   447,   447,   337,  1154,   830,
     390,   427,   447,   986,   295,   447,   633,  1101,   312,   707,
     416,  1105,   284,   416,   342,   313,   450,  1108,   442,  1032,
    -187,  -192,   797,   496,  1203,  1098,  1119,   416,   295,   416,
    1012,  1013,   416,  -200,  1121,   452,   343,   452,  1056,   416,
     285,  -205,  -158,   448,  1246,   995,   338,   416,   821,   537,
     416,  -592,  1247,   842,   416,   416,   416,  1250,   474,   455,
     541,   345,   479,   481,   487,   546,   385,   659,  1264,   448,
     524,   493,   494,   495,   835,   498,   500,   520,   521,   523,
     855,   856,   554,   857,   858,   533,   535,   859,   603,   542,
     860,   877,   684,   685,   686,   687,   481,   416,   416,   683,
     851,   850,   880,   416,   416,   611,   416,   681,  1171,   416,
    1296,  -158,  -158,   385,   385,  1172,   385,   385,   557,   557,
     557,   557,   557,   557,   557,   875,   587,   588,   708,   668,
     533,   669,  1251,   416,  1252,  1253,  1254,   601,   448,   637,
     298,  1139,   410,   411,  1141,  -532,  -532,  -532,  -532,  -532,
     442,   350,   -90,   -90,   -90,   -90,   -90,   -90,   353,   914,
     295,   -90,   -90,   -90,   -90,   -90,   -90,   359,   525,   633,
     154,   155,   156,   157,   158,   159,   884,   557,   893,   351,
     885,   373,   894,  1050,   371,   -81,   914,   154,   155,   156,
     157,   158,   159,   899,   911,   416,   955,   900,   912,  1029,
    -136,   902,   903,  1030,   352,   650,   963,   412,   413,   944,
     654,   154,   155,   156,   157,   158,   159,   731,   732,   416,
     840,   956,   354,   374,  1191,   667,   668,   957,   669,   662,
     955,   372,  -496,  1076,   847,   299,   300,   301,   302,   524,
     958,   671,   668,   523,   669,   950,   678,  -506,     7,     8,
       9,    10,    11,   810,   392,   956,   393,   394,   355,   395,
     703,   957,   390,   356,   956,   533,  -506,   357,   345,   876,
     957,   376,   692,   668,   958,   669,   390,   364,   299,   300,
     301,   302,   365,   450,   450,   770,   770,   786,   915,   508,
     916,   917,     2,   366,     3,     4,   918,   668,   367,   669,
     919,   513,   920,   515,   693,   668,   959,   669,   412,   413,
     557,   390,   -81,   368,   960,   915,   508,   916,   917,   822,
    1241,   384,  1213,  1120,  1176,   396,  1015,   919,   513,   920,
     515,   533,   813,   479,  1242,  1019,  1214,   804,   797,   636,
     959,  1025,   636,   573,     2,   577,     3,     4,   960,   959,
     385,   326,   397,  1034,   398,   440,   399,   960,     7,     8,
       9,    10,    11,   400,   877,  1177,   479,   806,   807,  1083,
    1084,  1085,   823,   401,   824,   880,  1109,  1110,  1111,  1112,
    1113,   284,   402,   327,   712,   713,   955,   714,   403,   831,
     832,   833,   404,   834,   481,   836,   420,   405,   678,   406,
     852,  -362,    69,    70,    71,   990,   991,   992,   993,   867,
     868,   956,   989,   407,   955,   408,   985,   957,   935,   936,
     988,   481,  -496,   409,   998,   414,   533,   416,   853,   854,
     958,   557,   557,   328,   557,   557,   329,   418,   557,   956,
     421,   557,  1010,  1011,   636,   957,   715,   713,   417,   714,
    -496,   533,     2,   422,     3,     4,   423,   330,   958,   331,
    1090,  1091,  -109,   327,   636,   435,     7,     8,     9,    10,
      11,  1116,   718,   713,  1118,   714,     2,   548,     3,     4,
     430,   332,  1179,  1145,   433,  1127,   434,  1102,  1103,   429,
       7,     8,     9,    10,    11,   438,   959,  1160,   848,   668,
     813,   669,   436,  1128,   960,   955,   443,  1159,   939,  1009,
     668,   437,   669,   328,    26,   459,   329,  1126,   807,  1129,
     465,  1160,  1152,  1153,   959,  1204,  1077,  1173,   807,   464,
     956,   463,   960,  1183,  1184,   987,   957,   330,    26,   331,
    1197,   807,    33,  1255,  1256,   469,   972,  1276,   807,   958,
     977,   470,   744,  1288,   807,  1192,   528,   345,  1307,   807,
     536,   332,   544,   678,   492,   790,    33,   549,   390,  -209,
    1130,   735,   737,   745,   736,   736,    41,     7,     8,     9,
      10,    11,  -211,    45,   746,   369,   370,   747,   748,   595,
     596,   555,   791,  1193,   749,   597,   598,   744,   656,   658,
      41,   750,   599,   604,   610,   613,   614,    45,   616,   615,
     617,   618,   620,   751,   626,   959,  1234,   433,   745,   434,
     645,  1292,   639,   960,   636,   649,   752,   652,   753,   746,
     655,   657,   747,   748,   465,   636,   673,  -558,  -559,   749,
     754,   813,  -560,  1041,   813,   813,   750,   755,  -555,  -327,
     985,   680,  -556,   756,   757,  -553,   674,   525,   751,  1311,
     695,   697,   704,   440,   709,   581,   710,  -565,  -566,  -567,
    -563,   752,  -568,   753,  -564,  -562,   711,   636,   716,   738,
     717,   719,   798,   720,   758,   754,   724,   728,   787,   799,
     805,   808,   755,   826,   741,   829,   838,   837,   756,   757,
    1068,   849,   843,   866,   861,   864,   871,   872,   641,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   881,  1082,
     557,   557,   557,   882,   888,  1096,   891,   892,   883,   758,
     904,   926,   925,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   930,   931,   932,   937,   933,   940,   813,  1206,
     953,   813,   942,   934,   954,   971,   969,   973,   996,   997,
    -592,   999,   471,  1000,  1001,  1004,  1002,  1006,  1007,  1014,
    1008,  1016,  1020,  1161,   675,  1017,  1018,  1147,  1026,  1035,
    1027,  1038,  1042,  1046,  1054,  1062,  1066,  1039,  1061,  1057,
    1059,  1064,  1060,  1069,  1070,  1065,  1071,   481,  1081,  1097,
    1181,  1100,  1104,   759,   760,  1115,  1078,   761,   762,  1117,
     763,   764,   765,   766,  -570,   767,   768,  1106,  1107,  1123,
    1133,   807,  1134,  1137,  1138,  1155,  1148,  1156,  1158,  1140,
    1168,   813,  1174,  1175,  1169,  1170,  1182,  1187,  1190,  1198,
    1215,  1213,  1212,  1218,  1214,  1219,  1222,  1230,   759,   760,
    1229,  1233,   761,   762,  1220,   763,   764,   765,   766,  1236,
     767,   768,  1238,  1237,   963,  1258,  1243,   580,  1267,  1268,
    1273,  1274,  1275,  1277,  1287,  1280,   557,   358,  1284,  1293,
       2,  1289,     3,     4,  1300,   308,  1221,  1308,  1315,  1043,
    1248,  1131,  1143,     6,     7,     8,     9,    10,    11,   638,
      13,  1136,  1151,  1232,   974,    14,   943,  1075,   818,   740,
      15,  1314,   968,   311,   552,    16,   702,  1227,   553,   844,
     380,    18,    19,   383,  1265,   820,   845,  1266,    21,    22,
    1272,  1058,  1164,  1099,  1205,   733,   453,   785,   602,   938,
     591,   180,    26,  1024,   547,  1180,   981,   691,   994,   531,
     419,   690,  1228,  1283,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    30,    31,    32,     0,  1286,
      33,     0,    34,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    37,     0,     0,    38,     0,     0,   180,     0,     0,
       0,     0,    39,    40,    41,     0,     0,     0,     0,    44,
       0,    45,     0,     0,     0,     0,     0,     0,   180,     0,
       0,     0,     0,     0,     0,    46,    47,    48,    49,    50,
      51,    52,   310,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,     0,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,     0,    91,     0,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,     0,   134,   135,     0,
       0,   136,   137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   138,   139,   140,
     141,   142,   143,   144,   145,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   147,   148,   149,   150,     0,     0,     0,   151,   152,
     153,     0,   283,     0,     0,     2,     0,     3,     4,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       8,     9,    10,    11,    12,    13,   160,   161,     0,   475,
      14,     0,     0,     0,     0,    15,     0,     0,     0,     0,
      16,     0,     0,     0,    17,     0,    18,    19,    20,     0,
       0,     0,     0,    21,    22,     0,     0,     0,    23,    24,
       0,     0,     0,     0,     0,     0,    25,    26,    27,     0,
       0,     0,     0,     0,     0,    28,     0,     0,     0,     0,
       0,     0,     0,    29,     0,     0,     0,     0,     0,     0,
      30,    31,    32,     0,     0,    33,     0,    34,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,    36,     0,     0,     0,    37,     0,     0,    38,
       0,     0,     0,     0,     0,     0,     0,    39,    40,    41,
       0,    42,     0,    43,    44,     0,    45,     0,   284,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,     0,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,     0,    91,     0,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,     0,   134,   135,     0,     0,   136,   137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   138,   139,   140,   141,   142,   143,   144,   145,
     146,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   147,   148,   149,   150,
       0,     0,     0,   151,   152,   153,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,   156,   157,   158,
     159,   160,   161,     1,     0,     0,     2,     0,     3,     4,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     8,     9,    10,    11,    12,    13,     0,     0,     0,
       0,    14,     0,     0,     0,     0,    15,     0,     0,     0,
       0,    16,     0,     0,     0,    17,     0,    18,    19,    20,
       0,     0,     0,     0,    21,    22,     0,     0,     0,    23,
      24,     0,     0,     0,     0,     0,     0,    25,    26,    27,
       0,     0,     0,     0,     0,     0,    28,     0,     0,     0,
       0,     0,     0,     0,    29,     0,     0,     0,     0,     0,
       0,    30,    31,    32,     0,     0,    33,     0,    34,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,    36,     0,     0,     0,    37,     0,     0,
      38,     0,     0,     0,     0,     0,     0,     0,    39,    40,
      41,     0,    42,     0,    43,    44,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,     0,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,     0,    91,     0,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,     0,   134,   135,     0,     0,   136,   137,     0,
       0,     0,     0,     0,     0,     0,  1260,     0,     0,     0,
       0,     0,     0,   138,   139,   140,   141,   142,   143,   144,
     145,   146,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   147,   148,   149,
     150,     0,     0,     0,   151,   152,   153,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,   156,   157,
     158,   159,   160,   161,     1,     0,     0,     2,     0,     3,
       4,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     8,     9,    10,    11,    12,    13,     0,     0,
       0,     0,    14,     0,     0,     0,     0,    15,     0,     0,
       0,     0,    16,     0,     0,     0,    17,     0,    18,    19,
      20,     0,     0,     0,     0,    21,    22,     0,     0,     0,
      23,    24,     0,     0,     0,     0,     0,     0,    25,    26,
      27,     0,     0,     0,     0,     0,     0,    28,     0,     0,
       0,     0,     0,     0,     0,    29,     0,     0,     0,     0,
       0,     0,    30,    31,    32,     0,     0,    33,     0,    34,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,    36,     0,     0,     0,    37,     0,
       0,    38,     0,     0,     0,     0,     0,     0,     0,    39,
      40,    41,     0,    42,     0,    43,    44,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,     0,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,     0,    91,
       0,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,     0,   134,   135,     0,  1312,   136,   137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   138,   139,   140,   141,   142,   143,
     144,   145,   146,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   147,   148,
     149,   150,     0,     0,     0,   151,   152,   153,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,   156,
     157,   158,   159,   160,   161,     1,     0,     0,     2,     0,
       3,     4,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     8,     9,    10,    11,    12,    13,     0,
       0,     0,     0,    14,     0,     0,     0,     0,    15,     0,
       0,     0,     0,    16,     0,     0,     0,    17,     0,    18,
      19,    20,     0,     0,     0,     0,    21,    22,     0,     0,
       0,    23,    24,     0,     0,     0,     0,     0,     0,    25,
      26,    27,     0,     0,     0,     0,     0,     0,    28,     0,
       0,     0,     0,     0,     0,     0,    29,     0,     0,     0,
       0,     0,     0,    30,    31,    32,     0,     0,    33,     0,
      34,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,    36,     0,     0,     0,    37,
       0,     0,    38,     0,     0,     0,     0,     0,     0,     0,
      39,    40,    41,     0,    42,     0,    43,    44,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,     0,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,     0,
      91,     0,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,     0,   134,   135,     0,     0,   136,
     137,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   138,   139,   140,   141,   142,
     143,   144,   145,   146,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   147,
     148,   149,   150,     0,     0,     0,   151,   152,   153,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
     156,   157,   158,   159,   160,   161,   307,     0,     0,     2,
       0,     3,     4,     0,   308,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     8,     9,    10,    11,   309,    13,
       0,     0,     0,     0,    14,     0,     0,     0,     0,    15,
     -70,     0,     0,     0,    16,     0,     0,     0,     0,     0,
      18,    19,     0,     0,     0,     0,     0,    21,    22,     0,
       0,     0,    23,     0,     0,     0,     0,     0,     0,     0,
      25,    26,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   -70,     0,     0,     0,     0,    29,     0,     0,
       0,     0,   -70,     0,    30,    31,    32,     0,     0,    33,
       0,    34,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      37,     0,     0,    38,     0,     0,     0,     0,     0,     0,
       0,    39,    40,    41,     0,    42,     0,     0,    44,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,    47,    48,    49,    50,    51,
      52,   310,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,     0,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
       0,    91,     0,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,     0,   134,   135,     0,     0,
     136,   137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   138,   139,   140,   141,
     142,   143,   144,   145,   146,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     147,   148,   149,   150,     0,     0,     0,   151,   152,   153,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,   156,   157,   158,   159,   160,   161,   439,     0,     0,
       2,     0,     3,     4,     0,   308,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     8,     9,    10,    11,    12,
      13,     0,     0,     0,     0,    14,     0,     0,     0,     0,
      15,     0,     0,     0,     0,    16,     0,     0,     0,     0,
       0,    18,    19,     0,     0,     0,     0,     0,    21,    22,
       0,     0,     0,    23,     0,     0,     0,     0,     0,     0,
       0,    25,    26,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    29,     0,
       0,     0,     0,     0,     0,    30,    31,    32,     0,     0,
      33,     0,    34,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   440,     0,     0,
       0,    37,     0,     0,    38,     0,     0,     0,     0,     0,
       0,     0,    39,    40,    41,     0,    42,     0,     0,    44,
       0,    45,     0,   284,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,    47,    48,    49,    50,
      51,    52,   310,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,     0,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,     0,    91,     0,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,     0,   134,   135,     0,
       0,   136,   137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   138,   139,   140,
     141,   142,   143,   144,   145,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   147,   148,   149,   150,     0,     0,     0,   151,   152,
     153,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,   156,   157,   158,   159,   160,   161,   307,     0,
       0,     2,     0,     3,     4,     0,   308,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     8,     9,    10,    11,
      12,    13,     0,     0,     0,     0,    14,     0,     0,     0,
       0,    15,     0,     0,     0,     0,    16,     0,     0,     0,
       0,     0,    18,    19,     0,     0,     0,     0,     0,    21,
      22,     0,     0,     0,    23,     0,     0,     0,     0,     0,
       0,     0,    25,    26,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    29,
       0,     0,     0,     0,     0,     0,    30,    31,    32,     0,
       0,    33,     0,    34,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    37,     0,     0,    38,     0,     0,     0,     0,
       0,     0,     0,    39,    40,    41,     0,    42,     0,     0,
      44,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    46,    47,    48,    49,
      50,    51,    52,   310,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
       0,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,     0,    91,     0,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,     0,   134,   135,
       0,     0,   136,   137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   138,   139,
     140,   141,   142,   143,   144,   145,   146,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   147,   148,   149,   150,     0,     0,     0,   151,
     152,   153,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,   156,   157,   158,   159,   160,   161,   358,
       0,     0,     2,     0,     3,     4,     0,   308,     0,     0,
       0,     0,     0,     0,     0,     6,     7,     8,     9,    10,
      11,   309,    13,     0,     0,     0,     0,    14,     0,     0,
       0,     0,    15,     0,     0,     0,     0,    16,     0,     0,
       0,     0,     0,    18,    19,     0,     0,     0,     0,     0,
      21,    22,     0,     0,     0,    23,     0,     0,     0,     0,
       0,     0,     0,    25,    26,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      29,     0,     0,     0,     0,     0,     0,    30,    31,    32,
       0,     0,    33,     0,    34,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,     0,     0,    38,     0,     0,     0,
       0,     0,     0,     0,    39,    40,    41,     0,    42,     0,
       0,    44,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,    47,    48,
      49,    50,    51,    52,   310,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,     0,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,     0,    91,     0,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,     0,   134,
     135,     0,     0,   136,   137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   138,
     139,   140,   141,   142,   143,   144,   145,   146,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   147,   148,   149,   150,     0,     0,     0,
     151,   152,   153,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,   156,   157,   158,   159,   160,   161,
     358,     0,     0,     2,     0,     3,     4,     0,   308,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     8,     9,
      10,    11,   309,    13,     0,     0,     0,     0,    14,     0,
       0,     0,     0,    15,     0,     0,     0,     0,    16,     0,
       0,     0,     0,     0,    18,    19,     0,     0,     0,     0,
       0,    21,    22,     0,     0,     0,    23,     0,     0,     0,
       0,     0,     0,     0,     0,    26,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    29,     0,     0,     0,     0,     0,     0,    30,    31,
      32,     0,     0,    33,     0,    34,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    37,     0,     0,    38,     0,     0,
       0,     0,     0,     0,     0,    39,    40,    41,     0,     0,
       0,     0,    44,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    46,    47,
      48,    49,    50,    51,    52,   310,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,     0,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,     0,    91,     0,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,     0,
     134,   135,     0,     0,   136,   137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     138,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   147,   148,   149,   150,     0,     0,
       0,   151,   152,   153,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,   156,   157,   158,   159,   160,
     161,   358,     0,     0,     2,     0,     3,     4,     0,   308,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     8,
       9,    10,    11,     0,    13,     0,     0,     0,     0,    14,
       0,     0,     0,     0,    15,     0,     0,     0,     0,    16,
       0,     0,     0,     0,     0,    18,    19,     0,     0,     0,
       0,     0,    21,   504,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    26,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    30,
      31,    32,     0,     0,    33,     0,    34,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    37,     0,     0,    38,     0,
       0,     0,   505,   506,     0,     0,    39,    40,    41,     0,
       0,     0,     0,    44,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
      47,    48,    49,    50,    51,    52,   310,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,   507,   508,   509,   510,    82,    83,    84,    85,
     511,    87,    88,    89,   512,   513,   514,   515,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
       0,   134,   135,     0,     0,   136,   137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   138,   139,   140,   141,   142,   143,   144,   145,   146,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   147,   148,   149,   150,     0,
       0,     0,   151,   152,   153,   358,     0,     0,     2,     0,
       3,     4,     0,   308,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     8,     9,    10,    11,     0,    13,     0,
     160,   161,     0,    14,     0,     0,     0,     0,    15,     0,
       0,   483,     0,    16,     0,     0,     0,     0,     0,    18,
      19,     0,     0,     0,     0,     0,    21,    22,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      26,     0,     0,     0,     0,     0,   484,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     485,     0,     0,    30,    31,    32,     0,     0,    33,     0,
      34,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    37,
       0,     0,    38,     0,     0,     0,     0,     0,     0,   486,
      39,    40,    41,     0,     0,     0,     0,    44,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,    47,    48,    49,    50,    51,    52,
     310,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,     0,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,     0,
      91,     0,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,     0,   134,   135,     0,     0,   136,
     137,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   138,   139,   140,   141,   142,
     143,   144,   145,   146,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   147,
     148,   149,   150,     0,     0,     0,   151,   152,   153,   358,
       0,     0,     2,     0,     3,     4,     0,   308,     0,     0,
       0,     0,     0,     0,     0,     6,     7,     8,     9,    10,
      11,     0,    13,     0,   160,   161,     0,    14,     0,     0,
       0,     0,    15,     0,     0,     0,     0,    16,     0,     0,
       0,     0,     0,    18,    19,     0,     0,     0,     0,     0,
      21,    22,     0,     0,     0,    23,     0,     0,     0,     0,
       0,     0,     0,     0,    26,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    30,    31,    32,
       0,     0,    33,     0,    34,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,     0,     0,    38,     0,     0,     0,
       0,     0,     0,     0,    39,    40,    41,     0,     0,     0,
       0,    44,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,    47,    48,
      49,    50,    51,    52,   310,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,     0,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,     0,    91,     0,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,     0,   134,
     135,     0,     0,   136,   137,   359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   138,
     139,   140,   141,   142,   143,   144,   145,   146,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   147,   148,   149,   150,     0,     0,     0,
     151,   152,   153,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   358,     0,     0,     2,     0,     3,
       4,     0,   308,     0,     0,     0,     0,     0,   160,   161,
       6,     7,     8,     9,    10,    11,     0,    13,     0,   386,
       0,     0,   387,     0,     0,     0,     0,    15,     0,     0,
       0,     0,    16,     0,     0,     0,     0,     0,    18,    19,
       0,     0,     0,     0,     0,    21,    22,     0,     0,     0,
      23,     0,     0,     0,     0,     0,     0,     0,     0,    26,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    30,    31,    32,     0,     0,    33,     0,    34,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   388,     0,
       0,    38,     0,     0,     0,     0,     0,     0,     0,    39,
      40,    41,     0,     0,     0,     0,    44,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,    47,    48,    49,    50,    51,    52,   310,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,     0,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,     0,    91,
       0,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,     0,   134,   135,     0,     0,   136,   137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   138,   139,   140,   141,   142,   143,
     144,   145,   146,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   147,   148,
     149,   150,     0,     0,     0,   151,   152,   153,   522,     0,
       0,     2,     0,     3,     4,     0,   308,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     8,     9,    10,    11,
       0,    13,     0,   160,   161,     0,    14,     0,     0,     0,
       0,    15,     0,     0,     0,     0,    16,     0,     0,     0,
       0,     0,    18,    19,     0,     0,     0,     0,     0,    21,
      22,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    26,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    30,    31,    32,     0,
       0,    33,     0,    34,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   440,     0,
       0,     0,    37,     0,     0,    38,     0,     0,     0,     0,
       0,     0,     0,    39,    40,    41,     0,     0,     0,     0,
      44,     0,    45,     0,   284,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    46,    47,    48,    49,
      50,    51,    52,   310,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
       0,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,     0,    91,     0,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,     0,   134,   135,
       0,     0,   136,   137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   138,   139,
     140,   141,   142,   143,   144,   145,   146,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   147,   148,   149,   150,     0,     0,     0,   151,
     152,   153,   358,   576,     0,     2,     0,     3,     4,     0,
     308,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       8,     9,    10,    11,     0,    13,     0,   160,   161,     0,
      14,     0,     0,     0,     0,    15,     0,     0,     0,     0,
      16,     0,     0,     0,     0,     0,    18,    19,     0,     0,
       0,     0,     0,    21,   562,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    26,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      30,    31,    32,     0,     0,    33,     0,    34,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    37,     0,     0,    38,
       0,     0,     0,     0,     0,     0,     0,    39,    40,    41,
       0,     0,     0,     0,    44,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,    47,    48,    49,    50,    51,    52,   310,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,   563,   564,   565,   566,    82,    83,    84,
      85,   567,    87,    88,    89,   568,     0,   569,     0,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,     0,   134,   135,     0,     0,   136,   137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   138,   139,   140,   141,   142,   143,   144,   145,
     146,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   147,   148,   149,   150,
       0,     0,     0,   151,   152,   153,   358,     0,     0,     2,
       0,     3,     4,     0,   308,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     8,     9,    10,    11,     0,    13,
       0,   160,   161,     0,    14,     0,     0,     0,     0,    15,
       0,     0,     0,     0,    16,     0,     0,     0,     0,     0,
      18,    19,     0,     0,     0,     0,     0,    21,    22,     0,
       0,     0,    23,     0,     0,     0,     0,     0,     0,     0,
       0,    26,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    30,    31,    32,     0,     0,    33,
       0,    34,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      37,     0,     0,    38,     0,     0,     0,     0,     0,     0,
       0,    39,    40,    41,     0,     0,     0,     0,    44,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,    47,    48,    49,    50,    51,
      52,   310,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,     0,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
       0,    91,     0,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,     0,   134,   135,     0,     0,
     136,   137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   138,   139,   140,   141,
     142,   143,   144,   145,   146,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     147,   148,   149,   150,     0,     0,     0,   151,   152,   153,
     358,     0,     0,     2,     0,     3,     4,     0,   308,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     8,     9,
      10,    11,     0,    13,     0,   160,   161,     0,    14,     0,
       0,     0,     0,    15,     0,     0,     0,     0,    16,     0,
       0,     0,     0,     0,    18,    19,     0,     0,     0,     0,
       0,    21,   562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    26,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    30,    31,
      32,     0,     0,    33,     0,    34,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    37,     0,     0,    38,     0,     0,
       0,     0,     0,     0,     0,    39,    40,    41,     0,     0,
       0,     0,    44,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    46,    47,
      48,    49,    50,    51,    52,   310,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,   563,   564,   565,   566,    82,    83,    84,    85,   567,
      87,    88,    89,   568,     0,   569,     0,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,     0,
     134,   135,     0,     0,   136,   137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     138,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   147,   148,   149,   150,     0,     0,
       0,   151,   152,   153,   358,   592,     0,     2,     0,     3,
       4,     0,   308,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     8,     9,    10,    11,     0,    13,     0,   160,
     161,     0,    14,     0,     0,     0,     0,    15,     0,     0,
       0,     0,    16,     0,     0,     0,     0,     0,    18,    19,
       0,     0,     0,     0,     0,    21,    22,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    26,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    30,    31,    32,     0,     0,    33,     0,    34,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    37,     0,
       0,    38,     0,     0,     0,     0,     0,     0,     0,    39,
      40,    41,     0,     0,     0,     0,    44,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,    47,    48,    49,    50,    51,    52,   310,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,     0,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,     0,    91,
       0,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,     0,   134,   135,     0,     0,   136,   137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   138,   139,   140,   141,   142,   143,
     144,   145,   146,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   147,   148,
     149,   150,     0,     0,     0,   151,   152,   153,   358,     0,
       0,     2,     0,     3,     4,     0,   308,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     8,     9,    10,    11,
       0,    13,     0,   160,   161,     0,    14,     0,     0,     0,
       0,    15,     0,     0,     0,     0,    16,     0,     0,     0,
       0,     0,    18,    19,     0,     0,     0,     0,     0,    21,
      22,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    26,     0,     0,     0,     0,     0,   653,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    30,    31,    32,     0,
       0,    33,     0,    34,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    37,     0,     0,    38,     0,     0,     0,     0,
       0,     0,     0,    39,    40,    41,     0,     0,     0,     0,
      44,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    46,    47,    48,    49,
      50,    51,    52,   310,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
       0,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,     0,    91,     0,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,     0,   134,   135,
       0,     0,   136,   137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   138,   139,
     140,   141,   142,   143,   144,   145,   146,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   147,   148,   149,   150,     0,     0,     0,   151,
     152,   153,   358,     0,     0,     2,     0,     3,     4,     0,
     308,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       8,     9,    10,    11,     0,    13,     0,   160,   161,     0,
      14,     0,     0,     0,     0,    15,     0,     0,     0,     0,
      16,     0,     0,     0,     0,     0,    18,    19,     0,     0,
       0,     0,     0,    21,    22,     0,     0,     0,   975,     0,
       0,     0,     0,     0,     0,     0,     0,    26,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      30,    31,    32,     0,     0,    33,     0,    34,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    37,     0,     0,    38,
       0,     0,     0,     0,     0,     0,     0,    39,    40,    41,
       0,     0,     0,     0,    44,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,    47,    48,    49,    50,    51,    52,   310,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,     0,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,     0,    91,     0,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,     0,   134,   135,     0,     0,   136,   137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   138,   139,   140,   141,   142,   143,   144,   145,
     146,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   147,   148,   149,   150,
       0,     0,     0,   151,   152,   153,   358,     0,     0,     2,
       0,     3,     4,     0,   308,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     8,     9,    10,    11,     0,    13,
       0,   160,   161,     0,    14,     0,     0,     0,     0,    15,
       0,     0,     0,     0,    16,     0,     0,     0,     0,     0,
      18,    19,     0,     0,     0,     0,     0,    21,    22,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    26,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    30,    31,    32,     0,     0,    33,
       0,    34,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      37,     0,     0,    38,     0,     0,     0,     0,     0,     0,
       0,    39,    40,    41,     0,     0,     0,     0,    44,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,    47,    48,    49,    50,    51,
      52,   310,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,     0,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
       0,    91,     0,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,     0,   134,   135,     0,     0,
     136,   137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   138,   139,   140,   141,
     142,   143,   144,   145,   146,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     147,   148,   149,   150,     0,     0,     0,   151,   152,   153,
     358,     0,     0,     2,     0,     3,     4,     0,   308,     0,
       0,     0,     0,     0,     0,     0,     0,     7,     8,     9,
      10,    11,     0,    13,     0,   160,   161,     0,    14,     0,
       0,     0,     0,    15,     0,     0,     0,     0,    16,     0,
       0,     0,     0,     0,     0,    19,     0,     0,     0,     0,
       0,    21,    22,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    26,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    30,    31,
      32,     0,     0,    33,     0,    34,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    37,     0,     0,    38,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    41,     0,     0,
       0,     0,    44,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    46,    47,
      48,    49,    50,    51,    52,   310,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,     0,
      68,     0,     0,     0,    72,    73,    74,    75,    76,    77,
      78,    79,     0,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,     0,    91,     0,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,     0,
     134,   135,     0,     0,   136,   137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     138,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   147,   148,   149,   150,     0,     0,
       0,   151,   152,   153,   358,     0,     0,     2,     0,     3,
       4,     0,   308,     0,     0,     0,     0,     0,     0,     0,
       0,     7,     8,     9,    10,    11,     0,    13,     0,   160,
     161,     0,    14,     0,     0,     0,     0,    15,     0,     0,
       0,     0,    16,     0,     0,     0,     0,     0,     0,    19,
       0,     0,     0,     0,     0,    21,    22,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    26,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    30,    31,    32,     0,     0,    33,     0,    34,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    37,     0,
       0,    38,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    41,     0,     0,     0,     0,    44,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,    47,    48,    49,    50,    51,    52,   310,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,     0,    68,     0,     0,     0,    72,    73,
      74,    75,    76,    77,    78,    79,     0,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,     0,    91,
       0,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,     0,   134,   135,     0,     0,   136,   137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   308,     0,     0,   138,   139,   140,   141,   142,   143,
     144,   145,   146,     0,     0,     0,    13,     0,     0,     0,
       0,    14,     0,     0,     0,     0,    15,     0,   147,   148,
     149,   150,     0,     0,     0,   151,   152,   153,    19,     0,
       0,     0,     0,     0,    21,    22,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    30,    31,    32,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    37,     0,     0,
      38,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,     0,    48,   445,     0,    51,    52,   310,    54,
      55,    56,    57,    58,    59,   446,    61,    62,    63,    64,
      65,    66,     0,    68,     0,     0,     0,    72,    73,    74,
      75,    76,    77,   447,    79,     0,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,     0,    91,     0,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   308,   134,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,     0,     0,
       0,     0,    14,     0,     0,     0,     0,    15,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    19,
       0,     0,     0,     0,     0,    21,    22,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    30,    31,    32,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    37,     0,
       0,    38,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,     0,    48,     0,     0,    51,    52,   310,
      54,    55,    56,    57,    58,    59,     0,    61,    62,    63,
      64,    65,    66,     0,    68,     0,     0,     0,    72,    73,
      74,    75,    76,    77,     0,    79,     0,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,     0,    91,
       0,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,     0,   134
};

static const yytype_int16 yycheck[] =
{
       0,     1,     1,    43,   135,   313,    25,   316,   300,   300,
     367,   300,     1,    29,   187,   641,   817,     4,   525,   283,
       4,   367,   491,    42,     4,     4,     4,   862,    11,   175,
     175,   175,   175,   342,    26,   729,   175,   752,     3,   354,
     355,   756,   757,   758,   763,   764,     4,     0,     1,   364,
     365,   766,    28,   614,   768,    79,   187,   397,   398,   837,
      26,   401,   937,   403,    71,   940,   375,     4,     4,    74,
       5,     5,    74,     4,     4,   866,     4,  1002,   404,    74,
       5,   102,    65,     5,    51,   462,    62,   121,   927,   361,
     748,     5,     5,     4,     4,   753,     4,     4,   142,   330,
     809,   332,     5,     5,    37,    60,     5,    26,     4,   121,
      77,   245,  1094,   245,    62,   121,   456,   463,   259,    42,
       3,     5,    26,   644,    11,    26,  1287,    19,    26,    26,
       3,    32,   317,    33,   140,    26,    26,    66,    26,   660,
    1065,     4,    28,    26,    40,    43,    79,  1308,    96,     3,
     423,    25,     6,   426,   427,    47,    89,   465,   143,    13,
      25,    61,   154,    37,     4,   306,     3,  1042,    33,    25,
     677,   479,    37,   165,    72,   439,    62,  1159,    65,   134,
     314,   315,   314,     3,   492,   133,     3,  1062,   154,   108,
      74,   183,   907,   908,    11,     3,    61,     3,   462,   165,
     373,    40,   131,   158,   377,    79,   921,   105,    71,    26,
      84,    25,     3,     3,    79,    89,     3,   183,     3,    84,
     297,    74,   407,    74,    89,   259,    66,   458,    84,   544,
     153,  1156,    83,     6,   132,   312,   128,   129,   141,   283,
      13,   950,   373,   142,   953,    84,   377,   259,   421,   589,
    1089,     3,   258,   154,   580,   440,   154,   154,   522,   531,
     918,  1243,  1097,   154,   165,   496,   154,   165,   165,    84,
     251,   252,   253,  1198,   165,    26,   113,   165,   318,   319,
     172,   321,   183,   283,   283,   183,   183,     3,  1079,   666,
     421,   131,   183,  1071,   283,   183,   642,  1016,     6,   138,
     324,  1020,   139,   324,     3,    13,   614,  1026,   307,   274,
     245,   245,   620,   353,  1149,  1009,  1035,   324,   307,   324,
     881,   882,   324,   245,  1038,   314,     3,   316,   954,   324,
     283,   245,   245,   325,   301,   842,   143,   324,   646,   696,
     324,   324,   309,   245,   324,   324,   324,  1222,   337,   325,
     696,    26,   341,   342,   343,   374,   314,   826,  1233,   325,
     359,   350,   351,   352,   673,   354,   355,   356,   357,   358,
     710,   711,   391,   713,   714,   364,   365,   717,   418,   368,
     720,   738,   528,   528,   528,   528,   375,   324,   324,   528,
     705,   700,   738,   324,   324,   435,   324,   528,  1117,   324,
    1275,   314,   315,   314,   314,  1120,   314,   314,   397,   398,
     399,   400,   401,   402,   403,   730,   405,   406,   557,     5,
     409,     7,  1223,   324,  1225,  1226,  1227,   416,   325,   469,
       8,  1057,   325,   326,  1060,   322,   323,   324,   325,   326,
     439,     3,   316,   317,   318,   319,   320,   321,    83,    55,
     439,   316,   317,   318,   319,   320,   321,   249,   250,   805,
     316,   317,   318,   319,   320,   321,   274,   456,   274,     3,
     278,    37,   278,   942,     0,     4,    55,   316,   317,   318,
     319,   320,   321,   274,   274,   324,    50,   278,   278,   274,
      26,   759,   760,   278,     3,   484,    32,   322,   323,   807,
     489,   316,   317,   318,   319,   320,   321,     4,     5,   324,
     683,    75,     3,    79,  1140,     4,     5,    81,     7,   827,
      50,     7,    86,    89,   697,   146,   147,   148,   149,   528,
      94,     4,     5,   522,     7,     3,   525,    66,    20,    21,
      22,    23,    24,    11,    19,    75,    21,    22,     3,    24,
     550,    81,   683,     3,    75,   544,    85,     3,    26,   732,
      81,   131,     4,     5,    94,     7,   697,     3,   146,   147,
     148,   149,     3,   881,   882,   615,   616,   617,   184,   185,
     186,   187,     6,     3,     8,     9,   192,     5,     3,     7,
     196,   197,   198,   199,     4,     5,   160,     7,   322,   323,
     589,   732,   131,     3,   168,   184,   185,   186,   187,   649,
     302,   315,   304,   192,    96,     3,   884,   196,   197,   198,
     199,   610,   641,   612,   302,   893,   304,   626,   936,   937,
     160,   899,   940,   400,     6,   402,     8,     9,   168,   160,
     314,    28,     3,   911,     3,   113,     3,   168,    20,    21,
      22,    23,    24,     3,  1011,   137,   645,     4,     5,   999,
    1000,  1001,   651,     3,   653,  1011,    14,    15,    16,    17,
      18,   139,     3,    60,     4,     5,    50,     7,     3,   668,
     669,   670,   286,   672,   673,   674,   950,     3,   677,     3,
     706,   286,   174,   175,   176,   841,   841,   841,   841,   291,
     292,    75,   841,     3,    50,     3,   837,    81,     4,     5,
     841,   700,    86,     3,   853,    34,   705,   324,   707,   708,
      94,   710,   711,   110,   713,   714,   113,    44,   717,    75,
       3,   720,     4,     5,  1042,    81,     4,     5,   322,     7,
      86,   730,     6,     4,     8,     9,    85,   134,    94,   136,
     305,   306,    85,    60,  1062,   145,    20,    21,    22,    23,
      24,  1029,     4,     5,  1032,     7,     6,  1076,     8,     9,
     321,   158,  1129,  1065,  1065,    25,  1065,     4,     5,    10,
      20,    21,    22,    23,    24,    19,   160,    51,     4,     5,
     809,     7,    12,    43,   168,    50,    26,    37,   798,     4,
       5,    12,     7,   110,    68,    26,   113,     4,     5,    59,
       3,    51,   297,   298,   160,  1155,   989,     4,     5,   106,
      75,    83,   168,   261,   262,   841,    81,   134,    68,   136,
       4,     5,    96,   259,   260,   100,   825,     4,     5,    94,
     829,     5,    21,     4,     5,   100,   249,    26,     4,     5,
       4,   158,     3,   842,   114,   105,    96,    28,   989,     3,
     110,   608,   609,    42,   608,   609,   130,    20,    21,    22,
      23,    24,     3,   137,    53,   160,   161,    56,    57,   410,
     411,     4,   132,   138,    63,   412,   413,    21,   490,   491,
     130,    70,    90,     4,     3,    13,    13,   137,     5,    32,
     138,     4,     3,    82,   141,   160,  1198,  1198,    42,  1198,
       5,  1268,    74,   168,  1222,   138,    95,     4,    97,    53,
      26,    26,    56,    57,     3,  1233,    74,    74,    74,    63,
     109,   950,    74,   932,   953,   954,    70,   116,    74,     3,
    1071,   246,    74,   122,   123,    74,    74,   250,    82,  1306,
       4,   315,     4,   113,     4,    26,     5,     5,     5,     5,
       5,    95,     5,    97,     5,     5,     5,  1275,     4,     3,
       5,     4,    32,     5,   153,   109,     5,     4,     4,    99,
       5,   126,   116,    13,    26,   321,     4,    40,   122,   123,
     979,    65,   246,     4,   307,    23,     4,   242,    74,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    13,   998,
     999,  1000,  1001,    13,     3,  1004,   104,     3,     3,   153,
       3,    42,     4,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     4,     4,     3,     3,    87,    99,  1057,   303,
     150,  1060,   100,    87,     5,     4,    77,    26,     4,    19,
     324,     5,    62,     5,     5,     5,    40,   293,   293,    23,
      77,   275,   275,   303,   102,    23,    23,  1066,   275,   275,
      23,   126,     3,   142,     4,     3,    78,   114,    26,    86,
     103,    26,    86,     4,     4,    40,     5,  1076,    12,     3,
    1130,     4,     4,   272,   273,     4,    74,   276,   277,   275,
     279,   280,   281,   282,   126,   284,   285,   122,   122,    26,
      43,     5,   255,    76,    12,     5,   308,     5,     4,    86,
      23,  1140,    96,     3,   144,   144,   101,    71,   101,     5,
     299,   304,   259,     4,   304,     4,     3,   249,   272,   273,
     254,     3,   276,   277,   110,   279,   280,   281,   282,     5,
     284,   285,   310,    32,    32,     3,   315,     3,    23,   311,
     259,   300,     3,    26,   257,    26,  1155,     3,    26,    69,
       6,   311,     8,     9,    23,    11,  1175,     7,   313,   936,
    1220,  1045,  1064,    19,    20,    21,    22,    23,    24,   470,
      26,  1051,  1071,  1192,   827,    31,   805,   986,   642,   612,
      36,  1309,   818,    12,   384,    41,   548,  1184,   385,   696,
     175,    47,    48,   175,  1236,   645,   696,  1237,    54,    55,
    1243,   958,  1094,  1011,  1156,   607,   316,   616,   417,   797,
     408,  1231,    68,   898,   375,  1129,   835,   531,   841,   363,
     264,   529,  1185,  1253,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    -1,  1258,
      96,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   117,    -1,    -1,   120,    -1,    -1,  1287,    -1,    -1,
      -1,    -1,   128,   129,   130,    -1,    -1,    -1,    -1,   135,
      -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,  1308,    -1,
      -1,    -1,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
      -1,   247,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   287,   288,   289,   290,    -1,    -1,    -1,   294,   295,
     296,    -1,     3,    -1,    -1,     6,    -1,     8,     9,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,   322,   323,    -1,   325,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      41,    -1,    -1,    -1,    45,    -1,    47,    48,    49,    -1,
      -1,    -1,    -1,    54,    55,    -1,    -1,    -1,    59,    60,
      -1,    -1,    -1,    -1,    -1,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    96,    -1,    98,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,    -1,   113,    -1,    -1,    -1,   117,    -1,    -1,   120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,   129,   130,
      -1,   132,    -1,   134,   135,    -1,   137,    -1,   139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,    -1,   247,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   287,   288,   289,   290,
      -1,    -1,    -1,   294,   295,   296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   316,   317,   318,   319,   320,
     321,   322,   323,     3,    -1,    -1,     6,    -1,     8,     9,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    -1,    -1,    -1,
      -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    41,    -1,    -1,    -1,    45,    -1,    47,    48,    49,
      -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,    59,
      60,    -1,    -1,    -1,    -1,    -1,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    96,    -1,    98,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,    -1,   113,    -1,    -1,    -1,   117,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,   129,
     130,    -1,   132,    -1,   134,   135,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,    -1,   247,   248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,    -1,    -1,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,   288,   289,
     290,    -1,    -1,    -1,   294,   295,   296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,   319,
     320,   321,   322,   323,     3,    -1,    -1,     6,    -1,     8,
       9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    -1,    -1,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,    -1,    -1,    -1,    45,    -1,    47,    48,
      49,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,
      59,    60,    -1,    -1,    -1,    -1,    -1,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    96,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,    -1,   113,    -1,    -1,    -1,   117,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,
     129,   130,    -1,   132,    -1,   134,   135,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,   288,
     289,   290,    -1,    -1,    -1,   294,   295,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,
     319,   320,   321,   322,   323,     3,    -1,    -1,     6,    -1,
       8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    -1,
      -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    41,    -1,    -1,    -1,    45,    -1,    47,
      48,    49,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,
      -1,    59,    60,    -1,    -1,    -1,    -1,    -1,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    96,    -1,
      98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,    -1,   113,    -1,    -1,    -1,   117,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     128,   129,   130,    -1,   132,    -1,   134,   135,    -1,   137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,    -1,   247,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,
     288,   289,   290,    -1,    -1,    -1,   294,   295,   296,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,
     318,   319,   320,   321,   322,   323,     3,    -1,    -1,     6,
      -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,
      37,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,
      47,    48,    -1,    -1,    -1,    -1,    -1,    54,    55,    -1,
      -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      67,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      -1,    -1,    89,    -1,    91,    92,    93,    -1,    -1,    96,
      -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     117,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   128,   129,   130,    -1,   132,    -1,    -1,   135,    -1,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,    -1,   243,   244,    -1,    -1,
     247,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     287,   288,   289,   290,    -1,    -1,    -1,   294,   295,   296,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,
     317,   318,   319,   320,   321,   322,   323,     3,    -1,    -1,
       6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,
      -1,    47,    48,    -1,    -1,    -1,    -1,    -1,    54,    55,
      -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    67,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      96,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,   117,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   128,   129,   130,    -1,   132,    -1,    -1,   135,
      -1,   137,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
      -1,   247,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   287,   288,   289,   290,    -1,    -1,    -1,   294,   295,
     296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     316,   317,   318,   319,   320,   321,   322,   323,     3,    -1,
      -1,     6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,
      -1,    -1,    47,    48,    -1,    -1,    -1,    -1,    -1,    54,
      55,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    67,    68,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   128,   129,   130,    -1,   132,    -1,    -1,
     135,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,    -1,   247,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   287,   288,   289,   290,    -1,    -1,    -1,   294,
     295,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   316,   317,   318,   319,   320,   321,   322,   323,     3,
      -1,    -1,     6,    -1,     8,     9,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    -1,    -1,    -1,    -1,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,
      -1,    -1,    -1,    47,    48,    -1,    -1,    -1,    -1,    -1,
      54,    55,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    67,    68,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   128,   129,   130,    -1,   132,    -1,
      -1,   135,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,    -1,   247,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,   288,   289,   290,    -1,    -1,    -1,
     294,   295,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   316,   317,   318,   319,   320,   321,   322,   323,
       3,    -1,    -1,     6,    -1,     8,     9,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    -1,    -1,    -1,    -1,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,
      -1,    -1,    -1,    -1,    47,    48,    -1,    -1,    -1,    -1,
      -1,    54,    55,    -1,    -1,    -1,    59,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   128,   129,   130,    -1,    -1,
      -1,    -1,   135,    -1,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,    -1,
     243,   244,    -1,    -1,   247,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   287,   288,   289,   290,    -1,    -1,
      -1,   294,   295,   296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   316,   317,   318,   319,   320,   321,   322,
     323,     3,    -1,    -1,     6,    -1,     8,     9,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    -1,    -1,    -1,    -1,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    41,
      -1,    -1,    -1,    -1,    -1,    47,    48,    -1,    -1,    -1,
      -1,    -1,    54,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,   120,    -1,
      -1,    -1,   124,   125,    -1,    -1,   128,   129,   130,    -1,
      -1,    -1,    -1,   135,    -1,   137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,    -1,   247,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   263,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   287,   288,   289,   290,    -1,
      -1,    -1,   294,   295,   296,     3,    -1,    -1,     6,    -1,
       8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    -1,
     322,   323,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    -1,    41,    -1,    -1,    -1,    -1,    -1,    47,
      48,    -1,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      68,    -1,    -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      88,    -1,    -1,    91,    92,    93,    -1,    -1,    96,    -1,
      98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,   127,
     128,   129,   130,    -1,    -1,    -1,    -1,   135,    -1,   137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,    -1,   247,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,
     288,   289,   290,    -1,    -1,    -1,   294,   295,   296,     3,
      -1,    -1,     6,    -1,     8,     9,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    -1,   322,   323,    -1,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,
      -1,    -1,    -1,    47,    48,    -1,    -1,    -1,    -1,    -1,
      54,    55,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   128,   129,   130,    -1,    -1,    -1,
      -1,   135,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,   288,   289,   290,    -1,    -1,    -1,
     294,   295,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,     6,    -1,     8,
       9,    -1,    11,    -1,    -1,    -1,    -1,    -1,   322,   323,
      19,    20,    21,    22,    23,    24,    -1,    26,    -1,    28,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    47,    48,
      -1,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,
      59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    96,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,
     129,   130,    -1,    -1,    -1,    -1,   135,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,    -1,   247,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,   288,
     289,   290,    -1,    -1,    -1,   294,   295,   296,     3,    -1,
      -1,     6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    -1,   322,   323,    -1,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,
      -1,    -1,    47,    48,    -1,    -1,    -1,    -1,    -1,    54,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   128,   129,   130,    -1,    -1,    -1,    -1,
     135,    -1,   137,    -1,   139,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,    -1,   247,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   287,   288,   289,   290,    -1,    -1,    -1,   294,
     295,   296,     3,     4,    -1,     6,    -1,     8,     9,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    -1,   322,   323,    -1,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      41,    -1,    -1,    -1,    -1,    -1,    47,    48,    -1,    -1,
      -1,    -1,    -1,    54,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    96,    -1,    98,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,   120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,   129,   130,
      -1,    -1,    -1,    -1,   135,    -1,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,    -1,   247,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   287,   288,   289,   290,
      -1,    -1,    -1,   294,   295,   296,     3,    -1,    -1,     6,
      -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      -1,   322,   323,    -1,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,
      47,    48,    -1,    -1,    -1,    -1,    -1,    54,    55,    -1,
      -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    96,
      -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     117,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   128,   129,   130,    -1,    -1,    -1,    -1,   135,    -1,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,    -1,   243,   244,    -1,    -1,
     247,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     287,   288,   289,   290,    -1,    -1,    -1,   294,   295,   296,
       3,    -1,    -1,     6,    -1,     8,     9,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    -1,   322,   323,    -1,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,
      -1,    -1,    -1,    -1,    47,    48,    -1,    -1,    -1,    -1,
      -1,    54,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   128,   129,   130,    -1,    -1,
      -1,    -1,   135,    -1,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,    -1,
     243,   244,    -1,    -1,   247,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   287,   288,   289,   290,    -1,    -1,
      -1,   294,   295,   296,     3,     4,    -1,     6,    -1,     8,
       9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    -1,   322,
     323,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    47,    48,
      -1,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    96,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,
     129,   130,    -1,    -1,    -1,    -1,   135,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,    -1,   247,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,   288,
     289,   290,    -1,    -1,    -1,   294,   295,   296,     3,    -1,
      -1,     6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    -1,   322,   323,    -1,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,
      -1,    -1,    47,    48,    -1,    -1,    -1,    -1,    -1,    54,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,    74,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   128,   129,   130,    -1,    -1,    -1,    -1,
     135,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,    -1,   247,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   287,   288,   289,   290,    -1,    -1,    -1,   294,
     295,   296,     3,    -1,    -1,     6,    -1,     8,     9,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    -1,   322,   323,    -1,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      41,    -1,    -1,    -1,    -1,    -1,    47,    48,    -1,    -1,
      -1,    -1,    -1,    54,    55,    -1,    -1,    -1,    59,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    96,    -1,    98,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,   120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,   129,   130,
      -1,    -1,    -1,    -1,   135,    -1,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,    -1,   247,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   287,   288,   289,   290,
      -1,    -1,    -1,   294,   295,   296,     3,    -1,    -1,     6,
      -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      -1,   322,   323,    -1,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,
      47,    48,    -1,    -1,    -1,    -1,    -1,    54,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    96,
      -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     117,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   128,   129,   130,    -1,    -1,    -1,    -1,   135,    -1,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,    -1,   243,   244,    -1,    -1,
     247,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     287,   288,   289,   290,    -1,    -1,    -1,   294,   295,   296,
       3,    -1,    -1,     6,    -1,     8,     9,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    -1,    26,    -1,   322,   323,    -1,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,
      -1,    -1,    -1,    -1,    -1,    48,    -1,    -1,    -1,    -1,
      -1,    54,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,
      -1,    -1,   135,    -1,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,    -1,    -1,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,    -1,
     243,   244,    -1,    -1,   247,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   287,   288,   289,   290,    -1,    -1,
      -1,   294,   295,   296,     3,    -1,    -1,     6,    -1,     8,
       9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    -1,    26,    -1,   322,
     323,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      -1,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    96,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   130,    -1,    -1,    -1,    -1,   135,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,    -1,    -1,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,    -1,   247,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    -1,    -1,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,    -1,    -1,    26,    -1,    -1,    -1,
      -1,    31,    -1,    -1,    -1,    -1,    36,    -1,   287,   288,
     289,   290,    -1,    -1,    -1,   294,   295,   296,    48,    -1,
      -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,    -1,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,    11,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    26,    -1,    -1,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      -1,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,    -1,   153,    -1,    -1,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,   171,    -1,   173,    -1,    -1,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,    -1,   243
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     3,     6,     8,     9,    11,    19,    20,    21,    22,
      23,    24,    25,    26,    31,    36,    41,    45,    47,    48,
      49,    54,    55,    59,    60,    67,    68,    69,    76,    84,
      91,    92,    93,    96,    98,   111,   113,   117,   120,   128,
     129,   130,   132,   134,   135,   137,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   198,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   243,   244,   247,   248,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   287,   288,   289,
     290,   294,   295,   296,   316,   317,   318,   319,   320,   321,
     322,   323,   330,   331,   332,   333,   344,   347,   358,   359,
     360,   361,   362,   363,   364,   367,   368,   369,   370,   375,
     380,   405,   407,   408,   409,   410,   412,   413,   414,   415,
     416,   417,   418,   420,   421,   423,   424,   425,   426,   428,
     429,   430,   434,   436,   437,   438,   439,   440,   441,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   476,   477,   482,   483,   485,
     523,   524,   525,   526,   529,   531,   532,   533,   549,   552,
     553,   554,   555,   556,   557,   558,   559,   562,   563,   564,
     577,   578,   579,   580,   581,   583,   584,   585,   586,   590,
     592,   593,   594,   595,   603,   629,   630,   631,   632,   633,
     634,   646,   649,     3,   139,   331,   365,   379,   380,   409,
     542,   543,   544,   546,   548,   577,    26,    26,     8,   146,
     147,   148,   149,   516,   517,   521,   522,     3,    11,    25,
     158,   405,     6,    13,     3,   143,     3,     3,   121,   140,
     258,    74,     3,   430,    26,   645,    28,    60,   110,   113,
     134,   136,   158,   349,   350,   351,   358,     3,   143,    28,
      62,   371,     3,     3,   430,    26,   599,   600,   601,   602,
       3,     3,     3,    83,     3,     3,     3,     3,     3,   249,
     368,   639,   640,   644,     3,     3,     3,     3,     3,   554,
     554,     0,     7,    37,    79,    89,   131,   413,   414,   416,
     417,   420,   423,   425,   315,   314,    28,    31,   117,   367,
     368,   427,    19,    21,    22,    24,     3,     3,     3,     3,
       3,     3,     3,     3,   286,     3,     3,     3,     3,     3,
     325,   326,   322,   323,    34,   560,   324,   322,    44,   582,
     546,     3,     4,    85,     4,     4,    66,   131,     4,    10,
     321,    26,   448,   523,   533,   145,    12,    12,    19,     3,
     113,   380,   409,    26,    26,   154,   165,   183,   325,   604,
     629,   550,   577,   550,   578,   325,   371,   599,   599,    26,
     669,   599,     3,    83,   106,     3,   346,   346,   346,   100,
       5,    62,    96,   133,   577,   325,   381,   431,   432,   577,
     598,   577,   578,    39,    74,    88,   127,   577,   596,   597,
       6,    13,   114,   577,   577,   577,   599,   574,   577,   574,
     577,   587,   588,   589,    55,   124,   125,   184,   185,   186,
     187,   192,   196,   197,   198,   199,   442,   443,   444,   565,
     577,   577,     3,   577,   409,   250,   640,   641,   249,   635,
     636,   639,   574,   577,   574,   577,     4,   434,   471,   472,
     473,   646,   577,   367,     3,   422,   430,   553,   578,    28,
     547,   367,   407,   408,   430,     4,   575,   577,   642,   643,
     571,   575,    55,   184,   185,   186,   187,   192,   196,   198,
     566,   575,   576,   576,   572,   575,     4,   576,   573,   575,
       3,    26,   488,   489,   490,   496,   478,   577,   577,   371,
     530,   557,     4,   528,   574,   555,   555,   556,   556,    90,
     561,   577,   583,   599,     4,   366,   367,   547,   547,   547,
       3,   599,   371,    13,    13,    32,     5,   138,     4,   575,
       3,   346,   251,   252,   253,   651,   141,   378,   401,   548,
     376,   377,   433,   646,    26,   343,   629,   599,   351,    74,
       4,    74,    83,   394,   395,     5,    32,   435,   629,   138,
     577,    74,     4,    74,   577,    26,   601,    26,   601,   602,
     372,   373,   629,     4,     4,     4,   346,     4,     5,     7,
      79,     4,    74,    74,    74,   102,   354,   245,   577,   642,
     246,   368,   411,   413,   414,   416,   420,   423,   637,   638,
     641,   636,     4,     4,     4,     4,     5,   315,   574,    11,
      65,   419,   419,   380,     4,    40,    84,   138,   413,     4,
       5,     5,     4,     5,     7,     4,     4,     5,     4,     4,
       5,   488,   497,   500,     5,   474,     4,   575,     4,     4,
      40,     4,     5,   543,   545,   379,   544,   379,     3,   518,
     381,    26,    26,   604,    21,    42,    53,    56,    57,    63,
      70,    82,    95,    97,   109,   116,   122,   123,   153,   272,
     273,   276,   277,   279,   280,   281,   282,   284,   285,   551,
     599,   605,   608,   609,   616,   617,   618,   619,   620,   621,
     623,   624,   625,   626,   628,   551,   599,     4,    43,    72,
     105,   132,   334,   335,   336,   339,   341,   629,    32,    99,
      60,   134,   158,   652,   409,     5,     4,     5,   126,     3,
      11,   396,   400,   430,   538,   539,   540,   599,   376,   378,
     432,   629,   599,   577,   577,    74,    13,     5,   378,   321,
     548,   577,   577,   577,   577,   578,   577,    40,     4,   642,
     367,     5,   245,   246,   471,   472,   486,   367,     4,    65,
     578,   574,   358,   577,   577,   575,   575,   575,   575,   575,
     575,   307,   498,   501,    23,   479,     4,   291,   292,   475,
     481,     4,   242,   527,   527,   574,   367,   434,   519,   520,
     646,    13,    13,     3,   274,   278,   610,   611,     3,   622,
     622,   104,     3,   274,   278,   610,   622,   610,   610,   274,
     278,   610,   611,   611,     3,   612,   613,    42,   153,   612,
     612,   274,   278,   610,    55,   184,   186,   187,   192,   196,
     198,   565,   567,   569,   570,     4,    42,   606,   582,   607,
       4,     4,     3,    87,    87,     4,     5,     3,   605,   380,
      99,   653,   100,   377,   629,    26,   108,   352,   353,   648,
       3,   400,   540,   150,     5,    50,    75,    81,    94,   160,
     168,   534,   537,    32,   397,   647,   397,   399,   394,    77,
     402,     4,   577,    26,   373,    59,   374,   577,     4,    71,
     591,   591,     4,   355,   356,   368,   410,   358,   368,   413,
     414,   416,   420,   423,   638,   642,     4,    19,   413,     5,
       5,     5,    40,   354,     5,   475,   293,   293,    77,     4,
       4,     5,   604,   604,    23,   611,   275,    23,    23,   611,
     275,   142,   283,   627,   627,   611,   275,    23,   614,   274,
     278,   610,   274,   610,   611,   275,   622,   610,   126,   114,
     607,   409,     3,   335,   343,   337,   142,   345,   343,   654,
     602,     5,   142,   348,     4,   540,   400,    86,   537,   103,
      86,    26,     3,   342,    26,    40,    78,   404,   577,     4,
       4,     5,    33,    61,   357,   357,    89,   367,    74,   484,
     487,    12,   577,   575,   575,   575,    26,   502,   503,   603,
     305,   306,   499,   505,   506,   480,   577,     3,   527,   520,
       4,   612,     4,     5,     4,   612,   122,   122,   612,    14,
      15,    16,    17,    18,   615,     4,   611,   275,   611,   612,
     192,   565,   568,    26,     4,   343,     4,    25,    43,    59,
     110,   339,   340,    43,   255,   650,   353,    76,    12,   400,
      86,   400,   343,   342,   403,   448,   603,   409,   308,   491,
     492,   356,   297,   298,   475,     5,     5,   607,     4,    37,
      51,   303,   446,   507,   508,   509,   510,   354,    23,   144,
     144,   612,   610,     4,    96,     3,    96,   137,   338,   434,
     559,   599,   101,   261,   262,   662,   663,    71,   655,   656,
     101,   400,   100,   138,   535,   536,   541,     4,     5,   488,
     493,   494,   495,   354,   575,   503,   303,   446,   508,   511,
     513,   514,   259,   304,   304,   299,   504,   515,     4,     4,
     110,   409,     3,   121,   259,   398,   121,   398,   663,   254,
     249,   658,   409,     3,   448,   603,     5,    32,   310,   391,
     393,   302,   302,   315,    51,    77,   301,   309,   599,     4,
     343,   397,   397,   397,   397,   259,   260,   657,     3,   406,
     256,   331,   659,   661,   343,   494,   496,    23,   311,   382,
     383,   512,   513,   259,   300,     3,     4,    26,   665,   666,
      26,   668,   664,   666,    26,   667,   409,   257,     4,   311,
     392,   389,   434,    69,   387,   388,   343,     4,   660,   661,
      23,   259,   306,   386,   297,   312,   385,     4,     7,   384,
     390,   434,   246,   661,   386,   313
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   329,   330,   330,   331,   331,   332,   332,   332,   332,
     333,   334,   334,   335,   335,   336,   337,   337,   338,   339,
     339,   340,   340,   340,   340,   340,   340,   340,   340,   340,
     340,   341,   341,   341,   341,   342,   342,   343,   343,   344,
     345,   345,   346,   346,   347,   348,   348,   349,   349,   350,
     350,   351,   351,   351,   351,   351,   351,   352,   352,   353,
     353,   354,   354,   355,   355,   356,   356,   357,   357,   357,
     358,   358,   359,   359,   359,   359,   359,   359,   359,   359,
     359,   360,   360,   361,   362,   363,   364,   365,   366,   366,
     367,   368,   368,   369,   370,   371,   371,   371,   372,   372,
     373,   374,   374,   375,   376,   376,   377,   378,   378,   379,
     380,   381,   381,   382,   382,   383,   384,   384,   385,   385,
     386,   386,   387,   387,   388,   389,   390,   391,   391,   392,
     392,   393,   394,   395,   396,   396,   397,   397,   398,   398,
     399,   399,   400,   400,   400,   400,   400,   401,   402,   402,
     403,   403,   403,   403,   404,   404,   405,   405,   405,   406,
     407,   407,   408,   408,   409,   409,   410,   410,   410,   410,
     410,   410,   410,   410,   411,   412,   412,   413,   413,   413,
     413,   413,   413,   413,   413,   414,   415,   415,   416,   417,
     418,   418,   418,   418,   419,   419,   419,   420,   420,   421,
     421,   422,   422,   423,   424,   424,   425,   426,   426,   427,
     427,   427,   428,   429,   430,   431,   431,   432,   433,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   435,   435,
     435,   436,   436,   437,   437,   437,   438,   438,   439,   440,
     441,   441,   441,   442,   442,   443,   443,   443,   444,   444,
     445,   446,   446,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   449,   449,
     450,   450,   450,   451,   451,   452,   452,   452,   452,   453,
     453,   454,   455,   455,   455,   455,   456,   456,   456,   456,
     456,   456,   456,   456,   456,   457,   457,   457,   458,   459,
     460,   460,   460,   460,   460,   461,   461,   461,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   463,   463,   463,   464,   465,   465,   465,   465,
     465,   465,   465,   465,   465,   465,   465,   465,   465,   465,
     465,   465,   465,   465,   466,   466,   466,   467,   467,   468,
     469,   469,   469,   469,   469,   469,   469,   470,   471,   472,
     473,   473,   474,   474,   474,   475,   475,   476,   477,   477,
     478,   479,   480,   481,   481,   482,   483,   483,   484,   484,
     485,   486,   486,   487,   487,   488,   489,   489,   490,   491,
     491,   492,   493,   493,   494,   495,   496,   497,   497,   498,
     498,   499,   499,   500,   501,   502,   502,   503,   504,   504,
     505,   506,   506,   507,   507,   508,   508,   508,   509,   510,
     511,   512,   513,   513,   513,   514,   515,   515,   515,   515,
     516,   516,   517,   518,   518,   519,   519,   520,   520,   520,
     521,   521,   522,   522,   522,   523,   523,   523,   523,   523,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   525,   525,   526,   526,   527,   527,
     528,   529,   530,   531,   531,   532,   533,   533,   533,   533,
     534,   534,   534,   535,   536,   536,   537,   537,   537,   537,
     538,   539,   539,   539,   540,   541,   542,   542,   543,   543,
     544,   544,   545,   546,   546,   546,   547,   547,   548,   549,
     550,   551,   551,   552,   553,   553,   553,   553,   553,   553,
     553,   553,   554,   554,   555,   555,   555,   556,   556,   556,
     557,   557,   557,   558,   559,   559,   559,   560,   561,   562,
     562,   563,   564,   565,   565,   565,   565,   565,   565,   565,
     565,   565,   566,   566,   566,   566,   566,   566,   566,   566,
     567,   568,   568,   569,   569,   570,   570,   571,   572,   573,
     574,   574,   574,   575,   575,   575,   575,   576,   576,   576,
     576,   577,   577,   577,   578,   579,   579,   580,   580,   581,
     581,   582,   583,   583,   584,   584,   585,   586,   587,   588,
     589,   590,   590,   590,   590,   591,   591,   592,   592,   593,
     593,   594,   595,   596,   596,   596,   596,   596,   597,   597,
     597,   598,   599,   599,   599,   600,   600,   601,   602,   603,
     603,   603,   603,   603,   604,   604,   605,   606,   606,   607,
     607,   608,   608,   608,   608,   608,   608,   608,   609,   609,
     609,   609,   609,   609,   610,   610,   611,   612,   612,   613,
     614,   615,   615,   615,   615,   615,   615,   616,   616,   616,
     617,   617,   617,   617,   617,   617,   617,   618,   618,   618,
     619,   619,   619,   619,   620,   620,   621,   621,   622,   622,
     622,   623,   623,   623,   623,   623,   623,   623,   624,   624,
     624,   624,   624,   625,   626,   626,   626,   627,   627,   627,
     628,   629,   629,   629,   629,   630,   630,   631,   631,   631,
     632,   632,   633,   634,   635,   635,   636,   637,   637,   638,
     638,   638,   638,   638,   638,   639,   639,   640,   641,   641,
     642,   643,   644,   645,   646,   646,   646,   647,   647,   648,
     331,   331,   649,   650,   650,   651,   651,   651,   652,   652,
     652,   653,   653,   654,   655,   656,   656,   657,   657,   658,
     658,   659,   659,   660,   660,   661,   662,   662,   663,   663,
     663,   663,   664,   665,   666,   667,   668,   669
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     2,     1,     1,     1,     1,     1,     1,
       6,     1,     3,     1,     1,     3,     0,     2,     1,     1,
       2,     2,     1,     2,     2,     2,     2,     1,     4,     2,
       5,     4,     7,    10,     4,     0,     3,     3,     1,     7,
       0,     3,     0,     3,     7,     0,     3,     2,     1,     1,
       3,     1,     2,     1,     2,     2,     1,     1,     3,     1,
       1,     0,     3,     1,     3,     2,     2,     0,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     4,     2,     4,     4,     5,     4,     1,     3,
       1,     1,     1,     2,     6,     0,     1,     1,     1,     3,
       3,     1,     1,     5,     1,     3,     1,     0,     1,     1,
       4,     1,     1,     0,     1,     3,     0,     1,     1,     1,
       1,     1,     0,     1,     5,     1,     1,     0,     1,     0,
       2,     3,     9,     2,     1,     3,     0,     1,     0,     1,
       0,     3,     2,     3,     1,     4,     3,     2,     0,     3,
       1,     1,     3,     3,     0,     2,     1,     3,     1,     3,
       1,     2,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     2,     1,     1,     1,
       1,     1,     1,     4,     2,     5,     2,     1,     4,     4,
       2,     2,     1,     1,     0,     2,     4,     3,     3,     2,
       1,     1,     3,     3,     2,     1,     3,     2,     1,     1,
       1,     1,     2,     2,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     0,     2,
       1,     6,     4,     1,     1,     1,     4,     4,     4,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       6,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     4,     4,     4,     4,     4,     4,     4,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     4,     1,     1,
       1,     1,     0,     2,     4,     0,     1,     6,     1,     1,
       1,     1,     1,     2,     2,     5,     1,     1,     0,     1,
       8,     1,     1,     2,     2,     1,     1,     1,     1,     0,
       1,     2,     3,     1,     3,     1,     6,     0,     1,     0,
       1,     0,     1,     1,     3,     3,     1,     2,     0,     1,
       3,     1,     1,     1,     1,     2,     1,     2,     2,     4,
       1,     1,     1,     2,     1,     2,     3,     2,     2,     3,
       0,     2,     4,     0,     3,     1,     3,     0,     1,     1,
       2,     2,     1,     1,     1,     5,     4,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     7,     0,     5,
       1,     5,     1,     1,     1,     5,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     0,     1,     1,     2,
       4,     5,     5,     1,     1,     4,     1,     1,     1,     3,
       1,     4,     1,     1,     4,     4,     0,     1,     1,     1,
       1,     1,     1,     6,     1,     1,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     2,     2,     1,     3,     3,
       1,     3,     3,     1,     1,     1,     1,     2,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     2,     2,     2,     3,     1,     3,     5,     7,
       1,     3,     3,     1,     3,     5,     3,     1,     3,     3,
       5,     1,     1,     1,     1,     1,     1,     3,     3,     1,
       1,     2,     1,     2,     1,     1,     1,     7,     1,     1,
       0,     1,     1,     1,     1,     0,     2,     7,     4,     6,
       6,     6,     4,     4,     3,     3,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     3,     3,     3,     1,     1,
       3,     5,     7,     7,     1,     1,     1,     0,     3,     0,
       1,     3,     2,     1,     1,     1,     1,     1,     2,     2,
       3,     3,     2,     1,     0,     1,     3,     0,     1,     3,
       2,     0,     1,     1,     1,     1,     1,     4,     4,     2,
       3,     3,     2,     4,     4,     3,     1,     5,     4,     2,
       2,     3,     2,     1,     4,     2,     1,     1,     0,     3,
       5,     2,     2,     2,     1,     1,     1,     1,     4,     1,
       1,     1,     2,     1,     1,     3,     3,     0,     3,     3,
       2,     1,     1,     1,     1,     1,     1,     4,     4,     4,
       1,     1,     5,     4,     1,     2,     4,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     2,     4,     0,     2,
       1,     1,     1,     1,     2,     1,     3,     0,     2,     1,
       1,     3,     9,     0,     2,     1,     1,     2,     1,     1,
       2,     0,     2,     1,     3,     0,     3,     1,     1,     0,
       2,     1,     5,     1,     3,     1,     1,     2,     4,     4,
       4,     4,     1,     1,     1,     1,     1,     1
};


/* YYDPREC[RULE-NUM] -- Dynamic precedence of rule #RULE-NUM (0 if none).  */
static const yytype_int8 yydprec[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       2,     1,     0,     0,     0,     0,     1,     0,     0,     0,
       0,     2,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       1,     0,     0,     0,     2,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0
};

/* YYMERGER[RULE-NUM] -- Index of merging function for rule #RULE-NUM.  */
static const yytype_int8 yymerger[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0
};

/* YYIMMEDIATE[RULE-NUM] -- True iff rule #RULE-NUM is not to be deferred, as
   in the case of predicates.  */
static const yybool yyimmediate[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0
};

/* YYCONFLP[YYPACT[STATE-NUM]] -- Pointer into YYCONFL of start of
   list of conflicting reductions corresponding to action entry for
   state STATE-NUM in yytable.  0 means no conflicts.  The list in
   yyconfl is terminated by a rule number of 0.  */
static const yytype_int8 yyconflp[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    17,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    15,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    29,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    41,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    19,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      33,    35,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,    39,    31,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    11,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     7,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    43,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    13,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    51,     0,     0,     9,     0,
      53,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    21,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    23,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    25,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    27,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       1,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     3,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0
};

/* YYCONFL[I] -- lists of conflicting rule numbers, each terminated by
   0, pointed into by YYCONFLP.  */
static const short yyconfl[] =
{
       0,    71,     0,    71,     0,    71,     0,   591,     0,   594,
       0,   506,     0,   506,     0,   760,     0,    91,     0,   184,
       0,   465,     0,   466,     0,   518,     0,    42,     0,   580,
       0,   739,     0,   741,     0,   743,     0,   744,     0,   742,
       0,   176,     0,   586,     0,   586,     0,   500,     0,   500,
       0,   501,     0,   501,     0,   129,     0
};



YYSTYPE yylval;

int yynerrs;
int yychar;

enum { YYENOMEM = -2 };

typedef enum { yyok, yyaccept, yyabort, yyerr, yynomem } YYRESULTTAG;

#define YYCHK(YYE)                              \
  do {                                          \
    YYRESULTTAG yychk_flag = YYE;               \
    if (yychk_flag != yyok)                     \
      return yychk_flag;                        \
  } while (0)

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYMAXDEPTH * sizeof (GLRStackItem)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Minimum number of free items on the stack allowed after an
   allocation.  This is to allow allocation and initialization
   to be completed by functions that call yyexpandGLRStack before the
   stack is expanded, thus insuring that all necessary pointers get
   properly redirected to new data.  */
#define YYHEADROOM 2

#ifndef YYSTACKEXPANDABLE
#  define YYSTACKEXPANDABLE 1
#endif

#if YYSTACKEXPANDABLE
# define YY_RESERVE_GLRSTACK(Yystack)                   \
  do {                                                  \
    if (Yystack->yyspaceLeft < YYHEADROOM)              \
      yyexpandGLRStack (Yystack);                       \
  } while (0)
#else
# define YY_RESERVE_GLRSTACK(Yystack)                   \
  do {                                                  \
    if (Yystack->yyspaceLeft < YYHEADROOM)              \
      yyMemoryExhausted (Yystack);                      \
  } while (0)
#endif

/** State numbers. */
typedef int yy_state_t;

/** Rule numbers. */
typedef int yyRuleNum;

/** Item references. */
typedef short yyItemNum;

typedef struct yyGLRState yyGLRState;
typedef struct yyGLRStateSet yyGLRStateSet;
typedef struct yySemanticOption yySemanticOption;
typedef union yyGLRStackItem yyGLRStackItem;
typedef struct yyGLRStack yyGLRStack;

struct yyGLRState
{
  /** Type tag: always true.  */
  yybool yyisState;
  /** Type tag for yysemantics.  If true, yyval applies, otherwise
   *  yyfirstVal applies.  */
  yybool yyresolved;
  /** Number of corresponding LALR(1) machine state.  */
  yy_state_t yylrState;
  /** Preceding state in this stack */
  yyGLRState* yypred;
  /** Source position of the last token produced by my symbol */
  YYPTRDIFF_T yyposn;
  union {
    /** First in a chain of alternative reductions producing the
     *  nonterminal corresponding to this state, threaded through
     *  yynext.  */
    yySemanticOption* yyfirstVal;
    /** Semantic value for this state.  */
    YYSTYPE yyval;
  } yysemantics;
};

struct yyGLRStateSet
{
  yyGLRState** yystates;
  /** During nondeterministic operation, yylookaheadNeeds tracks which
   *  stacks have actually needed the current lookahead.  During deterministic
   *  operation, yylookaheadNeeds[0] is not maintained since it would merely
   *  duplicate yychar != YYEMPTY.  */
  yybool* yylookaheadNeeds;
  YYPTRDIFF_T yysize;
  YYPTRDIFF_T yycapacity;
};

struct yySemanticOption
{
  /** Type tag: always false.  */
  yybool yyisState;
  /** Rule number for this reduction */
  yyRuleNum yyrule;
  /** The last RHS state in the list of states to be reduced.  */
  yyGLRState* yystate;
  /** The lookahead for this reduction.  */
  int yyrawchar;
  YYSTYPE yyval;
  /** Next sibling in chain of options.  To facilitate merging,
   *  options are chained in decreasing order by address.  */
  yySemanticOption* yynext;
};

/** Type of the items in the GLR stack.  The yyisState field
 *  indicates which item of the union is valid.  */
union yyGLRStackItem {
  yyGLRState yystate;
  yySemanticOption yyoption;
};

struct yyGLRStack {
  int yyerrState;


  YYJMP_BUF yyexception_buffer;
  yyGLRStackItem* yyitems;
  yyGLRStackItem* yynextFree;
  YYPTRDIFF_T yyspaceLeft;
  yyGLRState* yysplitPoint;
  yyGLRState* yylastDeleted;
  yyGLRStateSet yytops;
};

#if YYSTACKEXPANDABLE
static void yyexpandGLRStack (yyGLRStack* yystackp);
#endif

_Noreturn static void
yyFail (yyGLRStack* yystackp, const char* yymsg)
{
  if (yymsg != YY_NULLPTR)
    yyerror (yymsg);
  YYLONGJMP (yystackp->yyexception_buffer, 1);
}

_Noreturn static void
yyMemoryExhausted (yyGLRStack* yystackp)
{
  YYLONGJMP (yystackp->yyexception_buffer, 2);
}

/** Accessing symbol of state YYSTATE.  */
static inline yysymbol_kind_t
yy_accessing_symbol (yy_state_t yystate)
{
  return YY_CAST (yysymbol_kind_t, yystos[yystate]);
}

#if YYDEBUG || 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "'('", "')'", "','",
  "':'", "';'", "'?'", "'['", "']'", "'{'", "'}'", "'.'", "'K'", "'M'",
  "'G'", "'T'", "'P'", "SQL_TOKEN_STRING", "SQL_TOKEN_ACCESS_DATE",
  "SQL_TOKEN_INT", "SQL_TOKEN_REAL_NUM", "SQL_TOKEN_INTNUM",
  "SQL_TOKEN_APPROXNUM", "SQL_TOKEN_NOT", "SQL_TOKEN_NAME",
  "SQL_TOKEN_UMINUS", "SQL_TOKEN_ALL", "SQL_TOKEN_ALTER",
  "SQL_TOKEN_AMMSC", "SQL_TOKEN_ANY", "SQL_TOKEN_AS", "SQL_TOKEN_ASC",
  "SQL_TOKEN_AT", "SQL_TOKEN_AUTHORIZATION", "SQL_TOKEN_AVG",
  "SQL_TOKEN_BETWEEN", "SQL_TOKEN_BIT", "SQL_TOKEN_BOTH", "SQL_TOKEN_BY",
  "SQL_TOKEN_CAST", "SQL_TOKEN_CHARACTER", "SQL_TOKEN_CHECK",
  "SQL_TOKEN_COLLATE", "SQL_TOKEN_COMMIT", "SQL_TOKEN_CONTINUE",
  "SQL_TOKEN_CONVERT", "SQL_TOKEN_COUNT", "SQL_TOKEN_CREATE",
  "SQL_TOKEN_CROSS", "SQL_TOKEN_CURRENT", "SQL_TOKEN_CURSOR",
  "SQL_TOKEN_DATE", "SQL_TOKEN_DATEVALUE", "SQL_TOKEN_DAY",
  "SQL_TOKEN_DEC", "SQL_TOKEN_DECIMAL", "SQL_TOKEN_DECLARE",
  "SQL_TOKEN_DEFAULT", "SQL_TOKEN_DELETE", "SQL_TOKEN_DESC",
  "SQL_TOKEN_DISTINCT", "SQL_TOKEN_DOUBLE", "SQL_TOKEN_DROP",
  "SQL_TOKEN_ESCAPE", "SQL_TOKEN_EXCEPT", "SQL_TOKEN_EXISTS",
  "SQL_TOKEN_FALSE", "SQL_TOKEN_FETCH", "SQL_TOKEN_FLOAT", "SQL_TOKEN_FOR",
  "SQL_TOKEN_FOREIGN", "SQL_TOKEN_FOUND", "SQL_TOKEN_FROM",
  "SQL_TOKEN_FULL", "SQL_TOKEN_GRANT", "SQL_TOKEN_GROUP",
  "SQL_TOKEN_HAVING", "SQL_TOKEN_IN", "SQL_TOKEN_INDICATOR",
  "SQL_TOKEN_INNER", "SQL_TOKEN_INTEGER", "SQL_TOKEN_INTO", "SQL_TOKEN_IS",
  "SQL_TOKEN_INTERSECT", "SQL_TOKEN_JOIN", "SQL_TOKEN_KEY",
  "SQL_TOKEN_LEADING", "SQL_TOKEN_LIKE", "SQL_TOKEN_LOCAL",
  "SQL_TOKEN_LOWER", "SQL_TOKEN_MAX", "SQL_TOKEN_MIN", "SQL_TOKEN_NATURAL",
  "SQL_TOKEN_NCHAR", "SQL_TOKEN_NULL", "SQL_TOKEN_NUMERIC",
  "SQL_TOKEN_OCTET_LENGTH", "SQL_TOKEN_OF", "SQL_TOKEN_ON",
  "SQL_TOKEN_OPTION", "SQL_TOKEN_ORDER", "SQL_TOKEN_OUTER",
  "SQL_TOKEN_PRECISION", "SQL_TOKEN_PRIMARY", "SQL_TOKEN_PRIVILEGES",
  "SQL_TOKEN_PROCEDURE", "SQL_TOKEN_PUBLIC", "SQL_TOKEN_REAL",
  "SQL_TOKEN_REFERENCES", "SQL_TOKEN_ROLLBACK", "SQL_TOKEN_SCHEMA",
  "SQL_TOKEN_SELECT", "SQL_TOKEN_SET", "SQL_TOKEN_SIZE",
  "SQL_TOKEN_SMALLINT", "SQL_TOKEN_SOME", "SQL_TOKEN_SQLCODE",
  "SQL_TOKEN_SQLERROR", "SQL_TOKEN_SUM", "SQL_TOKEN_TABLE",
  "SQL_TOKEN_TIME", "SQL_TOKEN_TIMESTAMP", "SQL_TOKEN_TIMEZONE_HOUR",
  "SQL_TOKEN_TIMEZONE_MINUTE", "SQL_TOKEN_TO", "SQL_TOKEN_TRAILING",
  "SQL_TOKEN_TRANSLATE", "SQL_TOKEN_TRIM", "SQL_TOKEN_TRUE",
  "SQL_TOKEN_UNION", "SQL_TOKEN_UNIQUE", "SQL_TOKEN_UNKNOWN",
  "SQL_TOKEN_UPDATE", "SQL_TOKEN_UPPER", "SQL_TOKEN_USAGE",
  "SQL_TOKEN_USER", "SQL_TOKEN_USING", "SQL_TOKEN_VALUES",
  "SQL_TOKEN_VIEW", "SQL_TOKEN_WHERE", "SQL_TOKEN_WITH", "SQL_TOKEN_WORK",
  "SQL_TOKEN_ZONE", "SQL_TOKEN_CALL", "SQL_TOKEN_D", "SQL_TOKEN_FN",
  "SQL_TOKEN_T", "SQL_TOKEN_TS", "SQL_TOKEN_OJ", "SQL_TOKEN_ASCII",
  "SQL_TOKEN_BIT_LENGTH", "SQL_TOKEN_CHAR", "SQL_TOKEN_CHAR_LENGTH",
  "SQL_TOKEN_SQL_TOKEN_INTNUM", "SQL_TOKEN_CONCAT", "SQL_TOKEN_DIFFERENCE",
  "SQL_TOKEN_INSERT", "SQL_TOKEN_LCASE", "SQL_TOKEN_LEFT",
  "SQL_TOKEN_LENGTH", "SQL_TOKEN_LOCATE", "SQL_TOKEN_LOCATE_2",
  "SQL_TOKEN_LTRIM", "SQL_TOKEN_POSITION", "SQL_TOKEN_REPEAT",
  "SQL_TOKEN_REPLACE", "SQL_TOKEN_RIGHT", "SQL_TOKEN_RTRIM",
  "SQL_TOKEN_SOUNDEX", "SQL_TOKEN_SPACE", "SQL_TOKEN_SUBSTRING",
  "SQL_TOKEN_UCASE", "SQL_TOKEN_CURRENT_DATE", "SQL_TOKEN_CURRENT_TIME",
  "SQL_TOKEN_CURRENT_TIMESTAMP", "SQL_TOKEN_CURDATE", "SQL_TOKEN_CURTIME",
  "SQL_TOKEN_DAYNAME", "SQL_TOKEN_DAYOFMONTH", "SQL_TOKEN_DAYOFWEEK",
  "SQL_TOKEN_DAYOFYEAR", "SQL_TOKEN_EXTRACT", "SQL_TOKEN_HOUR",
  "SQL_TOKEN_MILLISECOND", "SQL_TOKEN_MINUTE", "SQL_TOKEN_MONTH",
  "SQL_TOKEN_MONTHNAME", "SQL_TOKEN_NOW", "SQL_TOKEN_QUARTER",
  "SQL_TOKEN_DATEDIFF", "SQL_TOKEN_SECOND", "SQL_TOKEN_TIMESTAMPADD",
  "SQL_TOKEN_TIMESTAMPDIFF", "SQL_TOKEN_TIMEVALUE", "SQL_TOKEN_WEEK",
  "SQL_TOKEN_WEEKDAY", "SQL_TOKEN_YEAR", "SQL_TOKEN_YEARDAY",
  "SQL_TOKEN_DATEADD", "SQL_TOKEN_ABS", "SQL_TOKEN_ACOS", "SQL_TOKEN_ASIN",
  "SQL_TOKEN_ATAN", "SQL_TOKEN_ATAN2", "SQL_TOKEN_CEILING",
  "SQL_TOKEN_COS", "SQL_TOKEN_COT", "SQL_TOKEN_DEGREES", "SQL_TOKEN_EXP",
  "SQL_TOKEN_FLOOR", "SQL_TOKEN_LOGF", "SQL_TOKEN_LOG", "SQL_TOKEN_LN",
  "SQL_TOKEN_LOG10", "SQL_TOKEN_MOD", "SQL_TOKEN_PI", "SQL_TOKEN_POWER",
  "SQL_TOKEN_RADIANS", "SQL_TOKEN_RAND", "SQL_TOKEN_ROUNDMAGIC",
  "SQL_TOKEN_ROUND", "SQL_TOKEN_SIGN", "SQL_TOKEN_SIN", "SQL_TOKEN_SQRT",
  "SQL_TOKEN_TAN", "SQL_TOKEN_TRUNCATE", "SQL_TOKEN_EVERY",
  "SQL_TOKEN_INTERSECTION", "SQL_TOKEN_FUSION", "SQL_TOKEN_COLLECT",
  "SQL_TOKEN_VAR_POP", "SQL_TOKEN_VAR_SAMP", "SQL_TOKEN_STDDEV_SAMP",
  "SQL_TOKEN_STDDEV_POP", "SQL_TOKEN_RANK", "SQL_TOKEN_DENSE_RANK",
  "SQL_TOKEN_PERCENT_RANK", "SQL_TOKEN_CUME_DIST",
  "SQL_TOKEN_PERCENTILE_CONT", "SQL_TOKEN_PERCENTILE_DISC",
  "SQL_TOKEN_WITHIN", "SQL_TOKEN_ARRAY_AGG", "SQL_TOKEN_CASE",
  "SQL_TOKEN_THEN", "SQL_TOKEN_END", "SQL_TOKEN_NULLIF",
  "SQL_TOKEN_COALESCE", "SQL_TOKEN_WHEN", "SQL_TOKEN_ELSE",
  "SQL_TOKEN_BEFORE", "SQL_TOKEN_AFTER", "SQL_TOKEN_INSTEAD",
  "SQL_TOKEN_EACH", "SQL_TOKEN_REFERENCING", "SQL_TOKEN_BEGIN",
  "SQL_TOKEN_ATOMIC", "SQL_TOKEN_TRIGGER", "SQL_TOKEN_ROW",
  "SQL_TOKEN_STATEMENT", "SQL_TOKEN_NEW", "SQL_TOKEN_OLD",
  "SQL_TOKEN_VALUE", "SQL_TOKEN_CURRENT_CATALOG",
  "SQL_TOKEN_CURRENT_DEFAULT_TRANSFORM_GROUP", "SQL_TOKEN_CURRENT_PATH",
  "SQL_TOKEN_CURRENT_ROLE", "SQL_TOKEN_CURRENT_SCHEMA",
  "SQL_TOKEN_CURRENT_USER", "SQL_TOKEN_SESSION_USER",
  "SQL_TOKEN_SYSTEM_USER", "SQL_TOKEN_VARCHAR", "SQL_TOKEN_VARBINARY",
  "SQL_TOKEN_VARYING", "SQL_TOKEN_OBJECT", "SQL_TOKEN_NCLOB",
  "SQL_TOKEN_NATIONAL", "SQL_TOKEN_LARGE", "SQL_TOKEN_CLOB",
  "SQL_TOKEN_BLOB", "SQL_TOKEN_BIGINT", "SQL_TOKEN_BINARY",
  "SQL_TOKEN_WITHOUT", "SQL_TOKEN_BOOLEAN", "SQL_TOKEN_INTERVAL",
  "SQL_TOKEN_OVER", "SQL_TOKEN_ROW_NUMBER", "SQL_TOKEN_NTILE",
  "SQL_TOKEN_LEAD", "SQL_TOKEN_LAG", "SQL_TOKEN_RESPECT",
  "SQL_TOKEN_IGNORE", "SQL_TOKEN_NULLS", "SQL_TOKEN_FIRST_VALUE",
  "SQL_TOKEN_LAST_VALUE", "SQL_TOKEN_NTH_VALUE", "SQL_TOKEN_FIRST",
  "SQL_TOKEN_LAST", "SQL_TOKEN_EXCLUDE", "SQL_TOKEN_OTHERS",
  "SQL_TOKEN_TIES", "SQL_TOKEN_FOLLOWING", "SQL_TOKEN_UNBOUNDED",
  "SQL_TOKEN_PRECEDING", "SQL_TOKEN_RANGE", "SQL_TOKEN_ROWS",
  "SQL_TOKEN_PARTITION", "SQL_TOKEN_WINDOW", "SQL_TOKEN_NO",
  "SQL_TOKEN_LIMIT", "SQL_TOKEN_OFFSET", "SQL_TOKEN_NEXT",
  "SQL_TOKEN_ONLY", "SQL_TOKEN_OR", "SQL_TOKEN_AND", "SQL_LESSEQ",
  "SQL_GREATEQ", "SQL_NOTEQUAL", "SQL_LESS", "SQL_GREAT", "SQL_EQUAL",
  "'+'", "'-'", "SQL_CONCAT", "'*'", "'/'", "'='",
  "SQL_TOKEN_INVALIDSYMBOL", "$accept", "sql_single_statement", "sql",
  "schema_element", "base_table_def", "base_table_element_commalist",
  "base_table_element", "column_def", "column_def_opt_list", "nil_fkt",
  "unique_spec", "column_def_opt", "table_constraint_def",
  "op_column_commalist", "column_commalist", "view_def",
  "opt_with_check_option", "opt_column_commalist", "privilege_def",
  "opt_with_grant_option", "privileges", "operation_commalist",
  "operation", "grantee_commalist", "grantee", "opt_order_by_clause",
  "ordering_spec_commalist", "ordering_spec", "opt_asc_desc", "sql_not",
  "manipulative_statement", "union_statement", "commit_statement",
  "delete_statement_searched", "fetch_statement", "insert_statement",
  "values_or_query_spec", "table_value_const_list",
  "row_value_constructor", "row_value_constructor_elem",
  "rollback_statement", "select_statement_into", "opt_all_distinct",
  "assignment_commalist", "assignment", "update_source",
  "update_statement_searched", "target_commalist", "target",
  "opt_where_clause", "query_term", "select_statement", "selection",
  "opt_result_offset_clause", "result_offset_clause",
  "opt_fetch_first_row_count", "first_or_next", "row_or_rows",
  "opt_fetch_first_clause", "fetch_first_clause", "offset_row_count",
  "fetch_first_row_count", "opt_limit_offset_clause", "opt_offset",
  "limit_offset_clause", "table_exp", "from_clause", "table_ref_commalist",
  "opt_as", "opt_row", "table_primary_as_range_column", "table_ref",
  "where_clause", "opt_group_by_clause", "column_ref_commalist",
  "opt_having_clause", "boolean_primary",
  "parenthesized_boolean_value_expression", "boolean_factor",
  "boolean_term", "search_condition", "predicate",
  "comparison_predicate_part_2", "comparison_predicate", "comparison",
  "between_predicate_part_2", "between_predicate",
  "character_like_predicate_part_2", "other_like_predicate_part_2",
  "like_predicate", "opt_escape", "null_predicate_part_2", "test_for_null",
  "in_predicate_value", "in_predicate_part_2", "in_predicate",
  "quantified_comparison_predicate_part_2", "all_or_any_predicate",
  "any_all_some", "existence_test", "unique_test", "subquery",
  "scalar_exp_commalist", "select_sublist", "parameter_ref", "literal",
  "as_clause", "position_exp", "num_value_fct", "char_length_exp",
  "octet_length_exp", "bit_length_exp", "length_exp", "datetime_field",
  "extract_field", "time_zone_field", "extract_exp", "unsigned_value_spec",
  "general_value_spec", "set_fct_spec", "function_name0", "function_name1",
  "function_name2", "function_name12", "function_name23", "function_name3",
  "function_name", "string_function_1Argument",
  "string_function_2Argument", "string_function_3Argument",
  "string_function_4Argument", "string_function",
  "date_function_0Argument", "date_function_1Argument", "date_function",
  "numeric_function_0Argument", "numeric_function_1Argument",
  "numeric_function_2Argument", "numeric_function", "window_function",
  "window_function_type", "ntile_function",
  "dynamic_parameter_specification", "simple_value_specification",
  "number_of_tiles", "opt_lead_or_lag_function", "opt_null_treatment",
  "lead_or_lag_function", "lead_or_lag", "lead_or_lag_extent", "offset",
  "default_expression", "null_treatment", "first_or_last_value_function",
  "first_or_last_value", "opt_from_first_or_last", "nth_value_function",
  "nth_row", "from_first_or_last", "window_name",
  "window_name_or_specification", "in_line_window_specification",
  "opt_window_clause", "window_clause", "window_definition_list",
  "window_definition", "new_window_name", "window_specification",
  "opt_existing_window_name", "opt_window_partition_clause",
  "opt_window_frame_clause", "existing_window_name",
  "window_partition_clause", "window_partition_column_reference_list",
  "window_partition_column_reference", "opt_window_frame_exclusion",
  "window_frame_clause", "window_frame_units", "window_frame_extent",
  "window_frame_start", "window_frame_preceding", "window_frame_between",
  "window_frame_bound_1", "window_frame_bound_2", "window_frame_bound",
  "window_frame_following", "window_frame_exclusion", "op_parameter",
  "odbc_call_spec", "op_odbc_call_parameter", "odbc_parameter_commalist",
  "odbc_parameter", "odbc_fct_spec", "odbc_fct_type", "general_set_fct",
  "set_fct_type", "ordered_set_function", "hypothetical_set_function",
  "within_group_specification",
  "hypothetical_set_function_value_expression_list",
  "inverse_distribution_function",
  "inverse_distribution_function_argument",
  "inverse_distribution_function_type", "array_aggregate_function",
  "rank_function_type", "outer_join_type", "join_condition", "join_spec",
  "join_type", "cross_union", "qualified_join", "joined_table",
  "named_columns_join", "simple_table", "non_join_query_primary",
  "non_join_query_term", "query_primary", "non_join_query_exp", "all",
  "query_exp", "scalar_subquery", "cast_operand", "cast_target",
  "cast_spec", "value_exp_primary", "num_primary", "factor", "term",
  "num_value_exp", "datetime_primary", "datetime_value_fct", "time_zone",
  "time_zone_specifier", "datetime_factor", "datetime_term",
  "datetime_value_exp", "non_second_datetime_field", "datetime_unit",
  "start_field", "end_field", "single_datetime_field",
  "interval_qualifier", "function_arg_commalist2",
  "function_arg_commalist3", "function_arg_commalist4",
  "value_exp_commalist", "function_arg", "function_args_commalist",
  "value_exp", "string_value_exp", "char_value_exp", "concatenation",
  "char_primary", "collate_clause", "char_factor", "string_value_fct",
  "bit_value_fct", "bit_substring_fct", "bit_value_exp", "bit_factor",
  "bit_primary", "char_value_fct", "for_length", "char_substring_fct",
  "form_conversion", "char_translation", "trim_fct", "trim_operands",
  "trim_spec", "derived_column", "table_node", "catalog_name",
  "schema_name", "table_name", "column_ref", "column_val", "data_type",
  "opt_char_set_spec", "opt_collate_clause", "predefined_type",
  "character_string_type", "opt_paren_precision", "paren_char_length",
  "opt_paren_char_large_length", "paren_character_large_object_length",
  "large_object_length", "opt_multiplier", "character_large_object_type",
  "national_character_string_type", "national_character_large_object_type",
  "binary_string_type", "binary_large_object_string_type", "numeric_type",
  "opt_paren_precision_scale", "exact_numeric_type",
  "approximate_numeric_type", "boolean_type", "datetime_type",
  "opt_with_or_without_time_zone", "interval_type", "column",
  "case_expression", "case_abbreviation", "case_specification",
  "simple_case", "searched_case", "simple_when_clause_list",
  "simple_when_clause", "when_operand_list", "when_operand",
  "searched_when_clause_list", "searched_when_clause", "else_clause",
  "result", "result_expression", "case_operand", "cursor", "parameter",
  "range_variable", "user", "trigger_definition", "op_referencing",
  "trigger_action_time", "trigger_event", "op_trigger_columnlist",
  "trigger_column_list", "triggered_action", "op_triggered_action_for",
  "trigger_for", "triggered_when_clause", "triggered_SQL_statement",
  "SQL_procedure_statement_list", "SQL_procedure_statement",
  "transition_table_or_variable_list", "transition_table_or_variable",
  "old_transition_table_name", "new_transition_table_name",
  "transition_table_name", "old_transition_variable_name",
  "new_transition_variable_name", "trigger_name", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

/** Left-hand-side symbol for rule #YYRULE.  */
static inline yysymbol_kind_t
yylhsNonterm (yyRuleNum yyrule)
{
  return YY_CAST (yysymbol_kind_t, yyr1[yyrule]);
}

#if YYDEBUG

# ifndef YYFPRINTF
#  define YYFPRINTF fprintf
# endif

# define YY_FPRINTF                             \
  YY_IGNORE_USELESS_CAST_BEGIN YY_FPRINTF_

# define YY_FPRINTF_(Args)                      \
  do {                                          \
    YYFPRINTF Args;                             \
    YY_IGNORE_USELESS_CAST_END                  \
  } while (0)

# define YY_DPRINTF                             \
  YY_IGNORE_USELESS_CAST_BEGIN YY_DPRINTF_

# define YY_DPRINTF_(Args)                      \
  do {                                          \
    if (yydebug)                                \
      YYFPRINTF Args;                           \
    YY_IGNORE_USELESS_CAST_END                  \
  } while (0)





/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                  \
  do {                                                                  \
    if (yydebug)                                                        \
      {                                                                 \
        YY_FPRINTF ((stderr, "%s ", Title));                            \
        yy_symbol_print (stderr, Kind, Value);        \
        YY_FPRINTF ((stderr, "\n"));                                    \
      }                                                                 \
  } while (0)

static inline void
yy_reduce_print (yybool yynormal, yyGLRStackItem* yyvsp, YYPTRDIFF_T yyk,
                 yyRuleNum yyrule);

# define YY_REDUCE_PRINT(Args)          \
  do {                                  \
    if (yydebug)                        \
      yy_reduce_print Args;             \
  } while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;

static void yypstack (yyGLRStack* yystackp, YYPTRDIFF_T yyk)
  YY_ATTRIBUTE_UNUSED;
static void yypdumpstack (yyGLRStack* yystackp)
  YY_ATTRIBUTE_UNUSED;

#else /* !YYDEBUG */

# define YY_DPRINTF(Args) do {} while (yyfalse)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_REDUCE_PRINT(Args)

#endif /* !YYDEBUG */



/** Fill in YYVSP[YYLOW1 .. YYLOW0-1] from the chain of states starting
 *  at YYVSP[YYLOW0].yystate.yypred.  Leaves YYVSP[YYLOW1].yystate.yypred
 *  containing the pointer to the next state in the chain.  */
static void yyfillin (yyGLRStackItem *, int, int) YY_ATTRIBUTE_UNUSED;
static void
yyfillin (yyGLRStackItem *yyvsp, int yylow0, int yylow1)
{
  int i;
  yyGLRState *s = yyvsp[yylow0].yystate.yypred;
  for (i = yylow0-1; i >= yylow1; i -= 1)
    {
#if YYDEBUG
      yyvsp[i].yystate.yylrState = s->yylrState;
#endif
      yyvsp[i].yystate.yyresolved = s->yyresolved;
      if (s->yyresolved)
        yyvsp[i].yystate.yysemantics.yyval = s->yysemantics.yyval;
      else
        /* The effect of using yyval or yyloc (in an immediate rule) is
         * undefined.  */
        yyvsp[i].yystate.yysemantics.yyfirstVal = YY_NULLPTR;
      s = yyvsp[i].yystate.yypred = s->yypred;
    }
}


/** If yychar is empty, fetch the next token.  */
static inline yysymbol_kind_t
yygetToken (int *yycharp)
{
  yysymbol_kind_t yytoken;
  if (*yycharp == YYEMPTY)
    {
      YY_DPRINTF ((stderr, "Reading a token\n"));
      *yycharp = yylex ();
    }
  if (*yycharp <= YYEOF)
    {
      *yycharp = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YY_DPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (*yycharp);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }
  return yytoken;
}

/* Do nothing if YYNORMAL or if *YYLOW <= YYLOW1.  Otherwise, fill in
 * YYVSP[YYLOW1 .. *YYLOW-1] as in yyfillin and set *YYLOW = YYLOW1.
 * For convenience, always return YYLOW1.  */
static inline int yyfill (yyGLRStackItem *, int *, int, yybool)
     YY_ATTRIBUTE_UNUSED;
static inline int
yyfill (yyGLRStackItem *yyvsp, int *yylow, int yylow1, yybool yynormal)
{
  if (!yynormal && yylow1 < *yylow)
    {
      yyfillin (yyvsp, *yylow, yylow1);
      *yylow = yylow1;
    }
  return yylow1;
}

/** Perform user action for rule number YYN, with RHS length YYRHSLEN,
 *  and top stack item YYVSP.  YYLVALP points to place to put semantic
 *  value ($$), and yylocp points to place for location information
 *  (@$).  Returns yyok for normal return, yyaccept for YYACCEPT,
 *  yyerr for YYERROR, yyabort for YYABORT, yynomem for YYNOMEM.  */
static YYRESULTTAG
yyuserAction (yyRuleNum yyrule, int yyrhslen, yyGLRStackItem* yyvsp,
              yyGLRStack* yystackp, YYPTRDIFF_T yyk,
              YYSTYPE* yyvalp)
{
  const yybool yynormal YY_ATTRIBUTE_UNUSED = yystackp->yysplitPoint == YY_NULLPTR;
  int yylow = 1;
  YY_USE (yyvalp);
  YY_USE (yyk);
  YY_USE (yyrhslen);
# undef yyerrok
# define yyerrok (yystackp->yyerrState = 0)
# undef YYACCEPT
# define YYACCEPT return yyaccept
# undef YYABORT
# define YYABORT return yyabort
# undef YYNOMEM
# define YYNOMEM return yynomem
# undef YYERROR
# define YYERROR return yyerrok, yyerr
# undef YYRECOVERING
# define YYRECOVERING() (yystackp->yyerrState != 0)
# undef yyclearin
# define yyclearin (yychar = YYEMPTY)
# undef YYFILL
# define YYFILL(N) yyfill (yyvsp, &yylow, (N), yynormal)
# undef YYBACKUP
# define YYBACKUP(Token, Value)                                              \
  return yyerror (YY_("syntax error: cannot back up")),     \
         yyerrok, yyerr

  if (yyrhslen == 0)
    *yyvalp = yyval_default;
  else
    *yyvalp = yyvsp[YYFILL (1-yyrhslen)].yystate.yysemantics.yyval;
  /* If yyk == -1, we are running a deferred action on a temporary
     stack.  In that case, YY_REDUCE_PRINT must not play with YYFILL,
     so pretend the stack is "normal". */
  YY_REDUCE_PRINT ((yynormal || yyk == -1, yyvsp, yyk, yyrule));
  switch (yyrule)
    {
  case 2: /* sql_single_statement: sql  */
                { xxx_pGLOBAL_SQLPARSER->setParseTree( (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode) ); }
    break;

  case 3: /* sql_single_statement: sql ';'  */
                { xxx_pGLOBAL_SQLPARSER->setParseTree( (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode) ); }
    break;

  case 5: /* sql: schema_element  */
           {
                ((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	   }
    break;

  case 10: /* base_table_def: SQL_TOKEN_CREATE SQL_TOKEN_TABLE table_node '(' base_table_element_commalist ')'  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}
    break;

  case 11: /* base_table_element_commalist: base_table_element  */
                {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 12: /* base_table_element_commalist: base_table_element_commalist ',' base_table_element  */
                {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 15: /* column_def: column data_type column_def_opt_list  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			}
    break;

  case 16: /* column_def_opt_list: %empty  */
                                            {((*yyvalp).pParseNode) = SQL_NEW_LISTRULE;}
    break;

  case 17: /* column_def_opt_list: column_def_opt_list column_def_opt  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 20: /* unique_spec: SQL_TOKEN_PRIMARY SQL_TOKEN_KEY  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 21: /* column_def_opt: SQL_TOKEN_NOT SQL_TOKEN_NULL  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 23: /* column_def_opt: SQL_TOKEN_DEFAULT literal  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 24: /* column_def_opt: SQL_TOKEN_DEFAULT SQL_TOKEN_NULL  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 25: /* column_def_opt: SQL_TOKEN_DEFAULT SQL_TOKEN_USER  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 26: /* column_def_opt: SQL_TOKEN_DEFAULT nil_fkt  */
                        {
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			}
    break;

  case 28: /* column_def_opt: SQL_TOKEN_CHECK '(' search_condition ')'  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}
    break;

  case 29: /* column_def_opt: SQL_TOKEN_REFERENCES table_node  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 30: /* column_def_opt: SQL_TOKEN_REFERENCES table_node '(' column_commalist ')'  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}
    break;

  case 31: /* table_constraint_def: unique_spec '(' column_commalist ')'  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}
    break;

  case 32: /* table_constraint_def: SQL_TOKEN_FOREIGN SQL_TOKEN_KEY '(' column_commalist ')' SQL_TOKEN_REFERENCES table_node  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 33: /* table_constraint_def: SQL_TOKEN_FOREIGN SQL_TOKEN_KEY '(' column_commalist ')' SQL_TOKEN_REFERENCES table_node '(' column_commalist ')'  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-9)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-8)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}
    break;

  case 34: /* table_constraint_def: SQL_TOKEN_CHECK '(' search_condition ')'  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}
    break;

  case 35: /* op_column_commalist: %empty  */
                    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 36: /* op_column_commalist: '(' column_commalist ')'  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 37: /* column_commalist: column_commalist ',' column  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 38: /* column_commalist: column  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 39: /* view_def: SQL_TOKEN_CREATE SQL_TOKEN_VIEW table_node opt_column_commalist SQL_TOKEN_AS select_statement opt_with_check_option  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 40: /* opt_with_check_option: %empty  */
                                    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 41: /* opt_with_check_option: SQL_TOKEN_WITH SQL_TOKEN_CHECK SQL_TOKEN_OPTION  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 42: /* opt_column_commalist: %empty  */
                                    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 43: /* opt_column_commalist: '(' column_commalist ')'  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}
    break;

  case 44: /* privilege_def: SQL_TOKEN_GRANT privileges SQL_TOKEN_ON table_node SQL_TOKEN_TO grantee_commalist opt_with_grant_option  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 45: /* opt_with_grant_option: %empty  */
                                    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 46: /* opt_with_grant_option: SQL_TOKEN_WITH SQL_TOKEN_GRANT SQL_TOKEN_OPTION  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 47: /* privileges: SQL_TOKEN_ALL SQL_TOKEN_PRIVILEGES  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 49: /* operation_commalist: operation  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 50: /* operation_commalist: operation_commalist ',' operation  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 52: /* operation: SQL_TOKEN_INSERT opt_column_commalist  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 54: /* operation: SQL_TOKEN_UPDATE opt_column_commalist  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 55: /* operation: SQL_TOKEN_REFERENCES opt_column_commalist  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 57: /* grantee_commalist: grantee  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 58: /* grantee_commalist: grantee_commalist ',' grantee  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 61: /* opt_order_by_clause: %empty  */
                                    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 62: /* opt_order_by_clause: SQL_TOKEN_ORDER SQL_TOKEN_BY ordering_spec_commalist  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 63: /* ordering_spec_commalist: ordering_spec  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 64: /* ordering_spec_commalist: ordering_spec_commalist ',' ordering_spec  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 65: /* ordering_spec: predicate opt_asc_desc  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 66: /* ordering_spec: row_value_constructor_elem opt_asc_desc  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 67: /* opt_asc_desc: %empty  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 70: /* sql_not: %empty  */
        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 80: /* manipulative_statement: '{' odbc_call_spec '}'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("{", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("}", SQLNodeType::Punctuation));
		}
    break;

  case 82: /* union_statement: union_statement SQL_TOKEN_UNION all select_statement  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 83: /* commit_statement: SQL_TOKEN_COMMIT SQL_TOKEN_WORK  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 84: /* delete_statement_searched: SQL_TOKEN_DELETE SQL_TOKEN_FROM table_node opt_where_clause  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 85: /* fetch_statement: SQL_TOKEN_FETCH cursor SQL_TOKEN_INTO target_commalist  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 86: /* insert_statement: SQL_TOKEN_INSERT SQL_TOKEN_INTO table_node opt_column_commalist query_exp  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 87: /* values_or_query_spec: SQL_TOKEN_VALUES '(' table_value_const_list ')'  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 88: /* table_value_const_list: row_value_constructor  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 89: /* table_value_const_list: table_value_const_list ',' row_value_constructor  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 93: /* rollback_statement: SQL_TOKEN_ROLLBACK SQL_TOKEN_WORK  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 94: /* select_statement_into: SQL_TOKEN_SELECT opt_all_distinct selection SQL_TOKEN_INTO target_commalist table_exp  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode)); }
    break;

  case 95: /* opt_all_distinct: %empty  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 98: /* assignment_commalist: assignment  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 99: /* assignment_commalist: assignment_commalist ',' assignment  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 100: /* assignment: column SQL_EQUAL update_source  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 103: /* update_statement_searched: SQL_TOKEN_UPDATE table_node SQL_TOKEN_SET assignment_commalist opt_where_clause  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 104: /* target_commalist: target  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 105: /* target_commalist: target_commalist ',' target  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 107: /* opt_where_clause: %empty  */
                                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 109: /* query_term: non_join_query_term  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 110: /* select_statement: SQL_TOKEN_SELECT opt_all_distinct selection table_exp  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 111: /* selection: '*'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("*", SQLNodeType::Punctuation));
		}
    break;

  case 113: /* opt_result_offset_clause: %empty  */
                            {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 115: /* result_offset_clause: SQL_TOKEN_OFFSET offset_row_count row_or_rows  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 116: /* opt_fetch_first_row_count: %empty  */
                            {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 122: /* opt_fetch_first_clause: %empty  */
                            {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 124: /* fetch_first_clause: SQL_TOKEN_FETCH first_or_next opt_fetch_first_row_count row_or_rows SQL_TOKEN_ONLY  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 127: /* opt_limit_offset_clause: %empty  */
                            {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 129: /* opt_offset: %empty  */
                            {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 130: /* opt_offset: SQL_TOKEN_OFFSET SQL_TOKEN_INTNUM  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 131: /* limit_offset_clause: SQL_TOKEN_LIMIT SQL_TOKEN_INTNUM opt_offset  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 132: /* table_exp: from_clause opt_where_clause opt_group_by_clause opt_having_clause opt_window_clause opt_order_by_clause opt_limit_offset_clause opt_result_offset_clause opt_fetch_first_clause  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-8)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-7)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 133: /* from_clause: SQL_TOKEN_FROM table_ref_commalist  */
                        { ((*yyvalp).pParseNode) = SQL_NEW_RULE;
			  ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			  ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode)); }
    break;

  case 134: /* table_ref_commalist: table_ref  */
                        { ((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			  ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode)); }
    break;

  case 135: /* table_ref_commalist: table_ref_commalist ',' table_ref  */
                        { (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			  ((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode); }
    break;

  case 136: /* opt_as: %empty  */
                            {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 138: /* opt_row: %empty  */
                            {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 140: /* table_primary_as_range_column: %empty  */
        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 141: /* table_primary_as_range_column: opt_as SQL_TOKEN_NAME op_column_commalist  */
                {
		    ((*yyvalp).pParseNode) = SQL_NEW_RULE;
		    ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		    ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		    ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 142: /* table_ref: table_node table_primary_as_range_column  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 143: /* table_ref: subquery range_variable op_column_commalist  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 145: /* table_ref: '{' SQL_TOKEN_OJ joined_table '}'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("{", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("}", SQLNodeType::Punctuation));
		}
    break;

  case 146: /* table_ref: '(' joined_table ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 147: /* where_clause: SQL_TOKEN_WHERE search_condition  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 148: /* opt_group_by_clause: %empty  */
                                 {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 149: /* opt_group_by_clause: SQL_TOKEN_GROUP SQL_TOKEN_BY column_ref_commalist  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 150: /* column_ref_commalist: column_ref  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 151: /* column_ref_commalist: set_fct_spec  */
                {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 152: /* column_ref_commalist: column_ref_commalist ',' column_ref  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 153: /* column_ref_commalist: column_ref_commalist ',' set_fct_spec  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 154: /* opt_having_clause: %empty  */
                                            {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 155: /* opt_having_clause: SQL_TOKEN_HAVING search_condition  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 157: /* boolean_primary: '(' search_condition ')'  */
                { // boolean_primary: rule 2
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 158: /* boolean_primary: row_value_constructor_elem  */
                {
                    if(xxx_pGLOBAL_SQLPARSER->inPredicateCheck())// boolean_primary: rule 3
                    {
                        ((*yyvalp).pParseNode) = SQL_NEW_RULE;
                        sal_Int16 nErg = 0;
                        if ( SQL_ISTOKEN( (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode), NULL))
                        {
                            OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
                            pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));
                            OSQLParseNode* pTFN = new OSQLInternalNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::test_for_null));
                            pTFN->append(pColumnRef);

                            OSQLParseNode* pNPP2 = new OSQLInternalNode("", SQLNodeType::Rule, OSQLParser::RuleID(OSQLParseNode::null_predicate_part_2));
                            pNPP2->append(new OSQLInternalNode("", SQLNodeType::Keyword, SQL_TOKEN_IS));
                            pNPP2->append(new OSQLInternalNode("", SQLNodeType::Rule, OSQLParser::RuleID(OSQLParseNode::sql_not)));
                            pNPP2->append(new OSQLInternalNode("", SQLNodeType::Keyword, SQL_TOKEN_NULL));
                            pTFN->append(pNPP2);

                            ((*yyvalp).pParseNode)->append(pTFN);

                            nErg = 1;
                        }
                        else
                        {
                            nErg = xxx_pGLOBAL_SQLPARSER->buildComparisonRule(((*yyvalp).pParseNode),(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
                        }
                        if(nErg == 1)
                        {
                            OSQLParseNode* pTemp = ((*yyvalp).pParseNode);
                            ((*yyvalp).pParseNode) = pTemp->removeAt((sal_uInt32)0);
                            delete pTemp;
                        }
                        else
                        {
                            delete ((*yyvalp).pParseNode);
                            if(nErg)
                                YYERROR;
                            else
                                YYABORT;
                        }
                    }
                    else
                        YYERROR;
                }
    break;

  case 159: /* parenthesized_boolean_value_expression: '(' search_condition ')'  */
        { // boolean_primary: rule 2
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}
    break;

  case 161: /* boolean_factor: SQL_TOKEN_NOT boolean_primary  */
                { // boolean_factor: rule 1
		    ((*yyvalp).pParseNode) = SQL_NEW_RULE;
		    ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		    ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 163: /* boolean_term: boolean_term SQL_TOKEN_AND boolean_factor  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // boolean_term: rule 1
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 165: /* search_condition: search_condition SQL_TOKEN_OR boolean_term  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // search_condition
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 174: /* comparison_predicate_part_2: comparison row_value_constructor  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // comparison_predicate: rule 1
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 175: /* comparison_predicate: row_value_constructor comparison row_value_constructor  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // comparison_predicate: rule 1
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 176: /* comparison_predicate: comparison row_value_constructor  */
                {
			if(xxx_pGLOBAL_SQLPARSER->inPredicateCheck()) // comparison_predicate: rule 2
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				sal_Int16 nErg = xxx_pGLOBAL_SQLPARSER->buildPredicateRule(((*yyvalp).pParseNode),(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode),(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
				if(nErg == 1)
				{
					OSQLParseNode* pTemp = ((*yyvalp).pParseNode);
					((*yyvalp).pParseNode) = pTemp->removeAt((sal_uInt32)0);
					delete pTemp;
				}
				else
				{
					delete ((*yyvalp).pParseNode);
					YYABORT;
				}
			}
			else
			{
				YYERROR;
			}
		}
    break;

  case 183: /* comparison: SQL_TOKEN_IS sql_not SQL_TOKEN_DISTINCT SQL_TOKEN_FROM  */
                {
		  ((*yyvalp).pParseNode) = SQL_NEW_RULE;
		  ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
		  ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		  ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		  ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 184: /* comparison: SQL_TOKEN_IS sql_not  */
                {
		  ((*yyvalp).pParseNode) = SQL_NEW_RULE;
		  ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		  ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 185: /* between_predicate_part_2: sql_not SQL_TOKEN_BETWEEN row_value_constructor SQL_TOKEN_AND row_value_constructor  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck()) // between_predicate: rule 2
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;

				sal_Int16 nErg = xxx_pGLOBAL_SQLPARSER->buildPredicateRule(((*yyvalp).pParseNode),(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode),(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode),(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
				if(nErg == 1)
				{
					OSQLParseNode* pTemp = ((*yyvalp).pParseNode);
					((*yyvalp).pParseNode) = pTemp->removeAt((sal_uInt32)0);
					OSQLParseNode* pColumnRef = ((*yyvalp).pParseNode)->removeAt((sal_uInt32)0);
					((*yyvalp).pParseNode)->insert(0,(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
					OSQLParseNode* pBetween_predicate = new OSQLInternalNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::between_predicate));
					pBetween_predicate->append(pColumnRef);
					pBetween_predicate->append(((*yyvalp).pParseNode));
					((*yyvalp).pParseNode) = pBetween_predicate;

					delete pTemp;
					delete (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode);
				}
				else
				{
					delete ((*yyvalp).pParseNode);
					YYABORT;
				}
			}
			else
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE; // between_predicate: rule 1
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			}
		}
    break;

  case 186: /* between_predicate: row_value_constructor between_predicate_part_2  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // between_predicate: rule 1
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 188: /* character_like_predicate_part_2: sql_not SQL_TOKEN_LIKE string_value_exp opt_escape  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // like_predicate: rule 1
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 189: /* other_like_predicate_part_2: sql_not SQL_TOKEN_LIKE value_exp_primary opt_escape  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // like_predicate: rule 1
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 190: /* like_predicate: row_value_constructor character_like_predicate_part_2  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // like_predicate: rule 1
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 191: /* like_predicate: row_value_constructor other_like_predicate_part_2  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;  // like_predicate: rule 3
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 192: /* like_predicate: character_like_predicate_part_2  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())  // like_predicate: rule 5
			{
				OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
				pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));

				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append(pColumnRef);
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
				OSQLParseNode* p2nd = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode)->removeAt(2);
				OSQLParseNode* p3rd = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode)->removeAt(2);
				if ( !xxx_pGLOBAL_SQLPARSER->buildLikeRule((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode),p2nd,p3rd) )
				{
					delete ((*yyvalp).pParseNode);
					YYABORT;
				}
				(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode)->append(p3rd);
			}
			else
				YYERROR;
		}
    break;

  case 193: /* like_predicate: other_like_predicate_part_2  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck()) // like_predicate: rule 6
			{
				OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
				pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));

				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append(pColumnRef);
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
				OSQLParseNode* p2nd = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode)->removeAt(2);
				OSQLParseNode* p3rd = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode)->removeAt(2);
				if ( !xxx_pGLOBAL_SQLPARSER->buildLikeRule((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode),p2nd,p3rd) )
				{
					delete ((*yyvalp).pParseNode);
					YYABORT;
				}
				(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode)->append(p3rd);
			}
			else
				YYERROR;
		}
    break;

  case 194: /* opt_escape: %empty  */
                                            {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 195: /* opt_escape: SQL_TOKEN_ESCAPE string_value_exp  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 196: /* opt_escape: '{' SQL_TOKEN_ESCAPE SQL_TOKEN_STRING '}'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("{", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("}", SQLNodeType::Punctuation));
		}
    break;

  case 197: /* null_predicate_part_2: SQL_TOKEN_IS sql_not SQL_TOKEN_NULL  */
          {
		((*yyvalp).pParseNode) = SQL_NEW_RULE; // test_for_null: rule 1
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	  }
    break;

  case 198: /* null_predicate_part_2: SQL_TOKEN_IS sql_not SQL_TOKEN_UNKNOWN  */
          {
		((*yyvalp).pParseNode) = SQL_NEW_RULE; // test_for_null: rule 1
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	  }
    break;

  case 199: /* test_for_null: row_value_constructor null_predicate_part_2  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // test_for_null: rule 1
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 200: /* test_for_null: null_predicate_part_2  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())// test_for_null: rule 2
			{
				OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
				pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));

				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append(pColumnRef);
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			}
			else
				YYERROR;
		}
    break;

  case 201: /* in_predicate_value: subquery  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 202: /* in_predicate_value: '(' value_exp_commalist ')'  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 203: /* in_predicate_part_2: sql_not SQL_TOKEN_IN in_predicate_value  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;// in_predicate: rule 1
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 204: /* in_predicate: row_value_constructor in_predicate_part_2  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;// in_predicate: rule 1
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 205: /* in_predicate: in_predicate_part_2  */
                {
			if ( xxx_pGLOBAL_SQLPARSER->inPredicateCheck() )// in_predicate: rule 2
			{
				OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
				pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));

				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append(pColumnRef);
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			}
			else
				YYERROR;
		}
    break;

  case 206: /* quantified_comparison_predicate_part_2: comparison any_all_some subquery  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 207: /* all_or_any_predicate: row_value_constructor quantified_comparison_predicate_part_2  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 208: /* all_or_any_predicate: quantified_comparison_predicate_part_2  */
                {
			if(xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
				pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));

				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append(pColumnRef);
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			}
			else
				YYERROR;
		}
    break;

  case 212: /* existence_test: SQL_TOKEN_EXISTS subquery  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 213: /* unique_test: SQL_TOKEN_UNIQUE subquery  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 214: /* subquery: '(' query_exp ')'  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}
    break;

  case 215: /* scalar_exp_commalist: select_sublist  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 216: /* scalar_exp_commalist: scalar_exp_commalist ',' select_sublist  */
                {
			(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);
		}
    break;

  case 224: /* literal: literal SQL_TOKEN_STRING  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
				OSQLParser::reduceLiteral(((*yyvalp).pParseNode), true);
			}
			else
				YYERROR;
		}
    break;

  case 225: /* literal: literal SQL_TOKEN_INT  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
				OSQLParser::reduceLiteral(((*yyvalp).pParseNode), true);
			}
			else
				YYERROR;
		}
    break;

  case 226: /* literal: literal SQL_TOKEN_REAL_NUM  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
				OSQLParser::reduceLiteral(((*yyvalp).pParseNode), true);
			}
			else
				YYERROR;
		}
    break;

  case 227: /* literal: literal SQL_TOKEN_APPROXNUM  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
				OSQLParser::reduceLiteral(((*yyvalp).pParseNode), true);
			}
			else
				YYERROR;
		}
    break;

  case 228: /* as_clause: %empty  */
                            {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 229: /* as_clause: SQL_TOKEN_AS column  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 231: /* position_exp: SQL_TOKEN_POSITION '(' value_exp SQL_TOKEN_IN value_exp ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 232: /* position_exp: SQL_TOKEN_POSITION '(' value_exp_commalist ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 236: /* char_length_exp: SQL_TOKEN_CHAR_LENGTH '(' value_exp ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 237: /* char_length_exp: SQL_TOKEN_SQL_TOKEN_INTNUM '(' value_exp ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 238: /* octet_length_exp: SQL_TOKEN_OCTET_LENGTH '(' value_exp ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 239: /* bit_length_exp: SQL_TOKEN_BIT_LENGTH '(' value_exp ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 240: /* length_exp: char_length_exp  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 241: /* length_exp: octet_length_exp  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 242: /* length_exp: bit_length_exp  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 243: /* datetime_field: non_second_datetime_field  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 244: /* datetime_field: SQL_TOKEN_SECOND  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 248: /* time_zone_field: SQL_TOKEN_TIMEZONE_HOUR  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 249: /* time_zone_field: SQL_TOKEN_TIMEZONE_MINUTE  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 250: /* extract_exp: SQL_TOKEN_EXTRACT '(' extract_field SQL_TOKEN_FROM value_exp ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 268: /* set_fct_spec: '{' odbc_fct_spec '}'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("{", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("}", SQLNodeType::Punctuation));
		}
    break;

  case 269: /* set_fct_spec: function_name '(' ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 270: /* set_fct_spec: function_name0 '(' ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 271: /* set_fct_spec: function_name1 '(' function_arg ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 272: /* set_fct_spec: function_name2 '(' function_arg_commalist2 ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 273: /* set_fct_spec: function_name3 '(' function_arg_commalist3 ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 274: /* set_fct_spec: string_function_4Argument '(' function_arg_commalist4 ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 275: /* set_fct_spec: function_name '(' function_args_commalist ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 276: /* set_fct_spec: function_name12 '(' function_args_commalist ')'  */
                {
			if ( (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode)->count() == 1 || (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode)->count() == 2 )
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			}
			else
				YYERROR;
		}
    break;

  case 277: /* set_fct_spec: function_name23 '(' function_args_commalist ')'  */
                {
			if ( (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode)->count() == 2 || (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode)->count() == 3)
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
				((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			}
			else
				YYERROR;
		}
    break;

  case 359: /* window_function: window_function_type SQL_TOKEN_OVER window_name_or_specification  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 360: /* window_function_type: rank_function_type '(' ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 361: /* window_function_type: SQL_TOKEN_ROW_NUMBER '(' ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 367: /* ntile_function: SQL_TOKEN_NTILE '(' number_of_tiles ')'  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}
    break;

  case 372: /* opt_lead_or_lag_function: %empty  */
                         {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 373: /* opt_lead_or_lag_function: ',' offset  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 374: /* opt_lead_or_lag_function: ',' offset ',' default_expression  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 375: /* opt_null_treatment: %empty  */
                                 {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 377: /* lead_or_lag_function: lead_or_lag '(' lead_or_lag_extent opt_lead_or_lag_function ')' opt_null_treatment  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 385: /* first_or_last_value_function: first_or_last_value '(' value_exp ')' opt_null_treatment  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 388: /* opt_from_first_or_last: %empty  */
                                 {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 390: /* nth_value_function: SQL_TOKEN_NTH_VALUE '(' value_exp ',' nth_row ')' opt_from_first_or_last opt_null_treatment  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-7)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 393: /* from_first_or_last: SQL_TOKEN_FROM SQL_TOKEN_FIRST  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 394: /* from_first_or_last: SQL_TOKEN_FROM SQL_TOKEN_LAST  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 399: /* opt_window_clause: %empty  */
                                 {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 401: /* window_clause: SQL_TOKEN_WINDOW window_definition_list  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 402: /* window_definition_list: window_definition_list ',' window_definition  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 403: /* window_definition_list: window_definition  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 404: /* window_definition: new_window_name SQL_TOKEN_AS window_specification  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 406: /* window_specification: '(' opt_existing_window_name opt_window_partition_clause opt_order_by_clause opt_window_frame_clause ')'  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}
    break;

  case 407: /* opt_existing_window_name: %empty  */
                                 {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 409: /* opt_window_partition_clause: %empty  */
                         {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 411: /* opt_window_frame_clause: %empty  */
                         {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 414: /* window_partition_clause: SQL_TOKEN_PARTITION SQL_TOKEN_BY window_partition_column_reference_list  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 415: /* window_partition_column_reference_list: window_partition_column_reference_list ',' window_partition_column_reference  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 416: /* window_partition_column_reference_list: window_partition_column_reference  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 417: /* window_partition_column_reference: column_ref opt_collate_clause  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 418: /* opt_window_frame_exclusion: %empty  */
                         {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 420: /* window_frame_clause: window_frame_units window_frame_extent opt_window_frame_exclusion  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 425: /* window_frame_start: SQL_TOKEN_UNBOUNDED SQL_TOKEN_PRECEDING  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 427: /* window_frame_start: SQL_TOKEN_CURRENT SQL_TOKEN_ROW  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 428: /* window_frame_preceding: unsigned_value_spec SQL_TOKEN_PRECEDING  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 429: /* window_frame_between: SQL_TOKEN_BETWEEN window_frame_bound_1 SQL_TOKEN_AND window_frame_bound_2  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 433: /* window_frame_bound: SQL_TOKEN_UNBOUNDED SQL_TOKEN_FOLLOWING  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 435: /* window_frame_following: unsigned_value_spec SQL_TOKEN_FOLLOWING  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 436: /* window_frame_exclusion: SQL_TOKEN_EXCLUDE SQL_TOKEN_CURRENT SQL_TOKEN_ROW  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 437: /* window_frame_exclusion: SQL_TOKEN_EXCLUDE SQL_TOKEN_GROUP  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 438: /* window_frame_exclusion: SQL_TOKEN_EXCLUDE SQL_TOKEN_TIES  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 439: /* window_frame_exclusion: SQL_TOKEN_EXCLUDE SQL_TOKEN_NO SQL_TOKEN_OTHERS  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 440: /* op_parameter: %empty  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 441: /* op_parameter: '?' SQL_EQUAL  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("?", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 442: /* odbc_call_spec: op_parameter SQL_TOKEN_CALL table_node op_odbc_call_parameter  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 443: /* op_odbc_call_parameter: %empty  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 444: /* op_odbc_call_parameter: '(' odbc_parameter_commalist ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 445: /* odbc_parameter_commalist: odbc_parameter  */
                {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 446: /* odbc_parameter_commalist: odbc_parameter_commalist ',' odbc_parameter  */
                {
			(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);
		}
    break;

  case 447: /* odbc_parameter: %empty  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 450: /* odbc_fct_spec: odbc_fct_type SQL_TOKEN_STRING  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 451: /* odbc_fct_spec: SQL_TOKEN_FN set_fct_spec  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 455: /* general_set_fct: set_fct_type '(' opt_all_distinct function_arg ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 456: /* general_set_fct: SQL_TOKEN_COUNT '(' '*' ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode("*", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 457: /* general_set_fct: SQL_TOKEN_COUNT '(' opt_all_distinct function_arg ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 476: /* hypothetical_set_function: rank_function_type '(' hypothetical_set_function_value_expression_list ')' within_group_specification  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 477: /* hypothetical_set_function: rank_function_type '(' hypothetical_set_function_value_expression_list SQL_TOKEN_BY value_exp_commalist ')' within_group_specification  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 478: /* within_group_specification: %empty  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
	}
    break;

  case 479: /* within_group_specification: SQL_TOKEN_WITHIN SQL_TOKEN_GROUP '(' opt_order_by_clause ')'  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}
    break;

  case 481: /* inverse_distribution_function: inverse_distribution_function_type '(' inverse_distribution_function_argument ')' within_group_specification  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}
    break;

  case 485: /* array_aggregate_function: SQL_TOKEN_ARRAY_AGG '(' value_exp opt_order_by_clause ')'  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}
    break;

  case 490: /* outer_join_type: SQL_TOKEN_LEFT  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 491: /* outer_join_type: SQL_TOKEN_RIGHT  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 492: /* outer_join_type: SQL_TOKEN_FULL  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 493: /* join_condition: SQL_TOKEN_ON search_condition  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 496: /* join_type: %empty  */
                                {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 497: /* join_type: SQL_TOKEN_INNER  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 499: /* join_type: outer_join_type SQL_TOKEN_OUTER  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 500: /* cross_union: table_ref SQL_TOKEN_CROSS SQL_TOKEN_JOIN table_ref  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 501: /* qualified_join: table_ref SQL_TOKEN_NATURAL join_type SQL_TOKEN_JOIN table_ref  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 502: /* qualified_join: table_ref join_type SQL_TOKEN_JOIN table_ref join_spec  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 505: /* named_columns_join: SQL_TOKEN_USING '(' column_commalist ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 509: /* non_join_query_primary: '(' non_join_query_exp ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 511: /* non_join_query_term: query_term SQL_TOKEN_INTERSECT all query_primary  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 514: /* non_join_query_exp: query_exp SQL_TOKEN_UNION all query_term  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 515: /* non_join_query_exp: query_exp SQL_TOKEN_EXCEPT all query_term  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 516: /* all: %empty  */
                   {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 523: /* cast_spec: SQL_TOKEN_CAST '(' cast_operand SQL_TOKEN_AS cast_target ')'  */
          {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 530: /* value_exp_primary: '(' value_exp ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 535: /* factor: '-' num_primary  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("-", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 536: /* factor: '+' num_primary  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("+", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 538: /* term: term '*' factor  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("*", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 539: /* term: term '/' factor  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("/", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 541: /* num_value_exp: num_value_exp '+' term  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("+", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 542: /* num_value_exp: num_value_exp '-' term  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("-", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 543: /* datetime_primary: datetime_value_fct  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 544: /* datetime_value_fct: SQL_TOKEN_CURRENT_DATE  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 545: /* datetime_value_fct: SQL_TOKEN_CURRENT_TIME  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 546: /* datetime_value_fct: SQL_TOKEN_CURRENT_TIMESTAMP  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 547: /* time_zone: SQL_TOKEN_AT time_zone_specifier  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 548: /* time_zone_specifier: SQL_TOKEN_LOCAL  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 549: /* datetime_factor: datetime_primary  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 550: /* datetime_factor: datetime_primary time_zone  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 551: /* datetime_term: datetime_factor  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 552: /* datetime_value_exp: datetime_term  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 570: /* start_field: non_second_datetime_field opt_paren_precision  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 572: /* end_field: SQL_TOKEN_SECOND opt_paren_precision  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 573: /* single_datetime_field: non_second_datetime_field opt_paren_precision  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 574: /* single_datetime_field: SQL_TOKEN_SECOND opt_paren_precision_scale  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 575: /* interval_qualifier: start_field SQL_TOKEN_TO end_field  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 577: /* function_arg_commalist2: function_arg ',' function_arg  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 578: /* function_arg_commalist3: function_arg ',' function_arg ',' function_arg  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 579: /* function_arg_commalist4: function_arg ',' function_arg ',' function_arg ',' function_arg  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 580: /* value_exp_commalist: value_exp  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 581: /* value_exp_commalist: value_exp_commalist ',' value_exp  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 582: /* value_exp_commalist: value_exp_commalist ';' value_exp  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);
			}
			else
				YYERROR;
		}
    break;

  case 584: /* function_arg: value_exp comparison value_exp  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 585: /* function_arg: value_exp SQL_TOKEN_USING value_exp comparison value_exp  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 586: /* function_arg: value_exp SQL_TOKEN_BY value_exp_commalist  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 587: /* function_args_commalist: function_arg  */
                        {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 588: /* function_args_commalist: function_args_commalist ',' function_arg  */
                        {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 589: /* function_args_commalist: function_args_commalist ';' function_arg  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
				((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);
			}
			else
				YYERROR;
		}
    break;

  case 590: /* function_args_commalist: datetime_unit ',' function_arg ',' function_arg  */
        {
            ((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
            ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
            ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
            ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
        }
    break;

  case 593: /* value_exp: datetime_value_exp  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 597: /* concatenation: char_value_exp '+' char_factor  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("+", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 598: /* concatenation: value_exp SQL_CONCAT value_exp  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 601: /* collate_clause: SQL_TOKEN_COLLATE table_node  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 603: /* char_factor: char_primary collate_clause  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 606: /* bit_value_fct: bit_substring_fct  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 607: /* bit_substring_fct: SQL_TOKEN_SUBSTRING '(' bit_value_exp SQL_TOKEN_FROM string_value_exp for_length ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 608: /* bit_value_exp: bit_factor  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 609: /* bit_factor: bit_primary  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 610: /* bit_primary: %empty  */
        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 612: /* char_value_fct: form_conversion  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 613: /* char_value_fct: char_translation  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 614: /* char_value_fct: trim_fct  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 615: /* for_length: %empty  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 616: /* for_length: SQL_TOKEN_FOR value_exp  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 617: /* char_substring_fct: SQL_TOKEN_SUBSTRING '(' value_exp SQL_TOKEN_FROM value_exp for_length ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 618: /* char_substring_fct: SQL_TOKEN_SUBSTRING '(' value_exp_commalist ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 619: /* form_conversion: SQL_TOKEN_CONVERT '(' string_value_exp SQL_TOKEN_USING table_node ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 620: /* form_conversion: SQL_TOKEN_CONVERT '(' cast_operand ',' cast_target ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 621: /* char_translation: SQL_TOKEN_TRANSLATE '(' string_value_exp SQL_TOKEN_USING table_node ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 622: /* trim_fct: SQL_TOKEN_TRIM '(' trim_operands ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 623: /* trim_operands: trim_spec value_exp SQL_TOKEN_FROM value_exp  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 624: /* trim_operands: trim_spec SQL_TOKEN_FROM value_exp  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 625: /* trim_operands: value_exp SQL_TOKEN_FROM value_exp  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 626: /* trim_operands: SQL_TOKEN_FROM value_exp  */
            {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 631: /* derived_column: value_exp as_clause  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 635: /* catalog_name: SQL_TOKEN_NAME '.' schema_name  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 636: /* catalog_name: SQL_TOKEN_NAME ':' schema_name  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(":", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 637: /* schema_name: SQL_TOKEN_NAME '.' table_name  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 638: /* table_name: SQL_TOKEN_NAME  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 639: /* column_ref: column  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 640: /* column_ref: SQL_TOKEN_NAME '.' column_val  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			}
    break;

  case 641: /* column_ref: SQL_TOKEN_NAME '.' SQL_TOKEN_NAME '.' column_val  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 642: /* column_ref: SQL_TOKEN_NAME '.' SQL_TOKEN_NAME '.' SQL_TOKEN_NAME '.' column_val  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			}
    break;

  case 643: /* column_ref: SQL_TOKEN_NAME ':' SQL_TOKEN_NAME '.' SQL_TOKEN_NAME '.' column_val  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(":", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			}
    break;

  case 644: /* column_val: column  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 645: /* column_val: '*'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("*", SQLNodeType::Punctuation));
		}
    break;

  case 647: /* opt_char_set_spec: %empty  */
        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 648: /* opt_char_set_spec: SQL_TOKEN_CHARACTER SQL_TOKEN_SET SQL_TOKEN_NAME  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 649: /* opt_collate_clause: %empty  */
        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 651: /* predefined_type: character_string_type opt_char_set_spec opt_collate_clause  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 652: /* predefined_type: national_character_string_type opt_collate_clause  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 658: /* character_string_type: SQL_TOKEN_CHARACTER opt_paren_precision  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 659: /* character_string_type: SQL_TOKEN_CHAR opt_paren_precision  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 660: /* character_string_type: SQL_TOKEN_CHARACTER SQL_TOKEN_VARYING paren_char_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 661: /* character_string_type: SQL_TOKEN_CHAR SQL_TOKEN_VARYING paren_char_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 662: /* character_string_type: SQL_TOKEN_VARCHAR paren_char_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 664: /* opt_paren_precision: %empty  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 666: /* paren_char_length: '(' SQL_TOKEN_INTNUM ')'  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}
    break;

  case 667: /* opt_paren_char_large_length: %empty  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 669: /* paren_character_large_object_length: '(' large_object_length ')'  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}
    break;

  case 670: /* large_object_length: SQL_TOKEN_INTNUM opt_multiplier  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 671: /* opt_multiplier: %empty  */
        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 672: /* opt_multiplier: 'K'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("K", SQLNodeType::Punctuation));
		}
    break;

  case 673: /* opt_multiplier: 'M'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("M", SQLNodeType::Punctuation));
		}
    break;

  case 674: /* opt_multiplier: 'G'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("G", SQLNodeType::Punctuation));
		}
    break;

  case 675: /* opt_multiplier: 'T'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("T", SQLNodeType::Punctuation));
		}
    break;

  case 676: /* opt_multiplier: 'P'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("P", SQLNodeType::Punctuation));
		}
    break;

  case 677: /* character_large_object_type: SQL_TOKEN_CHARACTER SQL_TOKEN_LARGE SQL_TOKEN_OBJECT opt_paren_char_large_length  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 678: /* character_large_object_type: SQL_TOKEN_CHAR SQL_TOKEN_LARGE SQL_TOKEN_OBJECT opt_paren_char_large_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 679: /* character_large_object_type: SQL_TOKEN_CLOB opt_paren_char_large_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 680: /* national_character_string_type: SQL_TOKEN_NATIONAL SQL_TOKEN_CHARACTER opt_paren_precision  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 681: /* national_character_string_type: SQL_TOKEN_NATIONAL SQL_TOKEN_CHAR opt_paren_precision  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 682: /* national_character_string_type: SQL_TOKEN_NCHAR opt_paren_precision  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 683: /* national_character_string_type: SQL_TOKEN_NATIONAL SQL_TOKEN_CHARACTER SQL_TOKEN_VARYING paren_char_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 684: /* national_character_string_type: SQL_TOKEN_NATIONAL SQL_TOKEN_CHAR SQL_TOKEN_VARYING paren_char_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 685: /* national_character_string_type: SQL_TOKEN_NCHAR SQL_TOKEN_VARYING paren_char_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 687: /* national_character_large_object_type: SQL_TOKEN_NATIONAL SQL_TOKEN_CHARACTER SQL_TOKEN_LARGE SQL_TOKEN_OBJECT opt_paren_char_large_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 688: /* national_character_large_object_type: SQL_TOKEN_NCHAR SQL_TOKEN_LARGE SQL_TOKEN_OBJECT opt_paren_char_large_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 689: /* national_character_large_object_type: SQL_TOKEN_NCLOB opt_paren_char_large_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 690: /* binary_string_type: SQL_TOKEN_BINARY opt_paren_precision  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 691: /* binary_string_type: SQL_TOKEN_BINARY SQL_TOKEN_VARYING paren_char_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 692: /* binary_string_type: SQL_TOKEN_VARBINARY paren_char_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 694: /* binary_large_object_string_type: SQL_TOKEN_BINARY SQL_TOKEN_LARGE SQL_TOKEN_OBJECT opt_paren_char_large_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 695: /* binary_large_object_string_type: SQL_TOKEN_BLOB opt_paren_char_large_length  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 698: /* opt_paren_precision_scale: %empty  */
        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 699: /* opt_paren_precision_scale: '(' SQL_TOKEN_INTNUM ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 700: /* opt_paren_precision_scale: '(' SQL_TOKEN_INTNUM ',' SQL_TOKEN_INTNUM ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 701: /* exact_numeric_type: SQL_TOKEN_NUMERIC opt_paren_precision_scale  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 702: /* exact_numeric_type: SQL_TOKEN_DECIMAL opt_paren_precision_scale  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 703: /* exact_numeric_type: SQL_TOKEN_DEC opt_paren_precision_scale  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 708: /* approximate_numeric_type: SQL_TOKEN_FLOAT '(' SQL_TOKEN_INTNUM ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 712: /* approximate_numeric_type: SQL_TOKEN_DOUBLE SQL_TOKEN_PRECISION  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 715: /* datetime_type: SQL_TOKEN_TIME opt_paren_precision opt_with_or_without_time_zone  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 716: /* datetime_type: SQL_TOKEN_TIMESTAMP opt_paren_precision opt_with_or_without_time_zone  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 717: /* opt_with_or_without_time_zone: %empty  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 718: /* opt_with_or_without_time_zone: SQL_TOKEN_WITH SQL_TOKEN_TIME SQL_TOKEN_ZONE  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 719: /* opt_with_or_without_time_zone: SQL_TOKEN_WITHOUT SQL_TOKEN_TIME SQL_TOKEN_ZONE  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 720: /* interval_type: SQL_TOKEN_INTERVAL interval_qualifier  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
	}
    break;

  case 722: /* column: SQL_TOKEN_POSITION  */
                {
			sal_uInt32 nNod = ((*yyvalp).pParseNode)->getRuleID();
			delete ((*yyvalp).pParseNode);
			((*yyvalp).pParseNode) = newNode(OSQLParser::TokenIDToStr(nNod), SQLNodeType::Name);
		}
    break;

  case 723: /* column: SQL_TOKEN_CHAR_LENGTH  */
                {
			sal_uInt32 nNod = ((*yyvalp).pParseNode)->getRuleID();
			delete ((*yyvalp).pParseNode);
			((*yyvalp).pParseNode) = newNode(OSQLParser::TokenIDToStr(nNod), SQLNodeType::Name);
		}
    break;

  case 724: /* column: SQL_TOKEN_EXTRACT  */
                {
			sal_uInt32 nNod = ((*yyvalp).pParseNode)->getRuleID();
			delete ((*yyvalp).pParseNode);
			((*yyvalp).pParseNode) = newNode(OSQLParser::TokenIDToStr(nNod), SQLNodeType::Name);
		}
    break;

  case 727: /* case_abbreviation: SQL_TOKEN_NULLIF '(' value_exp_commalist ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 728: /* case_abbreviation: SQL_TOKEN_COALESCE '(' value_exp ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 729: /* case_abbreviation: SQL_TOKEN_COALESCE '(' value_exp_commalist ')'  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}
    break;

  case 732: /* simple_case: SQL_TOKEN_CASE case_operand simple_when_clause_list else_clause SQL_TOKEN_END  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 733: /* searched_case: SQL_TOKEN_CASE searched_when_clause_list else_clause SQL_TOKEN_END  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 734: /* simple_when_clause_list: simple_when_clause  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_LISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 735: /* simple_when_clause_list: searched_when_clause_list simple_when_clause  */
                {
			(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode);
		}
    break;

  case 736: /* simple_when_clause: SQL_TOKEN_WHEN when_operand_list SQL_TOKEN_THEN result  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 737: /* when_operand_list: when_operand  */
                {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
		((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 738: /* when_operand_list: when_operand_list ',' when_operand  */
                {(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);}
    break;

  case 745: /* searched_when_clause_list: searched_when_clause  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_LISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 746: /* searched_when_clause_list: searched_when_clause_list searched_when_clause  */
                {
			(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode);
		}
    break;

  case 747: /* searched_when_clause: SQL_TOKEN_WHEN search_condition SQL_TOKEN_THEN result  */
        {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 748: /* else_clause: %empty  */
                {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 749: /* else_clause: SQL_TOKEN_ELSE result  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 753: /* cursor: SQL_TOKEN_NAME  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 754: /* parameter: ':' SQL_TOKEN_NAME  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode(":", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));}
    break;

  case 755: /* parameter: '?'  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE; // test
			((*yyvalp).pParseNode)->append(newNode("?", SQLNodeType::Punctuation));}
    break;

  case 756: /* parameter: '[' SQL_TOKEN_NAME ']'  */
                        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("[", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("]", SQLNodeType::Punctuation));}
    break;

  case 757: /* range_variable: %empty  */
        {((*yyvalp).pParseNode) = SQL_NEW_RULE;}
    break;

  case 758: /* range_variable: opt_as SQL_TOKEN_NAME  */
        {((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
        }
    break;

  case 760: /* sql: search_condition  */
                {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck()) // sql: rule 1
			{
				((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode);
				if ( SQL_ISRULE(((*yyvalp).pParseNode),search_condition) )
				{
					((*yyvalp).pParseNode)->insert(0,newNode("(", SQLNodeType::Punctuation));
					((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
				}
			}
			else
				YYERROR;
		}
    break;

  case 762: /* trigger_definition: SQL_TOKEN_CREATE SQL_TOKEN_TRIGGER trigger_name trigger_action_time trigger_event SQL_TOKEN_ON table_name op_referencing triggered_action  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-8)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-7)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-6)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-5)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 763: /* op_referencing: %empty  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
	}
    break;

  case 764: /* op_referencing: SQL_TOKEN_REFERENCING transition_table_or_variable_list  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 767: /* trigger_action_time: SQL_TOKEN_INSTEAD SQL_TOKEN_OF  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 770: /* trigger_event: SQL_TOKEN_UPDATE op_trigger_columnlist  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 771: /* op_trigger_columnlist: %empty  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
	}
    break;

  case 772: /* op_trigger_columnlist: SQL_TOKEN_OF trigger_column_list  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 774: /* triggered_action: op_triggered_action_for triggered_when_clause triggered_SQL_statement  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 775: /* op_triggered_action_for: %empty  */
                {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		}
    break;

  case 776: /* op_triggered_action_for: SQL_TOKEN_FOR SQL_TOKEN_EACH trigger_for  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 779: /* triggered_when_clause: %empty  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
	}
    break;

  case 780: /* triggered_when_clause: SQL_TOKEN_WHEN parenthesized_boolean_value_expression  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 782: /* triggered_SQL_statement: SQL_TOKEN_BEGIN SQL_TOKEN_ATOMIC SQL_procedure_statement_list ';' SQL_TOKEN_END  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-4)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append(newNode(";", SQLNodeType::Punctuation));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 783: /* SQL_procedure_statement_list: SQL_procedure_statement  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_LISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 784: /* SQL_procedure_statement_list: SQL_procedure_statement_list ';' SQL_procedure_statement  */
                {
			(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode);
		}
    break;

  case 786: /* transition_table_or_variable_list: transition_table_or_variable  */
                {
			((*yyvalp).pParseNode) = SQL_NEW_LISTRULE;
			((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
		}
    break;

  case 787: /* transition_table_or_variable_list: transition_table_or_variable_list transition_table_or_variable  */
                {
			(YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
			((*yyvalp).pParseNode) = (YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode);
		}
    break;

  case 788: /* transition_table_or_variable: SQL_TOKEN_OLD opt_row opt_as old_transition_variable_name  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 789: /* transition_table_or_variable: SQL_TOKEN_NEW opt_row opt_as new_transition_variable_name  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 790: /* transition_table_or_variable: SQL_TOKEN_OLD SQL_TOKEN_TABLE opt_as old_transition_table_name  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;

  case 791: /* transition_table_or_variable: SQL_TOKEN_NEW SQL_TOKEN_TABLE opt_as new_transition_table_name  */
        {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-3)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-2)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (-1)].yystate.yysemantics.yyval.pParseNode));
        ((*yyvalp).pParseNode)->append((YY_CAST (yyGLRStackItem const *, yyvsp)[YYFILL (0)].yystate.yysemantics.yyval.pParseNode));
    }
    break;



      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yylhsNonterm (yyrule), yyvalp, yylocp);

  return yyok;
# undef yyerrok
# undef YYABORT
# undef YYACCEPT
# undef YYNOMEM
# undef YYERROR
# undef YYBACKUP
# undef yyclearin
# undef YYRECOVERING
}


static void
yyuserMerge (int yyn, YYSTYPE* yy0, YYSTYPE* yy1)
{
  YY_USE (yy0);
  YY_USE (yy1);

  switch (yyn)
    {

      default: break;
    }
}

                              /* Bison grammar-table manipulation.  */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}

/** Number of symbols composing the right hand side of rule #RULE.  */
static inline int
yyrhsLength (yyRuleNum yyrule)
{
  return yyr2[yyrule];
}

static void
yydestroyGLRState (char const *yymsg, yyGLRState *yys)
{
  if (yys->yyresolved)
    yydestruct (yymsg, yy_accessing_symbol (yys->yylrState),
                &yys->yysemantics.yyval);
  else
    {
#if YYDEBUG
      if (yydebug)
        {
          if (yys->yysemantics.yyfirstVal)
            YY_FPRINTF ((stderr, "%s unresolved", yymsg));
          else
            YY_FPRINTF ((stderr, "%s incomplete", yymsg));
          YY_SYMBOL_PRINT ("", yy_accessing_symbol (yys->yylrState), YY_NULLPTR, &yys->yyloc);
        }
#endif

      if (yys->yysemantics.yyfirstVal)
        {
          yySemanticOption *yyoption = yys->yysemantics.yyfirstVal;
          yyGLRState *yyrh;
          int yyn;
          for (yyrh = yyoption->yystate, yyn = yyrhsLength (yyoption->yyrule);
               yyn > 0;
               yyrh = yyrh->yypred, yyn -= 1)
            yydestroyGLRState (yymsg, yyrh);
        }
    }
}

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

/** True iff LR state YYSTATE has only a default reduction (regardless
 *  of token).  */
static inline yybool
yyisDefaultedState (yy_state_t yystate)
{
  return yypact_value_is_default (yypact[yystate]);
}

/** The default reduction for YYSTATE, assuming it has one.  */
static inline yyRuleNum
yydefaultAction (yy_state_t yystate)
{
  return yydefact[yystate];
}

#define yytable_value_is_error(Yyn) \
  0

/** The action to take in YYSTATE on seeing YYTOKEN.
 *  Result R means
 *    R < 0:  Reduce on rule -R.
 *    R = 0:  Error.
 *    R > 0:  Shift to state R.
 *  Set *YYCONFLICTS to a pointer into yyconfl to a 0-terminated list
 *  of conflicting reductions.
 */
static inline int
yygetLRActions (yy_state_t yystate, yysymbol_kind_t yytoken, const short** yyconflicts)
{
  int yyindex = yypact[yystate] + yytoken;
  if (yytoken == YYSYMBOL_YYerror)
    {
      // This is the error token.
      *yyconflicts = yyconfl;
      return 0;
    }
  else if (yyisDefaultedState (yystate)
           || yyindex < 0 || YYLAST < yyindex || yycheck[yyindex] != yytoken)
    {
      *yyconflicts = yyconfl;
      return -yydefact[yystate];
    }
  else if (! yytable_value_is_error (yytable[yyindex]))
    {
      *yyconflicts = yyconfl + yyconflp[yyindex];
      return yytable[yyindex];
    }
  else
    {
      *yyconflicts = yyconfl + yyconflp[yyindex];
      return 0;
    }
}

/** Compute post-reduction state.
 * \param yystate   the current state
 * \param yysym     the nonterminal to push on the stack
 */
static inline yy_state_t
yyLRgotoState (yy_state_t yystate, yysymbol_kind_t yysym)
{
  int yyr = yypgoto[yysym - YYNTOKENS] + yystate;
  if (0 <= yyr && yyr <= YYLAST && yycheck[yyr] == yystate)
    return yytable[yyr];
  else
    return yydefgoto[yysym - YYNTOKENS];
}

static inline yybool
yyisShiftAction (int yyaction)
{
  return 0 < yyaction;
}

static inline yybool
yyisErrorAction (int yyaction)
{
  return yyaction == 0;
}

                                /* GLRStates */

/** Return a fresh GLRStackItem in YYSTACKP.  The item is an LR state
 *  if YYISSTATE, and otherwise a semantic option.  Callers should call
 *  YY_RESERVE_GLRSTACK afterwards to make sure there is sufficient
 *  headroom.  */

static inline yyGLRStackItem*
yynewGLRStackItem (yyGLRStack* yystackp, yybool yyisState)
{
  yyGLRStackItem* yynewItem = yystackp->yynextFree;
  yystackp->yyspaceLeft -= 1;
  yystackp->yynextFree += 1;
  yynewItem->yystate.yyisState = yyisState;
  return yynewItem;
}

/** Add a new semantic action that will execute the action for rule
 *  YYRULE on the semantic values in YYRHS to the list of
 *  alternative actions for YYSTATE.  Assumes that YYRHS comes from
 *  stack #YYK of *YYSTACKP. */
static void
yyaddDeferredAction (yyGLRStack* yystackp, YYPTRDIFF_T yyk, yyGLRState* yystate,
                     yyGLRState* yyrhs, yyRuleNum yyrule)
{
  yySemanticOption* yynewOption =
    &yynewGLRStackItem (yystackp, yyfalse)->yyoption;
  YY_ASSERT (!yynewOption->yyisState);
  yynewOption->yystate = yyrhs;
  yynewOption->yyrule = yyrule;
  if (yystackp->yytops.yylookaheadNeeds[yyk])
    {
      yynewOption->yyrawchar = yychar;
      yynewOption->yyval = yylval;
    }
  else
    yynewOption->yyrawchar = YYEMPTY;
  yynewOption->yynext = yystate->yysemantics.yyfirstVal;
  yystate->yysemantics.yyfirstVal = yynewOption;

  YY_RESERVE_GLRSTACK (yystackp);
}

                                /* GLRStacks */

/** Initialize YYSET to a singleton set containing an empty stack.  */
static yybool
yyinitStateSet (yyGLRStateSet* yyset)
{
  yyset->yysize = 1;
  yyset->yycapacity = 16;
  yyset->yystates
    = YY_CAST (yyGLRState**,
               YYMALLOC (YY_CAST (YYSIZE_T, yyset->yycapacity)
                         * sizeof yyset->yystates[0]));
  if (! yyset->yystates)
    return yyfalse;
  yyset->yystates[0] = YY_NULLPTR;
  yyset->yylookaheadNeeds
    = YY_CAST (yybool*,
               YYMALLOC (YY_CAST (YYSIZE_T, yyset->yycapacity)
                         * sizeof yyset->yylookaheadNeeds[0]));
  if (! yyset->yylookaheadNeeds)
    {
      YYFREE (yyset->yystates);
      return yyfalse;
    }
  memset (yyset->yylookaheadNeeds,
          0,
          YY_CAST (YYSIZE_T, yyset->yycapacity) * sizeof yyset->yylookaheadNeeds[0]);
  return yytrue;
}

static void yyfreeStateSet (yyGLRStateSet* yyset)
{
  YYFREE (yyset->yystates);
  YYFREE (yyset->yylookaheadNeeds);
}

/** Initialize *YYSTACKP to a single empty stack, with total maximum
 *  capacity for all stacks of YYSIZE.  */
static yybool
yyinitGLRStack (yyGLRStack* yystackp, YYPTRDIFF_T yysize)
{
  yystackp->yyerrState = 0;
  yynerrs = 0;
  yystackp->yyspaceLeft = yysize;
  yystackp->yyitems
    = YY_CAST (yyGLRStackItem*,
               YYMALLOC (YY_CAST (YYSIZE_T, yysize)
                         * sizeof yystackp->yynextFree[0]));
  if (!yystackp->yyitems)
    return yyfalse;
  yystackp->yynextFree = yystackp->yyitems;
  yystackp->yysplitPoint = YY_NULLPTR;
  yystackp->yylastDeleted = YY_NULLPTR;
  return yyinitStateSet (&yystackp->yytops);
}


#if YYSTACKEXPANDABLE
# define YYRELOC(YYFROMITEMS, YYTOITEMS, YYX, YYTYPE)                   \
  &((YYTOITEMS)                                                         \
    - ((YYFROMITEMS) - YY_REINTERPRET_CAST (yyGLRStackItem*, (YYX))))->YYTYPE

/** If *YYSTACKP is expandable, extend it.  WARNING: Pointers into the
    stack from outside should be considered invalid after this call.
    We always expand when there are 1 or fewer items left AFTER an
    allocation, so that we can avoid having external pointers exist
    across an allocation.  */
static void
yyexpandGLRStack (yyGLRStack* yystackp)
{
  yyGLRStackItem* yynewItems;
  yyGLRStackItem* yyp0, *yyp1;
  YYPTRDIFF_T yynewSize;
  YYPTRDIFF_T yyn;
  YYPTRDIFF_T yysize = yystackp->yynextFree - yystackp->yyitems;
  if (YYMAXDEPTH - YYHEADROOM < yysize)
    yyMemoryExhausted (yystackp);
  yynewSize = 2*yysize;
  if (YYMAXDEPTH < yynewSize)
    yynewSize = YYMAXDEPTH;
  yynewItems
    = YY_CAST (yyGLRStackItem*,
               YYMALLOC (YY_CAST (YYSIZE_T, yynewSize)
                         * sizeof yynewItems[0]));
  if (! yynewItems)
    yyMemoryExhausted (yystackp);
  for (yyp0 = yystackp->yyitems, yyp1 = yynewItems, yyn = yysize;
       0 < yyn;
       yyn -= 1, yyp0 += 1, yyp1 += 1)
    {
      *yyp1 = *yyp0;
      if (*YY_REINTERPRET_CAST (yybool *, yyp0))
        {
          yyGLRState* yys0 = &yyp0->yystate;
          yyGLRState* yys1 = &yyp1->yystate;
          if (yys0->yypred != YY_NULLPTR)
            yys1->yypred =
              YYRELOC (yyp0, yyp1, yys0->yypred, yystate);
          if (! yys0->yyresolved && yys0->yysemantics.yyfirstVal != YY_NULLPTR)
            yys1->yysemantics.yyfirstVal =
              YYRELOC (yyp0, yyp1, yys0->yysemantics.yyfirstVal, yyoption);
        }
      else
        {
          yySemanticOption* yyv0 = &yyp0->yyoption;
          yySemanticOption* yyv1 = &yyp1->yyoption;
          if (yyv0->yystate != YY_NULLPTR)
            yyv1->yystate = YYRELOC (yyp0, yyp1, yyv0->yystate, yystate);
          if (yyv0->yynext != YY_NULLPTR)
            yyv1->yynext = YYRELOC (yyp0, yyp1, yyv0->yynext, yyoption);
        }
    }
  if (yystackp->yysplitPoint != YY_NULLPTR)
    yystackp->yysplitPoint = YYRELOC (yystackp->yyitems, yynewItems,
                                      yystackp->yysplitPoint, yystate);

  for (yyn = 0; yyn < yystackp->yytops.yysize; yyn += 1)
    if (yystackp->yytops.yystates[yyn] != YY_NULLPTR)
      yystackp->yytops.yystates[yyn] =
        YYRELOC (yystackp->yyitems, yynewItems,
                 yystackp->yytops.yystates[yyn], yystate);
  YYFREE (yystackp->yyitems);
  yystackp->yyitems = yynewItems;
  yystackp->yynextFree = yynewItems + yysize;
  yystackp->yyspaceLeft = yynewSize - yysize;
}
#endif

static void
yyfreeGLRStack (yyGLRStack* yystackp)
{
  YYFREE (yystackp->yyitems);
  yyfreeStateSet (&yystackp->yytops);
}

/** Assuming that YYS is a GLRState somewhere on *YYSTACKP, update the
 *  splitpoint of *YYSTACKP, if needed, so that it is at least as deep as
 *  YYS.  */
static inline void
yyupdateSplit (yyGLRStack* yystackp, yyGLRState* yys)
{
  if (yystackp->yysplitPoint != YY_NULLPTR && yystackp->yysplitPoint > yys)
    yystackp->yysplitPoint = yys;
}

/** Invalidate stack #YYK in *YYSTACKP.  */
static inline void
yymarkStackDeleted (yyGLRStack* yystackp, YYPTRDIFF_T yyk)
{
  if (yystackp->yytops.yystates[yyk] != YY_NULLPTR)
    yystackp->yylastDeleted = yystackp->yytops.yystates[yyk];
  yystackp->yytops.yystates[yyk] = YY_NULLPTR;
}

/** Undelete the last stack in *YYSTACKP that was marked as deleted.  Can
    only be done once after a deletion, and only when all other stacks have
    been deleted.  */
static void
yyundeleteLastStack (yyGLRStack* yystackp)
{
  if (yystackp->yylastDeleted == YY_NULLPTR || yystackp->yytops.yysize != 0)
    return;
  yystackp->yytops.yystates[0] = yystackp->yylastDeleted;
  yystackp->yytops.yysize = 1;
  YY_DPRINTF ((stderr, "Restoring last deleted stack as stack #0.\n"));
  yystackp->yylastDeleted = YY_NULLPTR;
}

static inline void
yyremoveDeletes (yyGLRStack* yystackp)
{
  YYPTRDIFF_T yyi, yyj;
  yyi = yyj = 0;
  while (yyj < yystackp->yytops.yysize)
    {
      if (yystackp->yytops.yystates[yyi] == YY_NULLPTR)
        {
          if (yyi == yyj)
            YY_DPRINTF ((stderr, "Removing dead stacks.\n"));
          yystackp->yytops.yysize -= 1;
        }
      else
        {
          yystackp->yytops.yystates[yyj] = yystackp->yytops.yystates[yyi];
          /* In the current implementation, it's unnecessary to copy
             yystackp->yytops.yylookaheadNeeds[yyi] since, after
             yyremoveDeletes returns, the parser immediately either enters
             deterministic operation or shifts a token.  However, it doesn't
             hurt, and the code might evolve to need it.  */
          yystackp->yytops.yylookaheadNeeds[yyj] =
            yystackp->yytops.yylookaheadNeeds[yyi];
          if (yyj != yyi)
            YY_DPRINTF ((stderr, "Rename stack %ld -> %ld.\n",
                        YY_CAST (long, yyi), YY_CAST (long, yyj)));
          yyj += 1;
        }
      yyi += 1;
    }
}

/** Shift to a new state on stack #YYK of *YYSTACKP, corresponding to LR
 * state YYLRSTATE, at input position YYPOSN, with (resolved) semantic
 * value *YYVALP and source location *YYLOCP.  */
static inline void
yyglrShift (yyGLRStack* yystackp, YYPTRDIFF_T yyk, yy_state_t yylrState,
            YYPTRDIFF_T yyposn,
            YYSTYPE* yyvalp)
{
  yyGLRState* yynewState = &yynewGLRStackItem (yystackp, yytrue)->yystate;

  yynewState->yylrState = yylrState;
  yynewState->yyposn = yyposn;
  yynewState->yyresolved = yytrue;
  yynewState->yypred = yystackp->yytops.yystates[yyk];
  yynewState->yysemantics.yyval = *yyvalp;
  yystackp->yytops.yystates[yyk] = yynewState;

  YY_RESERVE_GLRSTACK (yystackp);
}

/** Shift stack #YYK of *YYSTACKP, to a new state corresponding to LR
 *  state YYLRSTATE, at input position YYPOSN, with the (unresolved)
 *  semantic value of YYRHS under the action for YYRULE.  */
static inline void
yyglrShiftDefer (yyGLRStack* yystackp, YYPTRDIFF_T yyk, yy_state_t yylrState,
                 YYPTRDIFF_T yyposn, yyGLRState* yyrhs, yyRuleNum yyrule)
{
  yyGLRState* yynewState = &yynewGLRStackItem (yystackp, yytrue)->yystate;
  YY_ASSERT (yynewState->yyisState);

  yynewState->yylrState = yylrState;
  yynewState->yyposn = yyposn;
  yynewState->yyresolved = yyfalse;
  yynewState->yypred = yystackp->yytops.yystates[yyk];
  yynewState->yysemantics.yyfirstVal = YY_NULLPTR;
  yystackp->yytops.yystates[yyk] = yynewState;

  /* Invokes YY_RESERVE_GLRSTACK.  */
  yyaddDeferredAction (yystackp, yyk, yynewState, yyrhs, yyrule);
}

#if YYDEBUG

/*----------------------------------------------------------------------.
| Report that stack #YYK of *YYSTACKP is going to be reduced by YYRULE. |
`----------------------------------------------------------------------*/

static inline void
yy_reduce_print (yybool yynormal, yyGLRStackItem* yyvsp, YYPTRDIFF_T yyk,
                 yyRuleNum yyrule)
{
  int yynrhs = yyrhsLength (yyrule);
  int yyi;
  YY_FPRINTF ((stderr, "Reducing stack %ld by rule %d (line %d):\n",
               YY_CAST (long, yyk), yyrule - 1, yyrline[yyrule]));
  if (! yynormal)
    yyfillin (yyvsp, 1, -yynrhs);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YY_FPRINTF ((stderr, "   $%d = ", yyi + 1));
      yy_symbol_print (stderr,
                       yy_accessing_symbol (yyvsp[yyi - yynrhs + 1].yystate.yylrState),
                       &yyvsp[yyi - yynrhs + 1].yystate.yysemantics.yyval                       );
      if (!yyvsp[yyi - yynrhs + 1].yystate.yyresolved)
        YY_FPRINTF ((stderr, " (unresolved)"));
      YY_FPRINTF ((stderr, "\n"));
    }
}
#endif

/** Pop the symbols consumed by reduction #YYRULE from the top of stack
 *  #YYK of *YYSTACKP, and perform the appropriate semantic action on their
 *  semantic values.  Assumes that all ambiguities in semantic values
 *  have been previously resolved.  Set *YYVALP to the resulting value,
 *  and *YYLOCP to the computed location (if any).  Return value is as
 *  for userAction.  */
static inline YYRESULTTAG
yydoAction (yyGLRStack* yystackp, YYPTRDIFF_T yyk, yyRuleNum yyrule,
            YYSTYPE* yyvalp)
{
  int yynrhs = yyrhsLength (yyrule);

  if (yystackp->yysplitPoint == YY_NULLPTR)
    {
      /* Standard special case: single stack.  */
      yyGLRStackItem* yyrhs
        = YY_REINTERPRET_CAST (yyGLRStackItem*, yystackp->yytops.yystates[yyk]);
      YY_ASSERT (yyk == 0);
      yystackp->yynextFree -= yynrhs;
      yystackp->yyspaceLeft += yynrhs;
      yystackp->yytops.yystates[0] = & yystackp->yynextFree[-1].yystate;
      return yyuserAction (yyrule, yynrhs, yyrhs, yystackp, yyk,
                           yyvalp);
    }
  else
    {
      yyGLRStackItem yyrhsVals[YYMAXRHS + YYMAXLEFT + 1];
      yyGLRState* yys = yyrhsVals[YYMAXRHS + YYMAXLEFT].yystate.yypred
        = yystackp->yytops.yystates[yyk];
      int yyi;
      for (yyi = 0; yyi < yynrhs; yyi += 1)
        {
          yys = yys->yypred;
          YY_ASSERT (yys);
        }
      yyupdateSplit (yystackp, yys);
      yystackp->yytops.yystates[yyk] = yys;
      return yyuserAction (yyrule, yynrhs, yyrhsVals + YYMAXRHS + YYMAXLEFT - 1,
                           yystackp, yyk, yyvalp);
    }
}

/** Pop items off stack #YYK of *YYSTACKP according to grammar rule YYRULE,
 *  and push back on the resulting nonterminal symbol.  Perform the
 *  semantic action associated with YYRULE and store its value with the
 *  newly pushed state, if YYFORCEEVAL or if *YYSTACKP is currently
 *  unambiguous.  Otherwise, store the deferred semantic action with
 *  the new state.  If the new state would have an identical input
 *  position, LR state, and predecessor to an existing state on the stack,
 *  it is identified with that existing state, eliminating stack #YYK from
 *  *YYSTACKP.  In this case, the semantic value is
 *  added to the options for the existing state's semantic value.
 */
static inline YYRESULTTAG
yyglrReduce (yyGLRStack* yystackp, YYPTRDIFF_T yyk, yyRuleNum yyrule,
             yybool yyforceEval)
{
  YYPTRDIFF_T yyposn = yystackp->yytops.yystates[yyk]->yyposn;

  if (yyforceEval || yystackp->yysplitPoint == YY_NULLPTR)
    {
      YYSTYPE yyval;

      YYRESULTTAG yyflag = yydoAction (yystackp, yyk, yyrule, &yyval);
      if (yyflag == yyerr && yystackp->yysplitPoint != YY_NULLPTR)
        YY_DPRINTF ((stderr,
                     "Parse on stack %ld rejected by rule %d (line %d).\n",
                     YY_CAST (long, yyk), yyrule - 1, yyrline[yyrule]));
      if (yyflag != yyok)
        return yyflag;
      yyglrShift (yystackp, yyk,
                  yyLRgotoState (yystackp->yytops.yystates[yyk]->yylrState,
                                 yylhsNonterm (yyrule)),
                  yyposn, &yyval);
    }
  else
    {
      YYPTRDIFF_T yyi;
      int yyn;
      yyGLRState* yys, *yys0 = yystackp->yytops.yystates[yyk];
      yy_state_t yynewLRState;

      for (yys = yystackp->yytops.yystates[yyk], yyn = yyrhsLength (yyrule);
           0 < yyn; yyn -= 1)
        {
          yys = yys->yypred;
          YY_ASSERT (yys);
        }
      yyupdateSplit (yystackp, yys);
      yynewLRState = yyLRgotoState (yys->yylrState, yylhsNonterm (yyrule));
      YY_DPRINTF ((stderr,
                   "Reduced stack %ld by rule %d (line %d); action deferred.  "
                   "Now in state %d.\n",
                   YY_CAST (long, yyk), yyrule - 1, yyrline[yyrule],
                   yynewLRState));
      for (yyi = 0; yyi < yystackp->yytops.yysize; yyi += 1)
        if (yyi != yyk && yystackp->yytops.yystates[yyi] != YY_NULLPTR)
          {
            yyGLRState *yysplit = yystackp->yysplitPoint;
            yyGLRState *yyp = yystackp->yytops.yystates[yyi];
            while (yyp != yys && yyp != yysplit && yyp->yyposn >= yyposn)
              {
                if (yyp->yylrState == yynewLRState && yyp->yypred == yys)
                  {
                    yyaddDeferredAction (yystackp, yyk, yyp, yys0, yyrule);
                    yymarkStackDeleted (yystackp, yyk);
                    YY_DPRINTF ((stderr, "Merging stack %ld into stack %ld.\n",
                                 YY_CAST (long, yyk), YY_CAST (long, yyi)));
                    return yyok;
                  }
                yyp = yyp->yypred;
              }
          }
      yystackp->yytops.yystates[yyk] = yys;
      yyglrShiftDefer (yystackp, yyk, yynewLRState, yyposn, yys0, yyrule);
    }
  return yyok;
}

static YYPTRDIFF_T
yysplitStack (yyGLRStack* yystackp, YYPTRDIFF_T yyk)
{
  if (yystackp->yysplitPoint == YY_NULLPTR)
    {
      YY_ASSERT (yyk == 0);
      yystackp->yysplitPoint = yystackp->yytops.yystates[yyk];
    }
  if (yystackp->yytops.yycapacity <= yystackp->yytops.yysize)
    {
      YYPTRDIFF_T state_size = YYSIZEOF (yystackp->yytops.yystates[0]);
      YYPTRDIFF_T half_max_capacity = YYSIZE_MAXIMUM / 2 / state_size;
      if (half_max_capacity < yystackp->yytops.yycapacity)
        yyMemoryExhausted (yystackp);
      yystackp->yytops.yycapacity *= 2;

      {
        yyGLRState** yynewStates
          = YY_CAST (yyGLRState**,
                     YYREALLOC (yystackp->yytops.yystates,
                                (YY_CAST (YYSIZE_T, yystackp->yytops.yycapacity)
                                 * sizeof yynewStates[0])));
        if (yynewStates == YY_NULLPTR)
          yyMemoryExhausted (yystackp);
        yystackp->yytops.yystates = yynewStates;
      }

      {
        yybool* yynewLookaheadNeeds
          = YY_CAST (yybool*,
                     YYREALLOC (yystackp->yytops.yylookaheadNeeds,
                                (YY_CAST (YYSIZE_T, yystackp->yytops.yycapacity)
                                 * sizeof yynewLookaheadNeeds[0])));
        if (yynewLookaheadNeeds == YY_NULLPTR)
          yyMemoryExhausted (yystackp);
        yystackp->yytops.yylookaheadNeeds = yynewLookaheadNeeds;
      }
    }
  yystackp->yytops.yystates[yystackp->yytops.yysize]
    = yystackp->yytops.yystates[yyk];
  yystackp->yytops.yylookaheadNeeds[yystackp->yytops.yysize]
    = yystackp->yytops.yylookaheadNeeds[yyk];
  yystackp->yytops.yysize += 1;
  return yystackp->yytops.yysize - 1;
}

/** True iff YYY0 and YYY1 represent identical options at the top level.
 *  That is, they represent the same rule applied to RHS symbols
 *  that produce the same terminal symbols.  */
static yybool
yyidenticalOptions (yySemanticOption* yyy0, yySemanticOption* yyy1)
{
  if (yyy0->yyrule == yyy1->yyrule)
    {
      yyGLRState *yys0, *yys1;
      int yyn;
      for (yys0 = yyy0->yystate, yys1 = yyy1->yystate,
           yyn = yyrhsLength (yyy0->yyrule);
           yyn > 0;
           yys0 = yys0->yypred, yys1 = yys1->yypred, yyn -= 1)
        if (yys0->yyposn != yys1->yyposn)
          return yyfalse;
      return yytrue;
    }
  else
    return yyfalse;
}

/** Assuming identicalOptions (YYY0,YYY1), destructively merge the
 *  alternative semantic values for the RHS-symbols of YYY1 and YYY0.  */
static void
yymergeOptionSets (yySemanticOption* yyy0, yySemanticOption* yyy1)
{
  yyGLRState *yys0, *yys1;
  int yyn;
  for (yys0 = yyy0->yystate, yys1 = yyy1->yystate,
       yyn = yyrhsLength (yyy0->yyrule);
       0 < yyn;
       yys0 = yys0->yypred, yys1 = yys1->yypred, yyn -= 1)
    {
      if (yys0 == yys1)
        break;
      else if (yys0->yyresolved)
        {
          yys1->yyresolved = yytrue;
          yys1->yysemantics.yyval = yys0->yysemantics.yyval;
        }
      else if (yys1->yyresolved)
        {
          yys0->yyresolved = yytrue;
          yys0->yysemantics.yyval = yys1->yysemantics.yyval;
        }
      else
        {
          yySemanticOption** yyz0p = &yys0->yysemantics.yyfirstVal;
          yySemanticOption* yyz1 = yys1->yysemantics.yyfirstVal;
          while (yytrue)
            {
              if (yyz1 == *yyz0p || yyz1 == YY_NULLPTR)
                break;
              else if (*yyz0p == YY_NULLPTR)
                {
                  *yyz0p = yyz1;
                  break;
                }
              else if (*yyz0p < yyz1)
                {
                  yySemanticOption* yyz = *yyz0p;
                  *yyz0p = yyz1;
                  yyz1 = yyz1->yynext;
                  (*yyz0p)->yynext = yyz;
                }
              yyz0p = &(*yyz0p)->yynext;
            }
          yys1->yysemantics.yyfirstVal = yys0->yysemantics.yyfirstVal;
        }
    }
}

/** Y0 and Y1 represent two possible actions to take in a given
 *  parsing state; return 0 if no combination is possible,
 *  1 if user-mergeable, 2 if Y0 is preferred, 3 if Y1 is preferred.  */
static int
yypreference (yySemanticOption* y0, yySemanticOption* y1)
{
  yyRuleNum r0 = y0->yyrule, r1 = y1->yyrule;
  int p0 = yydprec[r0], p1 = yydprec[r1];

  if (p0 == p1)
    {
      if (yymerger[r0] == 0 || yymerger[r0] != yymerger[r1])
        return 0;
      else
        return 1;
    }
  if (p0 == 0 || p1 == 0)
    return 0;
  if (p0 < p1)
    return 3;
  if (p1 < p0)
    return 2;
  return 0;
}

static YYRESULTTAG
yyresolveValue (yyGLRState* yys, yyGLRStack* yystackp);


/** Resolve the previous YYN states starting at and including state YYS
 *  on *YYSTACKP. If result != yyok, some states may have been left
 *  unresolved possibly with empty semantic option chains.  Regardless
 *  of whether result = yyok, each state has been left with consistent
 *  data so that yydestroyGLRState can be invoked if necessary.  */
static YYRESULTTAG
yyresolveStates (yyGLRState* yys, int yyn,
                 yyGLRStack* yystackp)
{
  if (0 < yyn)
    {
      YY_ASSERT (yys->yypred);
      YYCHK (yyresolveStates (yys->yypred, yyn-1, yystackp));
      if (! yys->yyresolved)
        YYCHK (yyresolveValue (yys, yystackp));
    }
  return yyok;
}

/** Resolve the states for the RHS of YYOPT on *YYSTACKP, perform its
 *  user action, and return the semantic value and location in *YYVALP
 *  and *YYLOCP.  Regardless of whether result = yyok, all RHS states
 *  have been destroyed (assuming the user action destroys all RHS
 *  semantic values if invoked).  */
static YYRESULTTAG
yyresolveAction (yySemanticOption* yyopt, yyGLRStack* yystackp,
                 YYSTYPE* yyvalp)
{
  yyGLRStackItem yyrhsVals[YYMAXRHS + YYMAXLEFT + 1];
  int yynrhs = yyrhsLength (yyopt->yyrule);
  YYRESULTTAG yyflag =
    yyresolveStates (yyopt->yystate, yynrhs, yystackp);
  if (yyflag != yyok)
    {
      yyGLRState *yys;
      for (yys = yyopt->yystate; yynrhs > 0; yys = yys->yypred, yynrhs -= 1)
        yydestroyGLRState ("Cleanup: popping", yys);
      return yyflag;
    }

  yyrhsVals[YYMAXRHS + YYMAXLEFT].yystate.yypred = yyopt->yystate;
  {
    int yychar_current = yychar;
    YYSTYPE yylval_current = yylval;
    yychar = yyopt->yyrawchar;
    yylval = yyopt->yyval;
    yyflag = yyuserAction (yyopt->yyrule, yynrhs,
                           yyrhsVals + YYMAXRHS + YYMAXLEFT - 1,
                           yystackp, -1, yyvalp);
    yychar = yychar_current;
    yylval = yylval_current;
  }
  return yyflag;
}

#if YYDEBUG
static void
yyreportTree (yySemanticOption* yyx, int yyindent)
{
  int yynrhs = yyrhsLength (yyx->yyrule);
  int yyi;
  yyGLRState* yys;
  yyGLRState* yystates[1 + YYMAXRHS];
  yyGLRState yyleftmost_state;

  for (yyi = yynrhs, yys = yyx->yystate; 0 < yyi; yyi -= 1, yys = yys->yypred)
    yystates[yyi] = yys;
  if (yys == YY_NULLPTR)
    {
      yyleftmost_state.yyposn = 0;
      yystates[0] = &yyleftmost_state;
    }
  else
    yystates[0] = yys;

  if (yyx->yystate->yyposn < yys->yyposn + 1)
    YY_FPRINTF ((stderr, "%*s%s -> <Rule %d, empty>\n",
                 yyindent, "", yysymbol_name (yylhsNonterm (yyx->yyrule)),
                 yyx->yyrule - 1));
  else
    YY_FPRINTF ((stderr, "%*s%s -> <Rule %d, tokens %ld .. %ld>\n",
                 yyindent, "", yysymbol_name (yylhsNonterm (yyx->yyrule)),
                 yyx->yyrule - 1, YY_CAST (long, yys->yyposn + 1),
                 YY_CAST (long, yyx->yystate->yyposn)));
  for (yyi = 1; yyi <= yynrhs; yyi += 1)
    {
      if (yystates[yyi]->yyresolved)
        {
          if (yystates[yyi-1]->yyposn+1 > yystates[yyi]->yyposn)
            YY_FPRINTF ((stderr, "%*s%s <empty>\n", yyindent+2, "",
                         yysymbol_name (yy_accessing_symbol (yystates[yyi]->yylrState))));
          else
            YY_FPRINTF ((stderr, "%*s%s <tokens %ld .. %ld>\n", yyindent+2, "",
                         yysymbol_name (yy_accessing_symbol (yystates[yyi]->yylrState)),
                         YY_CAST (long, yystates[yyi-1]->yyposn + 1),
                         YY_CAST (long, yystates[yyi]->yyposn)));
        }
      else
        yyreportTree (yystates[yyi]->yysemantics.yyfirstVal, yyindent+2);
    }
}
#endif

static YYRESULTTAG
yyreportAmbiguity (yySemanticOption* yyx0,
                   yySemanticOption* yyx1)
{
  YY_USE (yyx0);
  YY_USE (yyx1);

#if YYDEBUG
  YY_FPRINTF ((stderr, "Ambiguity detected.\n"));
  YY_FPRINTF ((stderr, "Option 1,\n"));
  yyreportTree (yyx0, 2);
  YY_FPRINTF ((stderr, "\nOption 2,\n"));
  yyreportTree (yyx1, 2);
  YY_FPRINTF ((stderr, "\n"));
#endif

  yyerror (YY_("syntax is ambiguous"));
  return yyabort;
}

/** Resolve the ambiguity represented in state YYS in *YYSTACKP,
 *  perform the indicated actions, and set the semantic value of YYS.
 *  If result != yyok, the chain of semantic options in YYS has been
 *  cleared instead or it has been left unmodified except that
 *  redundant options may have been removed.  Regardless of whether
 *  result = yyok, YYS has been left with consistent data so that
 *  yydestroyGLRState can be invoked if necessary.  */
static YYRESULTTAG
yyresolveValue (yyGLRState* yys, yyGLRStack* yystackp)
{
  yySemanticOption* yyoptionList = yys->yysemantics.yyfirstVal;
  yySemanticOption* yybest = yyoptionList;
  yySemanticOption** yypp;
  yybool yymerge = yyfalse;
  YYSTYPE yyval;
  YYRESULTTAG yyflag;

  for (yypp = &yyoptionList->yynext; *yypp != YY_NULLPTR; )
    {
      yySemanticOption* yyp = *yypp;

      if (yyidenticalOptions (yybest, yyp))
        {
          yymergeOptionSets (yybest, yyp);
          *yypp = yyp->yynext;
        }
      else
        {
          switch (yypreference (yybest, yyp))
            {
            case 0:
              return yyreportAmbiguity (yybest, yyp);
              break;
            case 1:
              yymerge = yytrue;
              break;
            case 2:
              break;
            case 3:
              yybest = yyp;
              yymerge = yyfalse;
              break;
            default:
              /* This cannot happen so it is not worth a YY_ASSERT (yyfalse),
                 but some compilers complain if the default case is
                 omitted.  */
              break;
            }
          yypp = &yyp->yynext;
        }
    }

  if (yymerge)
    {
      yySemanticOption* yyp;
      int yyprec = yydprec[yybest->yyrule];
      yyflag = yyresolveAction (yybest, yystackp, &yyval);
      if (yyflag == yyok)
        for (yyp = yybest->yynext; yyp != YY_NULLPTR; yyp = yyp->yynext)
          {
            if (yyprec == yydprec[yyp->yyrule])
              {
                YYSTYPE yyval_other;
                yyflag = yyresolveAction (yyp, yystackp, &yyval_other);
                if (yyflag != yyok)
                  {
                    yydestruct ("Cleanup: discarding incompletely merged value for",
                                yy_accessing_symbol (yys->yylrState),
                                &yyval);
                    break;
                  }
                yyuserMerge (yymerger[yyp->yyrule], &yyval, &yyval_other);
              }
          }
    }
  else
    yyflag = yyresolveAction (yybest, yystackp, &yyval);

  if (yyflag == yyok)
    {
      yys->yyresolved = yytrue;
      yys->yysemantics.yyval = yyval;
    }
  else
    yys->yysemantics.yyfirstVal = YY_NULLPTR;
  return yyflag;
}

static YYRESULTTAG
yyresolveStack (yyGLRStack* yystackp)
{
  if (yystackp->yysplitPoint != YY_NULLPTR)
    {
      yyGLRState* yys;
      int yyn;

      for (yyn = 0, yys = yystackp->yytops.yystates[0];
           yys != yystackp->yysplitPoint;
           yys = yys->yypred, yyn += 1)
        continue;
      YYCHK (yyresolveStates (yystackp->yytops.yystates[0], yyn, yystackp
                             ));
    }
  return yyok;
}

/** Called when returning to deterministic operation to clean up the extra
 * stacks. */
static void
yycompressStack (yyGLRStack* yystackp)
{
  /* yyr is the state after the split point.  */
  yyGLRState *yyr;

  if (yystackp->yytops.yysize != 1 || yystackp->yysplitPoint == YY_NULLPTR)
    return;

  {
    yyGLRState *yyp, *yyq;
    for (yyp = yystackp->yytops.yystates[0], yyq = yyp->yypred, yyr = YY_NULLPTR;
         yyp != yystackp->yysplitPoint;
         yyr = yyp, yyp = yyq, yyq = yyp->yypred)
      yyp->yypred = yyr;
  }

  yystackp->yyspaceLeft += yystackp->yynextFree - yystackp->yyitems;
  yystackp->yynextFree = YY_REINTERPRET_CAST (yyGLRStackItem*, yystackp->yysplitPoint) + 1;
  yystackp->yyspaceLeft -= yystackp->yynextFree - yystackp->yyitems;
  yystackp->yysplitPoint = YY_NULLPTR;
  yystackp->yylastDeleted = YY_NULLPTR;

  while (yyr != YY_NULLPTR)
    {
      yystackp->yynextFree->yystate = *yyr;
      yyr = yyr->yypred;
      yystackp->yynextFree->yystate.yypred = &yystackp->yynextFree[-1].yystate;
      yystackp->yytops.yystates[0] = &yystackp->yynextFree->yystate;
      yystackp->yynextFree += 1;
      yystackp->yyspaceLeft -= 1;
    }
}

static YYRESULTTAG
yyprocessOneStack (yyGLRStack* yystackp, YYPTRDIFF_T yyk,
                   YYPTRDIFF_T yyposn)
{
  while (yystackp->yytops.yystates[yyk] != YY_NULLPTR)
    {
      yy_state_t yystate = yystackp->yytops.yystates[yyk]->yylrState;
      YY_DPRINTF ((stderr, "Stack %ld Entering state %d\n",
                   YY_CAST (long, yyk), yystate));

      YY_ASSERT (yystate != YYFINAL);

      if (yyisDefaultedState (yystate))
        {
          YYRESULTTAG yyflag;
          yyRuleNum yyrule = yydefaultAction (yystate);
          if (yyrule == 0)
            {
              YY_DPRINTF ((stderr, "Stack %ld dies.\n", YY_CAST (long, yyk)));
              yymarkStackDeleted (yystackp, yyk);
              return yyok;
            }
          yyflag = yyglrReduce (yystackp, yyk, yyrule, yyimmediate[yyrule]);
          if (yyflag == yyerr)
            {
              YY_DPRINTF ((stderr,
                           "Stack %ld dies "
                           "(predicate failure or explicit user error).\n",
                           YY_CAST (long, yyk)));
              yymarkStackDeleted (yystackp, yyk);
              return yyok;
            }
          if (yyflag != yyok)
            return yyflag;
        }
      else
        {
          yysymbol_kind_t yytoken = yygetToken (&yychar);
          const short* yyconflicts;
          const int yyaction = yygetLRActions (yystate, yytoken, &yyconflicts);
          yystackp->yytops.yylookaheadNeeds[yyk] = yytrue;

          for (/* nothing */; *yyconflicts; yyconflicts += 1)
            {
              YYRESULTTAG yyflag;
              YYPTRDIFF_T yynewStack = yysplitStack (yystackp, yyk);
              YY_DPRINTF ((stderr, "Splitting off stack %ld from %ld.\n",
                           YY_CAST (long, yynewStack), YY_CAST (long, yyk)));
              yyflag = yyglrReduce (yystackp, yynewStack,
                                    *yyconflicts,
                                    yyimmediate[*yyconflicts]);
              if (yyflag == yyok)
                YYCHK (yyprocessOneStack (yystackp, yynewStack,
                                          yyposn));
              else if (yyflag == yyerr)
                {
                  YY_DPRINTF ((stderr, "Stack %ld dies.\n", YY_CAST (long, yynewStack)));
                  yymarkStackDeleted (yystackp, yynewStack);
                }
              else
                return yyflag;
            }

          if (yyisShiftAction (yyaction))
            break;
          else if (yyisErrorAction (yyaction))
            {
              YY_DPRINTF ((stderr, "Stack %ld dies.\n", YY_CAST (long, yyk)));
              yymarkStackDeleted (yystackp, yyk);
              break;
            }
          else
            {
              YYRESULTTAG yyflag = yyglrReduce (yystackp, yyk, -yyaction,
                                                yyimmediate[-yyaction]);
              if (yyflag == yyerr)
                {
                  YY_DPRINTF ((stderr,
                               "Stack %ld dies "
                               "(predicate failure or explicit user error).\n",
                               YY_CAST (long, yyk)));
                  yymarkStackDeleted (yystackp, yyk);
                  break;
                }
              else if (yyflag != yyok)
                return yyflag;
            }
        }
    }
  return yyok;
}






static void
yyreportSyntaxError (yyGLRStack* yystackp)
{
  if (yystackp->yyerrState != 0)
    return;
  yyerror (YY_("syntax error"));
  yynerrs += 1;
}

/* Recover from a syntax error on *YYSTACKP, assuming that *YYSTACKP->YYTOKENP,
   yylval, and yylloc are the syntactic category, semantic value, and location
   of the lookahead.  */
static void
yyrecoverSyntaxError (yyGLRStack* yystackp)
{
  if (yystackp->yyerrState == 3)
    /* We just shifted the error token and (perhaps) took some
       reductions.  Skip tokens until we can proceed.  */
    while (yytrue)
      {
        yysymbol_kind_t yytoken;
        int yyj;
        if (yychar == YYEOF)
          yyFail (yystackp, YY_NULLPTR);
        if (yychar != YYEMPTY)
          {
            yytoken = YYTRANSLATE (yychar);
            yydestruct ("Error: discarding",
                        yytoken, &yylval);
            yychar = YYEMPTY;
          }
        yytoken = yygetToken (&yychar);
        yyj = yypact[yystackp->yytops.yystates[0]->yylrState];
        if (yypact_value_is_default (yyj))
          return;
        yyj += yytoken;
        if (yyj < 0 || YYLAST < yyj || yycheck[yyj] != yytoken)
          {
            if (yydefact[yystackp->yytops.yystates[0]->yylrState] != 0)
              return;
          }
        else if (! yytable_value_is_error (yytable[yyj]))
          return;
      }

  /* Reduce to one stack.  */
  {
    YYPTRDIFF_T yyk;
    for (yyk = 0; yyk < yystackp->yytops.yysize; yyk += 1)
      if (yystackp->yytops.yystates[yyk] != YY_NULLPTR)
        break;
    if (yyk >= yystackp->yytops.yysize)
      yyFail (yystackp, YY_NULLPTR);
    for (yyk += 1; yyk < yystackp->yytops.yysize; yyk += 1)
      yymarkStackDeleted (yystackp, yyk);
    yyremoveDeletes (yystackp);
    yycompressStack (yystackp);
  }

  /* Pop stack until we find a state that shifts the error token.  */
  yystackp->yyerrState = 3;
  while (yystackp->yytops.yystates[0] != YY_NULLPTR)
    {
      yyGLRState *yys = yystackp->yytops.yystates[0];
      int yyj = yypact[yys->yylrState];
      if (! yypact_value_is_default (yyj))
        {
          yyj += YYSYMBOL_YYerror;
          if (0 <= yyj && yyj <= YYLAST && yycheck[yyj] == YYSYMBOL_YYerror
              && yyisShiftAction (yytable[yyj]))
            {
              /* Shift the error token.  */
              int yyaction = yytable[yyj];
              YY_SYMBOL_PRINT ("Shifting", yy_accessing_symbol (yyaction),
                               &yylval, &yyerrloc);
              yyglrShift (yystackp, 0, yyaction,
                          yys->yyposn, &yylval);
              yys = yystackp->yytops.yystates[0];
              break;
            }
        }
      if (yys->yypred != YY_NULLPTR)
        yydestroyGLRState ("Error: popping", yys);
      yystackp->yytops.yystates[0] = yys->yypred;
      yystackp->yynextFree -= 1;
      yystackp->yyspaceLeft += 1;
    }
  if (yystackp->yytops.yystates[0] == YY_NULLPTR)
    yyFail (yystackp, YY_NULLPTR);
}

#define YYCHK1(YYE)                             \
  do {                                          \
    switch (YYE) {                              \
    case yyok:     break;                       \
    case yyabort:  goto yyabortlab;             \
    case yyaccept: goto yyacceptlab;            \
    case yyerr:    goto yyuser_error;           \
    case yynomem:  goto yyexhaustedlab;         \
    default:       goto yybuglab;               \
    }                                           \
  } while (0)

/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
  int yyresult;
  yyGLRStack yystack;
  yyGLRStack* const yystackp = &yystack;
  YYPTRDIFF_T yyposn;

  YY_DPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY;
  yylval = yyval_default;

  if (! yyinitGLRStack (yystackp, YYINITDEPTH))
    goto yyexhaustedlab;
  switch (YYSETJMP (yystack.yyexception_buffer))
    {
    case 0: break;
    case 1: goto yyabortlab;
    case 2: goto yyexhaustedlab;
    default: goto yybuglab;
    }
  yyglrShift (&yystack, 0, 0, 0, &yylval);
  yyposn = 0;

  while (yytrue)
    {
      /* For efficiency, we have two loops, the first of which is
         specialized to deterministic operation (single stack, no
         potential ambiguity).  */
      /* Standard mode. */
      while (yytrue)
        {
          yy_state_t yystate = yystack.yytops.yystates[0]->yylrState;
          YY_DPRINTF ((stderr, "Entering state %d\n", yystate));
          if (yystate == YYFINAL)
            goto yyacceptlab;
          if (yyisDefaultedState (yystate))
            {
              yyRuleNum yyrule = yydefaultAction (yystate);
              if (yyrule == 0)
                {
                  yyreportSyntaxError (&yystack);
                  goto yyuser_error;
                }
              YYCHK1 (yyglrReduce (&yystack, 0, yyrule, yytrue));
            }
          else
            {
              yysymbol_kind_t yytoken = yygetToken (&yychar);
              const short* yyconflicts;
              int yyaction = yygetLRActions (yystate, yytoken, &yyconflicts);
              if (*yyconflicts)
                /* Enter nondeterministic mode.  */
                break;
              if (yyisShiftAction (yyaction))
                {
                  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
                  yychar = YYEMPTY;
                  yyposn += 1;
                  yyglrShift (&yystack, 0, yyaction, yyposn, &yylval);
                  if (0 < yystack.yyerrState)
                    yystack.yyerrState -= 1;
                }
              else if (yyisErrorAction (yyaction))
                {
                  /* Issue an error message unless the scanner already
                     did. */
                  if (yychar != YYerror)
                    yyreportSyntaxError (&yystack);
                  goto yyuser_error;
                }
              else
                YYCHK1 (yyglrReduce (&yystack, 0, -yyaction, yytrue));
            }
        }

      /* Nondeterministic mode. */
      while (yytrue)
        {
          yysymbol_kind_t yytoken_to_shift;
          YYPTRDIFF_T yys;

          for (yys = 0; yys < yystack.yytops.yysize; yys += 1)
            yystackp->yytops.yylookaheadNeeds[yys] = yychar != YYEMPTY;

          /* yyprocessOneStack returns one of three things:

              - An error flag.  If the caller is yyprocessOneStack, it
                immediately returns as well.  When the caller is finally
                yyparse, it jumps to an error label via YYCHK1.

              - yyok, but yyprocessOneStack has invoked yymarkStackDeleted
                (&yystack, yys), which sets the top state of yys to NULL.  Thus,
                yyparse's following invocation of yyremoveDeletes will remove
                the stack.

              - yyok, when ready to shift a token.

             Except in the first case, yyparse will invoke yyremoveDeletes and
             then shift the next token onto all remaining stacks.  This
             synchronization of the shift (that is, after all preceding
             reductions on all stacks) helps prevent double destructor calls
             on yylval in the event of memory exhaustion.  */

          for (yys = 0; yys < yystack.yytops.yysize; yys += 1)
            YYCHK1 (yyprocessOneStack (&yystack, yys, yyposn));
          yyremoveDeletes (&yystack);
          if (yystack.yytops.yysize == 0)
            {
              yyundeleteLastStack (&yystack);
              if (yystack.yytops.yysize == 0)
                yyFail (&yystack, YY_("syntax error"));
              YYCHK1 (yyresolveStack (&yystack));
              YY_DPRINTF ((stderr, "Returning to deterministic operation.\n"));
              yyreportSyntaxError (&yystack);
              goto yyuser_error;
            }

          /* If any yyglrShift call fails, it will fail after shifting.  Thus,
             a copy of yylval will already be on stack 0 in the event of a
             failure in the following loop.  Thus, yychar is set to YYEMPTY
             before the loop to make sure the user destructor for yylval isn't
             called twice.  */
          yytoken_to_shift = YYTRANSLATE (yychar);
          yychar = YYEMPTY;
          yyposn += 1;
          for (yys = 0; yys < yystack.yytops.yysize; yys += 1)
            {
              yy_state_t yystate = yystack.yytops.yystates[yys]->yylrState;
              const short* yyconflicts;
              int yyaction = yygetLRActions (yystate, yytoken_to_shift,
                              &yyconflicts);
              /* Note that yyconflicts were handled by yyprocessOneStack.  */
              YY_DPRINTF ((stderr, "On stack %ld, ", YY_CAST (long, yys)));
              YY_SYMBOL_PRINT ("shifting", yytoken_to_shift, &yylval, &yylloc);
              yyglrShift (&yystack, yys, yyaction, yyposn,
                          &yylval);
              YY_DPRINTF ((stderr, "Stack %ld now in state %d\n",
                           YY_CAST (long, yys),
                           yystack.yytops.yystates[yys]->yylrState));
            }

          if (yystack.yytops.yysize == 1)
            {
              YYCHK1 (yyresolveStack (&yystack));
              YY_DPRINTF ((stderr, "Returning to deterministic operation.\n"));
              yycompressStack (&yystack);
              break;
            }
        }
      continue;
    yyuser_error:
      yyrecoverSyntaxError (&yystack);
      yyposn = yystack.yytops.yystates[0]->yyposn;
    }

 yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;

 yybuglab:
  YY_ASSERT (yyfalse);
  goto yyabortlab;

 yyabortlab:
  yyresult = 1;
  goto yyreturnlab;

 yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;

 yyreturnlab:
  if (yychar != YYEMPTY)
    yydestruct ("Cleanup: discarding lookahead",
                YYTRANSLATE (yychar), &yylval);

  /* If the stack is well-formed, pop the stack until it is empty,
     destroying its entries as we go.  But free the stack regardless
     of whether it is well-formed.  */
  if (yystack.yyitems)
    {
      yyGLRState** yystates = yystack.yytops.yystates;
      if (yystates)
        {
          YYPTRDIFF_T yysize = yystack.yytops.yysize;
          YYPTRDIFF_T yyk;
          for (yyk = 0; yyk < yysize; yyk += 1)
            if (yystates[yyk])
              {
                while (yystates[yyk])
                  {
                    yyGLRState *yys = yystates[yyk];
                    if (yys->yypred != YY_NULLPTR)
                      yydestroyGLRState ("Cleanup: popping", yys);
                    yystates[yyk] = yys->yypred;
                    yystack.yynextFree -= 1;
                    yystack.yyspaceLeft += 1;
                  }
                break;
              }
        }
      yyfreeGLRStack (&yystack);
    }

  return yyresult;
}

/* DEBUGGING ONLY */
#if YYDEBUG
/* Print *YYS and its predecessors. */
static void
yy_yypstack (yyGLRState* yys)
{
  if (yys->yypred)
    {
      yy_yypstack (yys->yypred);
      YY_FPRINTF ((stderr, " -> "));
    }
  YY_FPRINTF ((stderr, "%d@%ld", yys->yylrState, YY_CAST (long, yys->yyposn)));
}

/* Print YYS (possibly NULL) and its predecessors. */
static void
yypstates (yyGLRState* yys)
{
  if (yys == YY_NULLPTR)
    YY_FPRINTF ((stderr, "<null>"));
  else
    yy_yypstack (yys);
  YY_FPRINTF ((stderr, "\n"));
}

/* Print the stack #YYK.  */
static void
yypstack (yyGLRStack* yystackp, YYPTRDIFF_T yyk)
{
  yypstates (yystackp->yytops.yystates[yyk]);
}

/* Print all the stacks.  */
static void
yypdumpstack (yyGLRStack* yystackp)
{
#define YYINDEX(YYX)                                                    \
  YY_CAST (long,                                                        \
           ((YYX)                                                       \
            ? YY_REINTERPRET_CAST (yyGLRStackItem*, (YYX)) - yystackp->yyitems \
            : -1))

  yyGLRStackItem* yyp;
  for (yyp = yystackp->yyitems; yyp < yystackp->yynextFree; yyp += 1)
    {
      YY_FPRINTF ((stderr, "%3ld. ",
                   YY_CAST (long, yyp - yystackp->yyitems)));
      if (*YY_REINTERPRET_CAST (yybool *, yyp))
        {
          YY_ASSERT (yyp->yystate.yyisState);
          YY_ASSERT (yyp->yyoption.yyisState);
          YY_FPRINTF ((stderr, "Res: %d, LR State: %d, posn: %ld, pred: %ld",
                       yyp->yystate.yyresolved, yyp->yystate.yylrState,
                       YY_CAST (long, yyp->yystate.yyposn),
                       YYINDEX (yyp->yystate.yypred)));
          if (! yyp->yystate.yyresolved)
            YY_FPRINTF ((stderr, ", firstVal: %ld",
                         YYINDEX (yyp->yystate.yysemantics.yyfirstVal)));
        }
      else
        {
          YY_ASSERT (!yyp->yystate.yyisState);
          YY_ASSERT (!yyp->yyoption.yyisState);
          YY_FPRINTF ((stderr, "Option. rule: %d, state: %ld, next: %ld",
                       yyp->yyoption.yyrule - 1,
                       YYINDEX (yyp->yyoption.yystate),
                       YYINDEX (yyp->yyoption.yynext)));
        }
      YY_FPRINTF ((stderr, "\n"));
    }

  YY_FPRINTF ((stderr, "Tops:"));
  {
    YYPTRDIFF_T yyi;
    for (yyi = 0; yyi < yystackp->yytops.yysize; yyi += 1)
      YY_FPRINTF ((stderr, "%ld: %ld; ", YY_CAST (long, yyi),
                   YYINDEX (yystackp->yytops.yystates[yyi])));
    YY_FPRINTF ((stderr, "\n"));
  }
#undef YYINDEX
}
#endif

#undef yylval
#undef yychar
#undef yynerrs

/* Substitute the variable and function names.  */
#define yyparse SQLyyparse
#define yylex   SQLyylex
#define yyerror SQLyyerror
#define yylval  SQLyylval
#define yychar  SQLyychar
#define yydebug SQLyydebug
#define yynerrs SQLyynerrs




#if defined _MSC_VER
#pragma warning(pop)
#endif

using namespace ::com::sun::star::sdbc;
using namespace ::com::sun::star::beans;
using namespace ::com::sun::star::uno;
using namespace ::com::sun::star::i18n;
using namespace ::com::sun::star::lang;
using namespace ::com::sun::star::util;
using namespace ::osl;
using namespace ::dbtools;

connectivity::OSQLParser* xxx_pGLOBAL_SQLPARSER;

connectivity::OSQLInternalNode* newNode(const char* pNewValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID)
{
    return new connectivity::OSQLInternalNode(pNewValue, eNodeType, nNodeID);
}

connectivity::OSQLInternalNode* newNode(const OString& _newValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID)
{
    return new connectivity::OSQLInternalNode(_newValue, eNodeType, nNodeID);
}

connectivity::OSQLInternalNode* newNode(const OUString& _newValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID)
{
    return new connectivity::OSQLInternalNode(_newValue, eNodeType, nNodeID);
}

OParseContext::OParseContext()
{
}


OParseContext::~OParseContext()
{
}


OUString OParseContext::getErrorMessage(ErrorCode _eCode) const
{
    OUString aMsg;
    switch (_eCode)
    {
        case ErrorCode::General:              aMsg = "Syntax error in SQL expression"; break;
        case ErrorCode::ValueNoLike:          aMsg = "The value #1 can not be used with LIKE."; break;
        case ErrorCode::FieldNoLike:          aMsg = "LIKE can not be used with this field."; break;
        case ErrorCode::InvalidCompare:       aMsg = "The entered criterion can not be compared with this field."; break;
        case ErrorCode::InvalidIntCompare:    aMsg = "The field can not be compared with a number."; break;
        case ErrorCode::InvalidDateCompare:   aMsg = "The field can not be compared with a date."; break;
        case ErrorCode::InvalidRealCompare:   aMsg = "The field can not be compared with a floating point number."; break;
        case ErrorCode::InvalidTableNosuch:   aMsg = "The database does not contain a table named \"#\"."; break;
        case ErrorCode::InvalidTableOrQuery:  aMsg = "The database does contain neither a table nor a query named \"#\"."; break;
        case ErrorCode::InvalidColumn:        aMsg = "The column \"#1\" is unknown in the table \"#2\"."; break;
        case ErrorCode::InvalidTableExist:    aMsg = "The database already contains a table or view with name \"#\"."; break;
        case ErrorCode::InvalidQueryExist:    aMsg = "The database already contains a query with name \"#\"."; break;
        default:
            OSL_FAIL( "OParseContext::getErrorMessage: unknown error code!" );
            break;
    }
    return aMsg;
}


OString OParseContext::getIntlKeywordAscii(InternationalKeyCode _eKey) const
{
	OString aKeyword;
	switch (_eKey)
	{
		case InternationalKeyCode::Like:		aKeyword = "LIKE"; break;
		case InternationalKeyCode::Not:		aKeyword = "NOT"; break;
		case InternationalKeyCode::Null:		aKeyword = "NULL"; break;
		case InternationalKeyCode::True:		aKeyword = "True"; break;
		case InternationalKeyCode::False:		aKeyword = "False"; break;
		case InternationalKeyCode::Is:		aKeyword = "IS"; break;
		case InternationalKeyCode::Between:	aKeyword = "BETWEEN"; break;
		case InternationalKeyCode::Or:		aKeyword = "OR"; break;
		case InternationalKeyCode::And:		aKeyword = "AND"; break;
		case InternationalKeyCode::Avg:		aKeyword = "AVG"; break;
		case InternationalKeyCode::Count:		aKeyword = "COUNT"; break;
		case InternationalKeyCode::Max:		aKeyword = "MAX"; break;
		case InternationalKeyCode::Min:		aKeyword = "MIN"; break;
		case InternationalKeyCode::Sum:		aKeyword = "SUM"; break;
        case InternationalKeyCode::Every:     aKeyword = "EVERY"; break;
        case InternationalKeyCode::Any:       aKeyword = "ANY"; break;
        case InternationalKeyCode::Some:      aKeyword = "SOME"; break;
        case InternationalKeyCode::StdDevPop: aKeyword = "STDDEV_POP"; break;
        case InternationalKeyCode::StdDevSamp: aKeyword = "STDDEV_SAMP"; break;
        case InternationalKeyCode::VarSamp:  aKeyword = "VAR_SAMP"; break;
        case InternationalKeyCode::VarPop:   aKeyword = "VAR_POP"; break;
        case InternationalKeyCode::Collect:   aKeyword = "COLLECT"; break;
        case InternationalKeyCode::Fusion:    aKeyword = "FUSION"; break;
        case InternationalKeyCode::Intersection:aKeyword = "INTERSECTION"; break;
        case InternationalKeyCode::None:      break;
        default:
            OSL_FAIL( "OParseContext::getIntlKeywordAscii: unknown key!" );
            break;
	}
	return aKeyword;
}


IParseContext::InternationalKeyCode OParseContext::getIntlKeyCode(const OString& rToken) const
{
    static IParseContext::InternationalKeyCode const Intl_TokenID[] =
	{
		InternationalKeyCode::Like, InternationalKeyCode::Not, InternationalKeyCode::Null, InternationalKeyCode::True,
		InternationalKeyCode::False, InternationalKeyCode::Is, InternationalKeyCode::Between, InternationalKeyCode::Or,
		InternationalKeyCode::And, InternationalKeyCode::Avg, InternationalKeyCode::Count, InternationalKeyCode::Max,
		InternationalKeyCode::Min, InternationalKeyCode::Sum, InternationalKeyCode::Every,InternationalKeyCode::Any,InternationalKeyCode::Some,
        InternationalKeyCode::StdDevPop,InternationalKeyCode::StdDevSamp,InternationalKeyCode::VarSamp,
        InternationalKeyCode::VarPop,InternationalKeyCode::Collect,InternationalKeyCode::Fusion,InternationalKeyCode::Intersection
	};

    auto const token = std::find_if(std::cbegin(Intl_TokenID), std::cend(Intl_TokenID)
                                    , [&rToken, this](IParseContext::InternationalKeyCode const & tokenID)
                                      { return rToken.equalsIgnoreAsciiCase(getIntlKeywordAscii(tokenID)); });

    if (std::cend(Intl_TokenID) != token)
        return *token;

    return InternationalKeyCode::None;
}


static Locale& impl_getLocaleInstance( )
{
	static Locale s_aLocale( "en", "US", "" );
	return s_aLocale;
}


Locale OParseContext::getPreferredLocale( ) const
{
	return getDefaultLocale();
}


const Locale& OParseContext::getDefaultLocale()
{
	return impl_getLocaleInstance();
}

// The (unfortunately global) yylval for the handing over of
// values from the Scanner to the Parser. The global variable
// is only used for a short term, the Parser reads the variable
// immediately after the call of the Scanner into a same named own
// member variable.


OUString ConvertLikeToken(const OSQLParseNode* pTokenNode, const OSQLParseNode* pEscapeNode, bool bInternational)
{
	OUStringBuffer aMatchStr(0);
	if (pTokenNode->isToken())
	{
		sal_Unicode cEscape = 0;
		if (pEscapeNode->count())
			cEscape = pEscapeNode->getChild(1)->getTokenValue().toChar();

		// Change place holder
		aMatchStr = pTokenNode->getTokenValue();
		const sal_Int32 nLen = aMatchStr.getLength();
		OUStringBuffer sSearch,sReplace;
		if ( bInternational )
		{
		    sSearch.append("%_");
		    sReplace.append("*?");
		}
		else
		{
		    sSearch.append("*?");
		    sReplace.append("%_");
		}

		bool wasEscape = false;
		for (sal_Int32 i = 0; i < nLen; i++)
		{
			const sal_Unicode c = aMatchStr[i];
			// SQL standard requires the escape to be followed
			// by a meta-character ('%', '_' or itself), else error
			// We are more lenient here and let it escape anything.
			// Especially since some databases (e.g. Microsoft SQL Server)
			// have more meta-characters than the standard, such as e.g. '[' and ']'
			if (wasEscape)
			{
				wasEscape=false;
				continue;
			}
			if (c == cEscape)
			{
				wasEscape=true;
				continue;
			}
			int match = -1;
			if (c == sSearch[0])
				match=0;
			else if (c == sSearch[1])
				match=1;

			if (match != -1)
			{
				aMatchStr[i] = sReplace[match];
			}
		}
	}
	return aMatchStr.makeStringAndClear();
}

sal_uInt32			    OSQLParser::s_nRuleIDs[OSQLParseNode::rule_count + 1];
OSQLParser::RuleIDMap   OSQLParser::s_aReverseRuleIDLookup;
OParseContext		    OSQLParser::s_aDefaultContext;

sal_Int32			OSQLParser::s_nRefCount	= 0;
//	::osl::Mutex		OSQLParser::s_aMutex;
OSQLScanner*		OSQLParser::s_pScanner = nullptr;
OSQLParseNodesGarbageCollector*		OSQLParser::s_pGarbageCollector = nullptr;

void setParser(OSQLParser* _pParser)
{
	xxx_pGLOBAL_SQLPARSER = _pParser;
}

void OSQLParser::setParseTree(OSQLParseNode* pNewParseTree)
{
	m_pParseTree.reset(pNewParseTree);
}


/** Delete all comments in a query.

    See also getComment()/concatComment() implementation for
    OQueryController::translateStatement().
 */
static OUString delComment( const OUString& rQuery )
{
    // First a quick search if there is any "--" or "//" or "/*", if not then the whole
    // copying loop is pointless.
    if (rQuery.indexOf("--") < 0 && rQuery.indexOf("//") < 0 &&
            rQuery.indexOf("/*") < 0)
        return rQuery;

    const sal_Unicode* pCopy = rQuery.getStr();
    sal_Int32 nQueryLen = rQuery.getLength();
    bool bIsText1  = false;     // "text"
    bool bIsText2  = false;     // 'text'
    bool bComment2 = false;     // /* comment */
    bool bComment  = false;     // -- or // comment
    OUStringBuffer aBuf(nQueryLen);
    for (sal_Int32 i=0; i < nQueryLen; ++i)
    {
        if (bComment2)
        {
            if ((i+1) < nQueryLen)
            {
                if (pCopy[i]=='*' && pCopy[i+1]=='/')
                {
                    bComment2 = false;
                    ++i;
                }
            }
            else
            {
                // comment can't close anymore, actually an error, but...
            }
            continue;
        }
        if (pCopy[i] == '\n')
            bComment = false;
        else if (!bComment)
        {
            if (pCopy[i] == '\"' && !bIsText2)
                bIsText1 = !bIsText1;
            else if (pCopy[i] == '\'' && !bIsText1)
                bIsText2 = !bIsText2;
            if (!bIsText1 && !bIsText2 && (i+1) < nQueryLen)
            {
                if ((pCopy[i]=='-' && pCopy[i+1]=='-') || (pCopy[i]=='/' && pCopy[i+1]=='/'))
                    bComment = true;
                else if ((pCopy[i]=='/' && pCopy[i+1]=='*'))
                    bComment2 = true;
            }
        }
        if (!bComment && !bComment2)
            aBuf.append( &pCopy[i], 1);
    }
    return aBuf.makeStringAndClear();
}

std::unique_ptr<OSQLParseNode> OSQLParser::parseTree(OUString& rErrorMessage,
                                     const OUString& rStatement,
                                     bool bInternational)
{


	// Guard the parsing
	std::unique_lock aGuard(getMutex());
	// must be reset
	setParser(this);

	// delete comments before parsing
	OUString sTemp = delComment(rStatement);

	// defines how to scan
	s_pScanner->SetRule(OSQLScanner::GetSQLRule()); // initial
	s_pScanner->prepareScan(sTemp, m_pContext, bInternational);

	SQLyylval.pParseNode = nullptr;
	//	SQLyypvt = NULL;
	m_pParseTree = nullptr;
	m_sErrorMessage = "";

    // start parsing
	if (SQLyyparse() != 0)
	{
		// only set the error message, if it's not already set
		if (m_sErrorMessage.isEmpty())
			m_sErrorMessage = s_pScanner->getErrorMessage();
		if (m_sErrorMessage.isEmpty())
			m_sErrorMessage = m_pContext->getErrorMessage(IParseContext::ErrorCode::General);

		rErrorMessage = m_sErrorMessage;

		// clear the garbage collector
		(*s_pGarbageCollector)->clearAndDelete();
		// coverity[leaked_storage : FALSE] - because the garbage collector deleted it
		m_pParseTree.release();
		return nullptr;
	}
	else
	{
		(*s_pGarbageCollector)->clear();

        // return result:
        // to work around a bug in MKS YACC return the member m_pParseTree
        // instead of Sdbyyval.pParseNode

        SAL_WARN_IF(!m_pParseTree, "connectivity.parse",
            "OSQLParser: Parser did not create ParseTree");
		return std::move(m_pParseTree);
	}
}

OString OSQLParser::TokenIDToStr(sal_uInt32 nTokenID, const IParseContext* pContext)
{
	OString aStr;
	if (pContext)
	{
		IParseContext::InternationalKeyCode eKeyCode = IParseContext::InternationalKeyCode::None;
		switch( nTokenID )
		{
			case SQL_TOKEN_LIKE: eKeyCode = IParseContext::InternationalKeyCode::Like; break;
			case SQL_TOKEN_NOT: eKeyCode = IParseContext::InternationalKeyCode::Not; break;
			case SQL_TOKEN_NULL: eKeyCode = IParseContext::InternationalKeyCode::Null; break;
			case SQL_TOKEN_TRUE: eKeyCode = IParseContext::InternationalKeyCode::True; break;
			case SQL_TOKEN_FALSE: eKeyCode = IParseContext::InternationalKeyCode::False; break;
			case SQL_TOKEN_IS: eKeyCode = IParseContext::InternationalKeyCode::Is; break;
			case SQL_TOKEN_BETWEEN: eKeyCode = IParseContext::InternationalKeyCode::Between; break;
			case SQL_TOKEN_OR: eKeyCode = IParseContext::InternationalKeyCode::Or; break;
			case SQL_TOKEN_AND: eKeyCode = IParseContext::InternationalKeyCode::And; break;
			case SQL_TOKEN_AVG: eKeyCode = IParseContext::InternationalKeyCode::Avg; break;
			case SQL_TOKEN_COUNT: eKeyCode = IParseContext::InternationalKeyCode::Count; break;
			case SQL_TOKEN_MAX: eKeyCode = IParseContext::InternationalKeyCode::Max; break;
			case SQL_TOKEN_MIN: eKeyCode = IParseContext::InternationalKeyCode::Min; break;
			case SQL_TOKEN_SUM: eKeyCode = IParseContext::InternationalKeyCode::Sum; break;
		}
		if ( eKeyCode != IParseContext::InternationalKeyCode::None )
		    aStr = pContext->getIntlKeywordAscii(eKeyCode);
	}

	if (aStr.isEmpty())
	{
		// coverity[unsigned_compare : SUPPRESS] - YYTRANSLATE is out of our control
		aStr = yytname[YYTRANSLATE(nTokenID)];
		if(aStr.startsWith("SQL_TOKEN_"))
			aStr = aStr.copy(10);
		switch( nTokenID )
		{
			case SQL_TOKEN_OJ:
			case SQL_TOKEN_TS:
			case SQL_TOKEN_T:
			case SQL_TOKEN_D:
				aStr = aStr.toAsciiLowerCase();
		}
	}
	return aStr;
}

#if OSL_DEBUG_LEVEL > 0
OUString OSQLParser::RuleIDToStr(sal_uInt32 nRuleID)
{
    OSL_ENSURE(nRuleID < std::size(yytname), "OSQLParser::RuleIDToStr: Invalid nRuleId!");
	return OUString::createFromAscii(yytname[nRuleID]);
}
#endif


sal_uInt32 OSQLParser::StrToRuleID(const OString & rValue)
{
	// Search for the given name in yytname and return the index
	// (or UNKNOWN_RULE, if not found)
    static sal_uInt32 const nLen = std::size(yytname)-1;
    for (sal_uInt32 i = YYTRANSLATE(SQL_TOKEN_INVALIDSYMBOL); i < nLen; ++i)
	{
		if (rValue == yytname[i])
			return i;
	}

	// Not found
	return OSQLParseNode::UNKNOWN_RULE;
}


OSQLParseNode::Rule OSQLParser::RuleIDToRule( sal_uInt32 _nRule )
{
    OSQLParser::RuleIDMap::const_iterator i (s_aReverseRuleIDLookup.find(_nRule));
    if (i == s_aReverseRuleIDLookup.end())
    {
        SAL_INFO("connectivity.parse",
		 "connectivity::OSQLParser::RuleIDToRule cannot reverse-lookup rule. "
		 "Reverse mapping incomplete? "
		 "_nRule='" << _nRule << "' "
		 "yytname[_nRule]='" << yytname[_nRule] << "'");
        return OSQLParseNode::UNKNOWN_RULE;
    }
    else
        return i->second;
}


sal_uInt32 OSQLParser::RuleID(OSQLParseNode::Rule eRule)
{
	return s_nRuleIDs[(sal_uInt16)eRule];
}

sal_Int16 OSQLParser::buildNode(OSQLParseNode*& pAppend,OSQLParseNode* pCompare,OSQLParseNode* pLiteral,OSQLParseNode* pLiteral2)
{
	OSQLParseNode* pColumnRef = new OSQLInternalNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
	pColumnRef->append(new OSQLInternalNode(m_sFieldName,SQLNodeType::Name));
	OSQLParseNode* pComp = nullptr;
	if ( SQL_ISTOKEN( pCompare, BETWEEN) && pLiteral2 )
		pComp = new OSQLInternalNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::between_predicate_part_2));
	else
		pComp = new OSQLInternalNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::comparison_predicate));

	pComp->append(pColumnRef);
	pComp->append(pCompare);
	pComp->append(pLiteral);
	if ( pLiteral2 )
	{
		pComp->append(new OSQLInternalNode("", SQLNodeType::Keyword,SQL_TOKEN_AND));
		pComp->append(pLiteral2);
	}
	pAppend->append(pComp);
	return 1;
}

sal_Int16 OSQLParser::buildStringNodes(OSQLParseNode*& pLiteral)
{
	if(!pLiteral)
		return 1;

	if(SQL_ISRULE(pLiteral,set_fct_spec) || SQL_ISRULE(pLiteral,general_set_fct) || SQL_ISRULE(pLiteral,column_ref)
		|| SQL_ISRULE(pLiteral,subquery))
		return 1; // here I have a function that I can't transform into a string

	if(pLiteral->getNodeType() == SQLNodeType::IntNum || pLiteral->getNodeType() == SQLNodeType::ApproxNum || pLiteral->getNodeType() == SQLNodeType::AccessDate)
	{
		OSQLParseNode* pParent = pLiteral->getParent();

		OSQLParseNode* pNewNode = new OSQLInternalNode(pLiteral->getTokenValue(), SQLNodeType::String);
		pParent->replaceAndDelete(pLiteral, pNewNode);
		pLiteral = nullptr;
		return 1;
	}

	for(size_t i=0;i<pLiteral->count();++i)
	{
		OSQLParseNode* pChild = pLiteral->getChild(i);
		buildStringNodes(pChild);
	}
	if(SQL_ISRULE(pLiteral,term) || SQL_ISRULE(pLiteral,value_exp_primary))
	{
		m_sErrorMessage = m_pContext->getErrorMessage(IParseContext::ErrorCode::InvalidCompare);
		return 0;
	}
	return 1;
}

sal_Int16 OSQLParser::buildComparisonRule(OSQLParseNode*& pAppend,OSQLParseNode* pLiteral)
{
    OSQLParseNode* pComp = new OSQLInternalNode("=", SQLNodeType::Equal);
    return buildPredicateRule(pAppend,pLiteral,pComp);
}



void OSQLParser::reduceLiteral(OSQLParseNode*& pLiteral, bool bAppendBlank)
{
	OSL_ENSURE(pLiteral->isRule(), "This is no Rule");
	OSL_ENSURE(pLiteral->count() == 2, "OSQLParser::ReduceLiteral() Invalid count");
	OSQLParseNode* pTemp = pLiteral;
	OUStringBuffer aValue(pLiteral->getChild(0)->getTokenValue());
	if (bAppendBlank)
	{
		aValue.append(" ");
	}

	aValue.append(pLiteral->getChild(1)->getTokenValue());

	pLiteral = new OSQLInternalNode(aValue.makeStringAndClear(),SQLNodeType::String);
	delete pTemp;
}


void OSQLParser::error(const char *fmt)
{
	if(m_sErrorMessage.isEmpty())
	{
		OUString sStr(fmt,strlen(fmt),RTL_TEXTENCODING_UTF8);
		OUString sSQL_TOKEN("SQL_TOKEN_");

		sal_Int32 nPos1 = sStr.indexOf(sSQL_TOKEN);
		if(nPos1 != -1)
		{
			OUString sFirst  = sStr.copy(0,nPos1);
			sal_Int32 nPos2 = sStr.indexOf(sSQL_TOKEN,nPos1+1);
			if(nPos2 != -1)
			{
				sFirst += sStr.subView(nPos1+sSQL_TOKEN.getLength(),nPos2-nPos1-sSQL_TOKEN.getLength());
				sFirst  += sStr.subView(nPos2+sSQL_TOKEN.getLength());
			}
			else
				sFirst += sStr.subView(nPos1+sSQL_TOKEN.getLength());

			m_sErrorMessage = sFirst;
		}
		else
			m_sErrorMessage = sStr;

		OUString aError = s_pScanner->getErrorMessage();
		if(!aError.isEmpty())
		{
			m_sErrorMessage += ", ";
			m_sErrorMessage += aError;
		}
	}
}

int OSQLParser::SQLlex()
{
	return OSQLScanner::SQLlex();
}
